--------------------------------------------------------------------------------
-- Copyright (c) 1995-2008 Xilinx, Inc.  All rights reserved.
--------------------------------------------------------------------------------
--   ____  ____ 
--  /   /\/   / 
-- /___/  \  /    Vendor: Xilinx 
-- \   \   \/     Version : 10.1.03
--  \   \         Application : sch2vhdl
--  /   /         Filename : MAIN_IO.vhf
-- /___/   /\     Timestamp : 05/04/2010 13:07:07
-- \   \  /  \ 
--  \___\/\___\ 
--
--Command: C:\Xilinx\10.1\ISE\bin\nt\unwrapped\sch2vhdl.exe -intstyle ise -family spartan3 -flat -suppress -w C:/Xilinx/10.1/ISE/FIRMWAREprojects/CREAM/MCP_TARGET/MCP_TARGETv03/src/MAIN_IO.sch MAIN_IO.vhf
--Design Name: MAIN_IO
--Device: spartan3
--Purpose:
--    This vhdl netlist is translated from an ECS schematic. It can be 
--    synthesis and simulted, but it should not be modified. 
--

library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
library UNISIM;
use UNISIM.Vcomponents.ALL;

entity M2_1_MXILINX_MAIN_IO is
   port ( D0 : in    std_logic; 
          D1 : in    std_logic; 
          S0 : in    std_logic; 
          O  : out   std_logic);
end M2_1_MXILINX_MAIN_IO;

architecture BEHAVIORAL of M2_1_MXILINX_MAIN_IO is
   attribute BOX_TYPE   : string ;
   signal M0 : std_logic;
   signal M1 : std_logic;
   component AND2B1
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND2B1 : component is "BLACK_BOX";
   
   component OR2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of OR2 : component is "BLACK_BOX";
   
   component AND2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND2 : component is "BLACK_BOX";
   
begin
   I_36_7 : AND2B1
      port map (I0=>S0,
                I1=>D0,
                O=>M0);
   
   I_36_8 : OR2
      port map (I0=>M1,
                I1=>M0,
                O=>O);
   
   I_36_9 : AND2
      port map (I0=>D1,
                I1=>S0,
                O=>M1);
   
end BEHAVIORAL;



library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
library UNISIM;
use UNISIM.Vcomponents.ALL;

entity MAIN_IO is
   port ( CLR         : in    std_logic; 
          CLR_ALL     : in    std_logic; 
          DSTRB       : in    std_logic; 
          REF_CLK_N   : in    std_logic; 
          REF_CLK_P   : in    std_logic; 
          REV_N       : in    std_logic; 
          REV_P       : in    std_logic; 
          R_WR        : in    std_logic; 
          SEL         : in    std_logic; 
          SPA_N       : in    std_logic; 
          SPA_P       : in    std_logic; 
          xCLK        : in    std_logic; 
          xSLAVE_DATA : in    std_logic_vector (15 downto 0); 
          xSTART      : in    std_logic; 
          INTR        : out   std_logic; 
          SPB_N       : out   std_logic; 
          SPB_P       : out   std_logic; 
          xCLR_ALL    : out   std_logic; 
          xDONE       : out   std_logic; 
          xDSTRB      : out   std_logic; 
          xMAIN_DATA  : out   std_logic_vector (15 downto 0); 
          xREF_CLK    : out   std_logic; 
          xREV        : out   std_logic; 
          xR_WR       : out   std_logic; 
          xSEL        : out   std_logic; 
          xSPA        : out   std_logic; 
          AD          : inout std_logic_vector (15 downto 0));
end MAIN_IO;

architecture BEHAVIORAL of MAIN_IO is
   attribute IOSTANDARD : string ;
   attribute BOX_TYPE   : string ;
   attribute SLEW       : string ;
   attribute DRIVE      : string ;
   attribute HU_SET     : string ;
   signal XLXN_27     : std_logic;
   signal XLXN_45     : std_logic;
   signal XLXN_48     : std_logic;
   signal XLXN_51     : std_logic;
   signal XLXN_85     : std_logic;
   signal XLXN_89     : std_logic;
   signal XLXN_91     : std_logic;
   signal XLXN_92     : std_logic;
   signal XLXN_93     : std_logic;
   signal XLXN_94     : std_logic;
   signal xR_WR_DUMMY : std_logic;
   signal xSEL_DUMMY  : std_logic;
   component IBUF
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute IOSTANDARD of IBUF : component is "DEFAULT";
   attribute BOX_TYPE of IBUF : component is "BLACK_BOX";
   
   component BUF
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute BOX_TYPE of BUF : component is "BLACK_BOX";
   
   component OBUF
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute IOSTANDARD of OBUF : component is "DEFAULT";
   attribute SLEW of OBUF : component is "SLOW";
   attribute DRIVE of OBUF : component is "12";
   attribute BOX_TYPE of OBUF : component is "BLACK_BOX";
   
   component iobuf16
      port ( xTOGGLE : in    std_logic; 
             FDIN    : in    std_logic_vector (15 downto 0); 
             FD      : inout std_logic_vector (15 downto 0); 
             FDOUT   : out   std_logic_vector (15 downto 0));
   end component;
   
   component M2_1_MXILINX_MAIN_IO
      port ( D0 : in    std_logic; 
             D1 : in    std_logic; 
             S0 : in    std_logic; 
             O  : out   std_logic);
   end component;
   
   component VCC
      port ( P : out   std_logic);
   end component;
   attribute BOX_TYPE of VCC : component is "BLACK_BOX";
   
   component IBUFGDS
      port ( I  : in    std_logic; 
             IB : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute IOSTANDARD of IBUFGDS : component is "DEFAULT";
   attribute BOX_TYPE of IBUFGDS : component is "BLACK_BOX";
   
   component BUFG
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute BOX_TYPE of BUFG : component is "BLACK_BOX";
   
   component OBUFDS
      port ( I  : in    std_logic; 
             O  : out   std_logic; 
             OB : out   std_logic);
   end component;
   attribute IOSTANDARD of OBUFDS : component is "DEFAULT";
   attribute DRIVE of OBUFDS : component is "12";
   attribute SLEW of OBUFDS : component is "SLOW";
   attribute BOX_TYPE of OBUFDS : component is "BLACK_BOX";
   
   component IBUFDS
      port ( I  : in    std_logic; 
             IB : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute IOSTANDARD of IBUFDS : component is "DEFAULT";
   attribute BOX_TYPE of IBUFDS : component is "BLACK_BOX";
   
   attribute HU_SET of XLXI_149 : label is "XLXI_149_0";
begin
   xR_WR <= xR_WR_DUMMY;
   xSEL <= xSEL_DUMMY;
   XLXI_109 : IBUF
      port map (I=>SEL,
                O=>XLXN_27);
   
   XLXI_110 : BUF
      port map (I=>XLXN_27,
                O=>xSEL_DUMMY);
   
   XLXI_116 : OBUF
      port map (I=>xSTART,
                O=>INTR);
   
   XLXI_122 : IBUF
      port map (I=>CLR,
                O=>XLXN_45);
   
   XLXI_123 : BUF
      port map (I=>XLXN_45,
                O=>xDONE);
   
   XLXI_124 : IBUF
      port map (I=>CLR_ALL,
                O=>XLXN_48);
   
   XLXI_125 : BUF
      port map (I=>XLXN_48,
                O=>xCLR_ALL);
   
   XLXI_126 : IBUF
      port map (I=>R_WR,
                O=>XLXN_51);
   
   XLXI_127 : BUF
      port map (I=>XLXN_51,
                O=>xR_WR_DUMMY);
   
   XLXI_129 : iobuf16
      port map (FDIN(15 downto 0)=>xSLAVE_DATA(15 downto 0),
                xTOGGLE=>XLXN_89,
                FDOUT(15 downto 0)=>xMAIN_DATA(15 downto 0),
                FD(15 downto 0)=>AD(15 downto 0));
   
   XLXI_147 : IBUF
      port map (I=>DSTRB,
                O=>XLXN_85);
   
   XLXI_148 : BUF
      port map (I=>XLXN_85,
                O=>xDSTRB);
   
   XLXI_149 : M2_1_MXILINX_MAIN_IO
      port map (D0=>XLXN_91,
                D1=>xR_WR_DUMMY,
                S0=>xSEL_DUMMY,
                O=>XLXN_89);
   
   XLXI_152 : VCC
      port map (P=>XLXN_91);
   
   XLXI_153 : IBUFGDS
      port map (I=>REF_CLK_P,
                IB=>REF_CLK_N,
                O=>XLXN_92);
   
   XLXI_154 : BUFG
      port map (I=>XLXN_92,
                O=>xREF_CLK);
   
   XLXI_155 : OBUFDS
      port map (I=>xCLK,
                O=>SPB_P,
                OB=>SPB_N);
   
   XLXI_156 : IBUFDS
      port map (I=>SPA_P,
                IB=>SPA_N,
                O=>XLXN_93);
   
   XLXI_157 : BUF
      port map (I=>XLXN_93,
                O=>xSPA);
   
   XLXI_158 : IBUFDS
      port map (I=>REV_P,
                IB=>REV_N,
                O=>XLXN_94);
   
   XLXI_159 : BUF
      port map (I=>XLXN_94,
                O=>xREV);
   
end BEHAVIORAL;


