--------------------------------------------------------------------------------
-- Copyright (c) 1995-2009 Xilinx, Inc.  All rights reserved.
--------------------------------------------------------------------------------
--   ____  ____ 
--  /   /\/   / 
-- /___/  \  /    Vendor: Xilinx 
-- \   \   \/     Version : 11.4
--  \   \         Application : sch2hdl
--  /   /         Filename : TOP.vhf
-- /___/   /\     Timestamp : 05/05/2010 14:39:47
-- \   \  /  \ 
--  \___\/\___\ 
--
--Command: sch2hdl -intstyle ise -family spartan3 -flat -suppress -vhdl /home/rjn/firmware/MCP_TARGETv03/TOP.vhf -w /home/rjn/firmware/MCP_TARGETv03/src/TOP.sch
--Design Name: TOP
--Device: spartan3
--Purpose:
--    This vhdl netlist is translated from an ECS schematic. It can be 
--    synthesized and simulated, but it should not be modified. 
--

library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
library UNISIM;
use UNISIM.Vcomponents.ALL;

entity FTC_MXILINX_TOP is
   generic( INIT : bit :=  '0');
   port ( C   : in    std_logic; 
          CLR : in    std_logic; 
          T   : in    std_logic; 
          Q   : out   std_logic);
end FTC_MXILINX_TOP;

architecture BEHAVIORAL of FTC_MXILINX_TOP is
   attribute BOX_TYPE   : string ;
   attribute RLOC       : string ;
   signal TQ      : std_logic;
   signal Q_DUMMY : std_logic;
   component XOR2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of XOR2 : component is "BLACK_BOX";
   
   component FDC
      generic( INIT : bit :=  '0');
      port ( C   : in    std_logic; 
             CLR : in    std_logic; 
             D   : in    std_logic; 
             Q   : out   std_logic);
   end component;
   attribute BOX_TYPE of FDC : component is "BLACK_BOX";
   
   attribute RLOC of I_36_35 : label is "X0Y0";
begin
   Q <= Q_DUMMY;
   I_36_32 : XOR2
      port map (I0=>T,
                I1=>Q_DUMMY,
                O=>TQ);
   
   I_36_35 : FDC
   generic map( INIT => INIT)
      port map (C=>C,
                CLR=>CLR,
                D=>TQ,
                Q=>Q_DUMMY);
   
end BEHAVIORAL;



library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
library UNISIM;
use UNISIM.Vcomponents.ALL;

entity CLK_MAIN_MUSER_TOP is
   port ( BCLK        : in    std_logic; 
          BCLK_N      : in    std_logic; 
          FCLK        : in    std_logic; 
          FCLK_N      : in    std_logic; 
          TRIG        : in    std_logic; 
          TRIG_N      : in    std_logic; 
          xCLK        : out   std_logic; 
          xCLK_1Hz    : out   std_logic; 
          xCLK_1kHz   : out   std_logic; 
          xCLK_10Hz   : out   std_logic; 
          xCLK_15MHz  : out   std_logic; 
          xCLK_100Hz  : out   std_logic; 
          xCLK_125MHz : out   std_logic; 
          xFCLK       : out   std_logic; 
          xTRIG       : out   std_logic);
end CLK_MAIN_MUSER_TOP;

architecture BEHAVIORAL of CLK_MAIN_MUSER_TOP is
   attribute HU_SET     : string ;
   attribute BOX_TYPE   : string ;
   attribute IOSTANDARD : string ;
   signal xCLK_30MHz       : std_logic;
   signal XLXN_27          : std_logic;
   signal XLXN_157         : std_logic;
   signal XLXN_158         : std_logic;
   signal XLXN_160         : std_logic;
   signal XLXN_162         : std_logic;
   signal XLXN_167         : std_logic;
   signal XLXN_168         : std_logic;
   signal XLXN_169         : std_logic;
   signal XLXN_183         : std_logic;
   signal XLXN_185         : std_logic;
   signal XLXN_224         : std_logic;
   signal XLXN_225         : std_logic;
   signal XLXN_226         : std_logic;
   signal xFCLK_DUMMY      : std_logic;
   signal xCLK_15MHz_DUMMY : std_logic;
   signal xCLK_DUMMY       : std_logic;
   component FTC_MXILINX_TOP
      generic( INIT : bit :=  '0');
      port ( C   : in    std_logic; 
             CLR : in    std_logic; 
             T   : in    std_logic; 
             Q   : out   std_logic);
   end component;
   
   component GND
      port ( G : out   std_logic);
   end component;
   attribute BOX_TYPE of GND : component is "BLACK_BOX";
   
   component VCC
      port ( P : out   std_logic);
   end component;
   attribute BOX_TYPE of VCC : component is "BLACK_BOX";
   
   component BUFG
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute BOX_TYPE of BUFG : component is "BLACK_BOX";
   
   component IBUFDS
      port ( I  : in    std_logic; 
             IB : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute IOSTANDARD of IBUFDS : component is "DEFAULT";
   attribute BOX_TYPE of IBUFDS : component is "BLACK_BOX";
   
   component HK_CLK
      port ( xCLK_15MHz : in    std_logic; 
             xCLK_1Hz   : out   std_logic; 
             xCLK_10Hz  : out   std_logic; 
             xCLK_100Hz : out   std_logic; 
             xCLK_1kHz  : out   std_logic; 
             xCLR_ALL   : in    std_logic);
   end component;
   
   component BUF
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute BOX_TYPE of BUF : component is "BLACK_BOX";
   
   attribute HU_SET of XLXI_21 : label is "XLXI_21_7";
   attribute HU_SET of XLXI_1554 : label is "XLXI_1554_6";
   attribute HU_SET of XLXI_2631 : label is "XLXI_2631_8";
begin
   xCLK <= xCLK_DUMMY;
   xCLK_15MHz <= xCLK_15MHz_DUMMY;
   xFCLK <= xFCLK_DUMMY;
   XLXI_21 : FTC_MXILINX_TOP
      port map (C=>xCLK_30MHz,
                CLR=>XLXN_157,
                T=>XLXN_158,
                Q=>XLXN_160);
   
   XLXI_44 : GND
      port map (G=>XLXN_157);
   
   XLXI_45 : VCC
      port map (P=>XLXN_158);
   
   XLXI_46 : BUFG
      port map (I=>XLXN_160,
                O=>xCLK_15MHz_DUMMY);
   
   XLXI_108 : BUFG
      port map (I=>XLXN_27,
                O=>xCLK_DUMMY);
   
   XLXI_1548 : IBUFDS
      port map (I=>FCLK,
                IB=>FCLK_N,
                O=>XLXN_162);
   
   XLXI_1549 : BUFG
      port map (I=>XLXN_162,
                O=>xFCLK_DUMMY);
   
   XLXI_1554 : FTC_MXILINX_TOP
      port map (C=>xCLK_DUMMY,
                CLR=>XLXN_167,
                T=>XLXN_168,
                Q=>XLXN_169);
   
   XLXI_1555 : GND
      port map (G=>XLXN_167);
   
   XLXI_1556 : VCC
      port map (P=>XLXN_168);
   
   XLXI_1572 : HK_CLK
      port map (xCLK_15MHz=>xCLK_15MHz_DUMMY,
                xCLR_ALL=>XLXN_185,
                xCLK_1Hz=>xCLK_1Hz,
                xCLK_1kHz=>xCLK_1kHz,
                xCLK_10Hz=>xCLK_10Hz,
                xCLK_100Hz=>xCLK_100Hz);
   
   XLXI_1579 : BUF
      port map (I=>XLXN_183,
                O=>xTRIG);
   
   XLXI_1581 : GND
      port map (G=>XLXN_185);
   
   XLXI_2604 : IBUFDS
      port map (I=>BCLK,
                IB=>BCLK_N,
                O=>XLXN_27);
   
   XLXI_2605 : IBUFDS
      port map (I=>TRIG,
                IB=>TRIG_N,
                O=>XLXN_183);
   
   XLXI_2631 : FTC_MXILINX_TOP
      port map (C=>xFCLK_DUMMY,
                CLR=>XLXN_224,
                T=>XLXN_225,
                Q=>XLXN_226);
   
   XLXI_2632 : GND
      port map (G=>XLXN_224);
   
   XLXI_2633 : VCC
      port map (P=>XLXN_225);
   
   XLXI_2634 : BUFG
      port map (I=>XLXN_226,
                O=>xCLK_125MHz);
   
   XLXI_2635 : BUF
      port map (I=>XLXN_169,
                O=>xCLK_30MHz);
   
end BEHAVIORAL;



library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
library UNISIM;
use UNISIM.Vcomponents.ALL;

entity MON_HDR_MUSER_TOP is
   port ( xMON0  : in    std_logic; 
          xMON1  : in    std_logic; 
          xMON2  : in    std_logic; 
          xMON3  : in    std_logic; 
          xMON4  : in    std_logic; 
          xMON5  : in    std_logic; 
          xMON6  : in    std_logic; 
          xMON7  : in    std_logic; 
          xMON8  : in    std_logic; 
          xMON9  : in    std_logic; 
          xMON10 : in    std_logic; 
          xMON11 : in    std_logic; 
          xMON12 : in    std_logic; 
          xMON13 : in    std_logic; 
          xMON14 : in    std_logic; 
          xMON15 : in    std_logic; 
          MON0   : out   std_logic; 
          MON1   : out   std_logic; 
          MON2   : out   std_logic; 
          MON3   : out   std_logic; 
          MON4   : out   std_logic; 
          MON5   : out   std_logic; 
          MON6   : out   std_logic; 
          MON7   : out   std_logic; 
          MON8   : out   std_logic; 
          MON9   : out   std_logic; 
          MON10  : out   std_logic; 
          MON11  : out   std_logic; 
          MON12  : out   std_logic; 
          MON13  : out   std_logic; 
          MON14  : out   std_logic; 
          MON15  : out   std_logic);
end MON_HDR_MUSER_TOP;

architecture BEHAVIORAL of MON_HDR_MUSER_TOP is
   attribute IOSTANDARD : string ;
   attribute SLEW       : string ;
   attribute DRIVE      : string ;
   attribute BOX_TYPE   : string ;
   component OBUF
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute IOSTANDARD of OBUF : component is "DEFAULT";
   attribute SLEW of OBUF : component is "SLOW";
   attribute DRIVE of OBUF : component is "12";
   attribute BOX_TYPE of OBUF : component is "BLACK_BOX";
   
begin
   XLXI_63 : OBUF
      port map (I=>xMON0,
                O=>MON0);
   
   XLXI_64 : OBUF
      port map (I=>xMON1,
                O=>MON1);
   
   XLXI_65 : OBUF
      port map (I=>xMON2,
                O=>MON2);
   
   XLXI_66 : OBUF
      port map (I=>xMON3,
                O=>MON3);
   
   XLXI_67 : OBUF
      port map (I=>xMON4,
                O=>MON4);
   
   XLXI_68 : OBUF
      port map (I=>xMON5,
                O=>MON5);
   
   XLXI_69 : OBUF
      port map (I=>xMON6,
                O=>MON6);
   
   XLXI_70 : OBUF
      port map (I=>xMON7,
                O=>MON7);
   
   XLXI_71 : OBUF
      port map (I=>xMON8,
                O=>MON8);
   
   XLXI_72 : OBUF
      port map (I=>xMON9,
                O=>MON9);
   
   XLXI_73 : OBUF
      port map (I=>xMON10,
                O=>MON10);
   
   XLXI_74 : OBUF
      port map (I=>xMON11,
                O=>MON11);
   
   XLXI_75 : OBUF
      port map (I=>xMON12,
                O=>MON12);
   
   XLXI_76 : OBUF
      port map (I=>xMON13,
                O=>MON13);
   
   XLXI_77 : OBUF
      port map (I=>xMON14,
                O=>MON14);
   
   XLXI_78 : OBUF
      port map (I=>xMON15,
                O=>MON15);
   
end BEHAVIORAL;



library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
library UNISIM;
use UNISIM.Vcomponents.ALL;

entity M2_1_MXILINX_TOP is
   port ( D0 : in    std_logic; 
          D1 : in    std_logic; 
          S0 : in    std_logic; 
          O  : out   std_logic);
end M2_1_MXILINX_TOP;

architecture BEHAVIORAL of M2_1_MXILINX_TOP is
   attribute BOX_TYPE   : string ;
   signal M0 : std_logic;
   signal M1 : std_logic;
   component AND2B1
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND2B1 : component is "BLACK_BOX";
   
   component OR2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of OR2 : component is "BLACK_BOX";
   
   component AND2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND2 : component is "BLACK_BOX";
   
begin
   I_36_7 : AND2B1
      port map (I0=>S0,
                I1=>D0,
                O=>M0);
   
   I_36_8 : OR2
      port map (I0=>M1,
                I1=>M0,
                O=>O);
   
   I_36_9 : AND2
      port map (I0=>D1,
                I1=>S0,
                O=>M1);
   
end BEHAVIORAL;



library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
library UNISIM;
use UNISIM.Vcomponents.ALL;

entity iobuf16_MUSER_TOP is
   port ( FDIN    : in    std_logic_vector (15 downto 0); 
          xTOGGLE : in    std_logic; 
          FDOUT   : out   std_logic_vector (15 downto 0); 
          FD      : inout std_logic_vector (15 downto 0));
end iobuf16_MUSER_TOP;

architecture BEHAVIORAL of iobuf16_MUSER_TOP is
   attribute IOSTANDARD : string ;
   attribute SLEW       : string ;
   attribute DRIVE      : string ;
   attribute BOX_TYPE   : string ;
   signal TOGGLE  : std_logic;
   component IOBUF
      port ( I  : in    std_logic; 
             IO : inout std_logic; 
             O  : out   std_logic; 
             T  : in    std_logic);
   end component;
   attribute IOSTANDARD of IOBUF : component is "DEFAULT";
   attribute SLEW of IOBUF : component is "SLOW";
   attribute DRIVE of IOBUF : component is "12";
   attribute BOX_TYPE of IOBUF : component is "BLACK_BOX";
   
   component BUF
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute BOX_TYPE of BUF : component is "BLACK_BOX";
   
begin
   XLXI_3611 : IOBUF
      port map (I=>FDIN(0),
                T=>TOGGLE,
                O=>FDOUT(0),
                IO=>FD(0));
   
   XLXI_3613 : IOBUF
      port map (I=>FDIN(1),
                T=>TOGGLE,
                O=>FDOUT(1),
                IO=>FD(1));
   
   XLXI_3614 : IOBUF
      port map (I=>FDIN(2),
                T=>TOGGLE,
                O=>FDOUT(2),
                IO=>FD(2));
   
   XLXI_3615 : IOBUF
      port map (I=>FDIN(3),
                T=>TOGGLE,
                O=>FDOUT(3),
                IO=>FD(3));
   
   XLXI_3620 : IOBUF
      port map (I=>FDIN(4),
                T=>TOGGLE,
                O=>FDOUT(4),
                IO=>FD(4));
   
   XLXI_3621 : IOBUF
      port map (I=>FDIN(5),
                T=>TOGGLE,
                O=>FDOUT(5),
                IO=>FD(5));
   
   XLXI_3622 : IOBUF
      port map (I=>FDIN(6),
                T=>TOGGLE,
                O=>FDOUT(6),
                IO=>FD(6));
   
   XLXI_3623 : IOBUF
      port map (I=>FDIN(7),
                T=>TOGGLE,
                O=>FDOUT(7),
                IO=>FD(7));
   
   XLXI_3624 : IOBUF
      port map (I=>FDIN(8),
                T=>TOGGLE,
                O=>FDOUT(8),
                IO=>FD(8));
   
   XLXI_3625 : IOBUF
      port map (I=>FDIN(9),
                T=>TOGGLE,
                O=>FDOUT(9),
                IO=>FD(9));
   
   XLXI_3626 : IOBUF
      port map (I=>FDIN(10),
                T=>TOGGLE,
                O=>FDOUT(10),
                IO=>FD(10));
   
   XLXI_3627 : IOBUF
      port map (I=>FDIN(11),
                T=>TOGGLE,
                O=>FDOUT(11),
                IO=>FD(11));
   
   XLXI_3628 : IOBUF
      port map (I=>FDIN(12),
                T=>TOGGLE,
                O=>FDOUT(12),
                IO=>FD(12));
   
   XLXI_3629 : IOBUF
      port map (I=>FDIN(13),
                T=>TOGGLE,
                O=>FDOUT(13),
                IO=>FD(13));
   
   XLXI_3630 : IOBUF
      port map (I=>FDIN(14),
                T=>TOGGLE,
                O=>FDOUT(14),
                IO=>FD(14));
   
   XLXI_3631 : IOBUF
      port map (I=>FDIN(15),
                T=>TOGGLE,
                O=>FDOUT(15),
                IO=>FD(15));
   
   XLXI_3632 : BUF
      port map (I=>xTOGGLE,
                O=>TOGGLE);
   
end BEHAVIORAL;



library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
library UNISIM;
use UNISIM.Vcomponents.ALL;

entity MAIN_IO_MUSER_TOP is
   port ( CLR         : in    std_logic; 
          CLR_ALL     : in    std_logic; 
          DSTRB       : in    std_logic; 
          REF_CLK_N   : in    std_logic; 
          REF_CLK_P   : in    std_logic; 
          REV_N       : in    std_logic; 
          REV_P       : in    std_logic; 
          R_WR        : in    std_logic; 
          SEL         : in    std_logic; 
          SPA_N       : in    std_logic; 
          SPA_P       : in    std_logic; 
          xCLK        : in    std_logic; 
          xSLAVE_DATA : in    std_logic_vector (15 downto 0); 
          xSTART      : in    std_logic; 
          INTR        : out   std_logic; 
          SPB_N       : out   std_logic; 
          SPB_P       : out   std_logic; 
          xCLR_ALL    : out   std_logic; 
          xDONE       : out   std_logic; 
          xDSTRB      : out   std_logic; 
          xMAIN_DATA  : out   std_logic_vector (15 downto 0); 
          xREF_CLK    : out   std_logic; 
          xREV        : out   std_logic; 
          xR_WR       : out   std_logic; 
          xSEL        : out   std_logic; 
          xSPA        : out   std_logic; 
          AD          : inout std_logic_vector (15 downto 0));
end MAIN_IO_MUSER_TOP;

architecture BEHAVIORAL of MAIN_IO_MUSER_TOP is
   attribute IOSTANDARD : string ;
   attribute BOX_TYPE   : string ;
   attribute SLEW       : string ;
   attribute DRIVE      : string ;
   attribute HU_SET     : string ;
   signal XLXN_27     : std_logic;
   signal XLXN_45     : std_logic;
   signal XLXN_48     : std_logic;
   signal XLXN_51     : std_logic;
   signal XLXN_85     : std_logic;
   signal XLXN_89     : std_logic;
   signal XLXN_91     : std_logic;
   signal XLXN_92     : std_logic;
   signal XLXN_93     : std_logic;
   signal XLXN_94     : std_logic;
   signal xR_WR_DUMMY : std_logic;
   signal xSEL_DUMMY  : std_logic;
   component IBUF
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute IOSTANDARD of IBUF : component is "DEFAULT";
   attribute BOX_TYPE of IBUF : component is "BLACK_BOX";
   
   component BUF
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute BOX_TYPE of BUF : component is "BLACK_BOX";
   
   component OBUF
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute IOSTANDARD of OBUF : component is "DEFAULT";
   attribute SLEW of OBUF : component is "SLOW";
   attribute DRIVE of OBUF : component is "12";
   attribute BOX_TYPE of OBUF : component is "BLACK_BOX";
   
   component iobuf16_MUSER_TOP
      port ( xTOGGLE : in    std_logic; 
             FDIN    : in    std_logic_vector (15 downto 0); 
             FD      : inout std_logic_vector (15 downto 0); 
             FDOUT   : out   std_logic_vector (15 downto 0));
   end component;
   
   component M2_1_MXILINX_TOP
      port ( D0 : in    std_logic; 
             D1 : in    std_logic; 
             S0 : in    std_logic; 
             O  : out   std_logic);
   end component;
   
   component VCC
      port ( P : out   std_logic);
   end component;
   attribute BOX_TYPE of VCC : component is "BLACK_BOX";
   
   component IBUFGDS
      port ( I  : in    std_logic; 
             IB : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute IOSTANDARD of IBUFGDS : component is "DEFAULT";
   attribute BOX_TYPE of IBUFGDS : component is "BLACK_BOX";
   
   component BUFG
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute BOX_TYPE of BUFG : component is "BLACK_BOX";
   
   component OBUFDS
      port ( I  : in    std_logic; 
             O  : out   std_logic; 
             OB : out   std_logic);
   end component;
   attribute IOSTANDARD of OBUFDS : component is "DEFAULT";
   attribute DRIVE of OBUFDS : component is "12";
   attribute SLEW of OBUFDS : component is "SLOW";
   attribute BOX_TYPE of OBUFDS : component is "BLACK_BOX";
   
   component IBUFDS
      port ( I  : in    std_logic; 
             IB : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute IOSTANDARD of IBUFDS : component is "DEFAULT";
   attribute BOX_TYPE of IBUFDS : component is "BLACK_BOX";
   
   attribute HU_SET of XLXI_149 : label is "XLXI_149_9";
begin
   xR_WR <= xR_WR_DUMMY;
   xSEL <= xSEL_DUMMY;
   XLXI_109 : IBUF
      port map (I=>SEL,
                O=>XLXN_27);
   
   XLXI_110 : BUF
      port map (I=>XLXN_27,
                O=>xSEL_DUMMY);
   
   XLXI_116 : OBUF
      port map (I=>xSTART,
                O=>INTR);
   
   XLXI_122 : IBUF
      port map (I=>CLR,
                O=>XLXN_45);
   
   XLXI_123 : BUF
      port map (I=>XLXN_45,
                O=>xDONE);
   
   XLXI_124 : IBUF
      port map (I=>CLR_ALL,
                O=>XLXN_48);
   
   XLXI_125 : BUF
      port map (I=>XLXN_48,
                O=>xCLR_ALL);
   
   XLXI_126 : IBUF
      port map (I=>R_WR,
                O=>XLXN_51);
   
   XLXI_127 : BUF
      port map (I=>XLXN_51,
                O=>xR_WR_DUMMY);
   
   XLXI_129 : iobuf16_MUSER_TOP
      port map (FDIN(15 downto 0)=>xSLAVE_DATA(15 downto 0),
                xTOGGLE=>XLXN_89,
                FDOUT(15 downto 0)=>xMAIN_DATA(15 downto 0),
                FD(15 downto 0)=>AD(15 downto 0));
   
   XLXI_147 : IBUF
      port map (I=>DSTRB,
                O=>XLXN_85);
   
   XLXI_148 : BUF
      port map (I=>XLXN_85,
                O=>xDSTRB);
   
   XLXI_149 : M2_1_MXILINX_TOP
      port map (D0=>XLXN_91,
                D1=>xR_WR_DUMMY,
                S0=>xSEL_DUMMY,
                O=>XLXN_89);
   
   XLXI_152 : VCC
      port map (P=>XLXN_91);
   
   XLXI_153 : IBUFGDS
      port map (I=>REF_CLK_P,
                IB=>REF_CLK_N,
                O=>XLXN_92);
   
   XLXI_154 : BUFG
      port map (I=>XLXN_92,
                O=>xREF_CLK);
   
   XLXI_155 : OBUFDS
      port map (I=>xCLK,
                O=>SPB_P,
                OB=>SPB_N);
   
   XLXI_156 : IBUFDS
      port map (I=>SPA_P,
                IB=>SPA_N,
                O=>XLXN_93);
   
   XLXI_157 : BUF
      port map (I=>XLXN_93,
                O=>xSPA);
   
   XLXI_158 : IBUFDS
      port map (I=>REV_P,
                IB=>REV_N,
                O=>XLXN_94);
   
   XLXI_159 : BUF
      port map (I=>XLXN_94,
                O=>xREV);
   
end BEHAVIORAL;



library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
library UNISIM;
use UNISIM.Vcomponents.ALL;

entity IBUF16_MXILINX_TOP is
   port ( I : in    std_logic_vector (15 downto 0); 
          O : out   std_logic_vector (15 downto 0));
end IBUF16_MXILINX_TOP;

architecture BEHAVIORAL of IBUF16_MXILINX_TOP is
   attribute IOSTANDARD : string ;
   attribute BOX_TYPE   : string ;
   component IBUF
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute IOSTANDARD of IBUF : component is "DEFAULT";
   attribute BOX_TYPE of IBUF : component is "BLACK_BOX";
   
begin
   I_36_30 : IBUF
      port map (I=>I(8),
                O=>O(8));
   
   I_36_31 : IBUF
      port map (I=>I(9),
                O=>O(9));
   
   I_36_32 : IBUF
      port map (I=>I(10),
                O=>O(10));
   
   I_36_33 : IBUF
      port map (I=>I(11),
                O=>O(11));
   
   I_36_34 : IBUF
      port map (I=>I(15),
                O=>O(15));
   
   I_36_35 : IBUF
      port map (I=>I(14),
                O=>O(14));
   
   I_36_36 : IBUF
      port map (I=>I(13),
                O=>O(13));
   
   I_36_37 : IBUF
      port map (I=>I(12),
                O=>O(12));
   
   I_36_38 : IBUF
      port map (I=>I(4),
                O=>O(4));
   
   I_36_39 : IBUF
      port map (I=>I(5),
                O=>O(5));
   
   I_36_40 : IBUF
      port map (I=>I(6),
                O=>O(6));
   
   I_36_41 : IBUF
      port map (I=>I(7),
                O=>O(7));
   
   I_36_42 : IBUF
      port map (I=>I(3),
                O=>O(3));
   
   I_36_43 : IBUF
      port map (I=>I(2),
                O=>O(2));
   
   I_36_44 : IBUF
      port map (I=>I(1),
                O=>O(1));
   
   I_36_45 : IBUF
      port map (I=>I(0),
                O=>O(0));
   
end BEHAVIORAL;



library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
library UNISIM;
use UNISIM.Vcomponents.ALL;

entity TARGET_IO_MUSER_TOP is
   port ( BOUT     : in    std_logic_vector (15 downto 0); 
          RCO      : in    std_logic; 
          TOUT     : in    std_logic_vector (15 downto 0); 
          TRG_SUM  : in    std_logic; 
          xBTSA    : in    std_logic_vector (3 downto 0); 
          xCOL_S   : in    std_logic_vector (4 downto 0); 
          xNRUN    : in    std_logic; 
          xRAMP    : in    std_logic; 
          xROW_S   : in    std_logic_vector (5 downto 0); 
          xSGN     : in    std_logic; 
          xTERM    : in    std_logic_vector (2 downto 0); 
          xTSA_IN  : in    std_logic_vector (1 downto 0); 
          xTTSA    : in    std_logic_vector (3 downto 0); 
          ALL_ROW  : out   std_logic; 
          BTSA     : out   std_logic_vector (3 downto 0); 
          COL_S    : out   std_logic_vector (4 downto 0); 
          MUX_RAW  : out   std_logic; 
          RAMP     : out   std_logic; 
          RF_SEL   : out   std_logic_vector (2 downto 0); 
          ROW_S    : out   std_logic_vector (5 downto 0); 
          SGN      : out   std_logic; 
          TSA_IN   : out   std_logic_vector (1 downto 0); 
          TTSA     : out   std_logic_vector (3 downto 0); 
          xBOUT    : out   std_logic_vector (15 downto 0); 
          xRCO     : out   std_logic; 
          xTOUT    : out   std_logic_vector (15 downto 0); 
          xTRG_SUM : out   std_logic);
end TARGET_IO_MUSER_TOP;

architecture BEHAVIORAL of TARGET_IO_MUSER_TOP is
   attribute HU_SET     : string ;
   attribute IOSTANDARD : string ;
   attribute SLEW       : string ;
   attribute DRIVE      : string ;
   attribute BOX_TYPE   : string ;
   signal XLXN_19  : std_logic;
   signal XLXN_26  : std_logic;
   signal XLXN_29  : std_logic;
   signal XLXN_30  : std_logic;
   component IBUF16_MXILINX_TOP
      port ( I : in    std_logic_vector (15 downto 0); 
             O : out   std_logic_vector (15 downto 0));
   end component;
   
   component OBUF4X
      port ( I : in    std_logic_vector (3 downto 0); 
             O : out   std_logic_vector (3 downto 0));
   end component;
   
   component OBUF3
      port ( I : in    std_logic_vector (2 downto 0); 
             O : out   std_logic_vector (2 downto 0));
   end component;
   
   component OBUF5
      port ( I : in    std_logic_vector (4 downto 0); 
             O : out   std_logic_vector (4 downto 0));
   end component;
   
   component OBUF6
      port ( I : in    std_logic_vector (5 downto 0); 
             O : out   std_logic_vector (5 downto 0));
   end component;
   
   component OBUF
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute IOSTANDARD of OBUF : component is "DEFAULT";
   attribute SLEW of OBUF : component is "SLOW";
   attribute DRIVE of OBUF : component is "12";
   attribute BOX_TYPE of OBUF : component is "BLACK_BOX";
   
   component OBUF2
      port ( I : in    std_logic_vector (1 downto 0); 
             O : out   std_logic_vector (1 downto 0));
   end component;
   
   component IBUF
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute IOSTANDARD of IBUF : component is "DEFAULT";
   attribute BOX_TYPE of IBUF : component is "BLACK_BOX";
   
   component BUF
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute BOX_TYPE of BUF : component is "BLACK_BOX";
   
   component INV
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute BOX_TYPE of INV : component is "BLACK_BOX";
   
   component GND
      port ( G : out   std_logic);
   end component;
   attribute BOX_TYPE of GND : component is "BLACK_BOX";
   
   attribute HU_SET of XLXI_1 : label is "XLXI_1_10";
   attribute HU_SET of XLXI_2 : label is "XLXI_2_11";
begin
   XLXI_1 : IBUF16_MXILINX_TOP
      port map (I(15 downto 0)=>TOUT(15 downto 0),
                O(15 downto 0)=>xTOUT(15 downto 0));
   
   XLXI_2 : IBUF16_MXILINX_TOP
      port map (I(15 downto 0)=>BOUT(15 downto 0),
                O(15 downto 0)=>xBOUT(15 downto 0));
   
   XLXI_4 : OBUF4X
      port map (I(3 downto 0)=>xTTSA(3 downto 0),
                O(3 downto 0)=>TTSA(3 downto 0));
   
   XLXI_5 : OBUF4X
      port map (I(3 downto 0)=>xBTSA(3 downto 0),
                O(3 downto 0)=>BTSA(3 downto 0));
   
   XLXI_6 : OBUF3
      port map (I(2 downto 0)=>xTERM(2 downto 0),
                O(2 downto 0)=>RF_SEL(2 downto 0));
   
   XLXI_7 : OBUF5
      port map (I(4 downto 0)=>xCOL_S(4 downto 0),
                O(4 downto 0)=>COL_S(4 downto 0));
   
   XLXI_8 : OBUF6
      port map (I(5 downto 0)=>xROW_S(5 downto 0),
                O(5 downto 0)=>ROW_S(5 downto 0));
   
   XLXI_9 : OBUF
      port map (I=>xNRUN,
                O=>ALL_ROW);
   
   XLXI_10 : OBUF2
      port map (I(1 downto 0)=>xTSA_IN(1 downto 0),
                O(1 downto 0)=>TSA_IN(1 downto 0));
   
   XLXI_11 : IBUF
      port map (I=>RCO,
                O=>XLXN_29);
   
   XLXI_12 : BUF
      port map (I=>XLXN_19,
                O=>xRCO);
   
   XLXI_15 : IBUF
      port map (I=>TRG_SUM,
                O=>XLXN_26);
   
   XLXI_16 : BUF
      port map (I=>XLXN_26,
                O=>xTRG_SUM);
   
   XLXI_17 : OBUF
      port map (I=>XLXN_30,
                O=>MUX_RAW);
   
   XLXI_18 : OBUF
      port map (I=>xSGN,
                O=>SGN);
   
   XLXI_19 : OBUF
      port map (I=>xRAMP,
                O=>RAMP);
   
   XLXI_21 : INV
      port map (I=>XLXN_29,
                O=>XLXN_19);
   
   XLXI_22 : GND
      port map (G=>XLXN_30);
   
end BEHAVIORAL;



library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
library UNISIM;
use UNISIM.Vcomponents.ALL;

entity TOP is
   port ( BCLK      : in    std_logic; 
          BCLK_N    : in    std_logic; 
          BOUT      : in    std_logic_vector (15 downto 0); 
          CLR       : in    std_logic; 
          CLR_ALL   : in    std_logic; 
          DSTRB     : in    std_logic; 
          FCLK      : in    std_logic; 
          FCLK_N    : in    std_logic; 
          RCO       : in    std_logic; 
          REF_CLK_N : in    std_logic; 
          REF_CLK_P : in    std_logic; 
          REV_N     : in    std_logic; 
          REV_P     : in    std_logic; 
          R_WR      : in    std_logic; 
          SEL       : in    std_logic; 
          SPA_N     : in    std_logic; 
          SPA_P     : in    std_logic; 
          TOUT      : in    std_logic_vector (15 downto 0); 
          TRG_SUM   : in    std_logic; 
          TRIG      : in    std_logic; 
          TRIG_N    : in    std_logic; 
          ALL_ROW   : out   std_logic; 
          BTSA      : out   std_logic_vector (3 downto 0); 
          COL_S     : out   std_logic_vector (4 downto 0); 
          DIN0      : out   std_logic; 
          INTR      : out   std_logic; 
          MON0      : out   std_logic; 
          MON1      : out   std_logic; 
          MON2      : out   std_logic; 
          MON3      : out   std_logic; 
          MON4      : out   std_logic; 
          MON5      : out   std_logic; 
          MON6      : out   std_logic; 
          MON7      : out   std_logic; 
          MON8      : out   std_logic; 
          MON9      : out   std_logic; 
          MON10     : out   std_logic; 
          MON11     : out   std_logic; 
          MON12     : out   std_logic; 
          MON13     : out   std_logic; 
          MON14     : out   std_logic; 
          MON15     : out   std_logic; 
          MUX_RAW   : out   std_logic; 
          RAMP      : out   std_logic; 
          RF_SEL    : out   std_logic_vector (2 downto 0); 
          ROW_S     : out   std_logic_vector (5 downto 0); 
          SCLK      : out   std_logic; 
          SGN       : out   std_logic; 
          SPB_N     : out   std_logic; 
          SPB_P     : out   std_logic; 
          SYNC      : out   std_logic; 
          TSA_IN    : out   std_logic_vector (1 downto 0); 
          TTSA      : out   std_logic_vector (3 downto 0); 
          AD        : inout std_logic_vector (15 downto 0));
end TOP;

architecture BEHAVIORAL of TOP is
   attribute BOX_TYPE   : string ;
   signal xADC_B      : std_logic_vector (15 downto 0);
   signal xADC_HIT    : std_logic;
   signal xADC_T      : std_logic_vector (15 downto 0);
   signal xBOUT       : std_logic_vector (15 downto 0);
   signal xBTSA       : std_logic_vector (3 downto 0);
   signal xCLK        : std_logic;
   signal xCLK_1Hz    : std_logic;
   signal xCLK_10Hz   : std_logic;
   signal xCLK_15MHz  : std_logic;
   signal xCLK_100Hz  : std_logic;
   signal xCLK_125MHz : std_logic;
   signal xCLR_ALL    : std_logic;
   signal xCOL_S      : std_logic_vector (4 downto 0);
   signal xCOL_SEL    : std_logic_vector (4 downto 0);
   signal xDHIT       : std_logic;
   signal xDONE       : std_logic;
   signal xDSTRB      : std_logic;
   signal xEN_PED     : std_logic;
   signal xEXT_TRIG   : std_logic;
   signal xFCLK       : std_logic;
   signal XLXN_888    : std_logic;
   signal XLXN_897    : std_logic;
   signal XLXN_898    : std_logic;
   signal xMAIN_DATA  : std_logic_vector (15 downto 0);
   signal xMEM_LOCK   : std_logic;
   signal xNRUN       : std_logic;
   signal xPED_COL    : std_logic_vector (4 downto 0);
   signal xPED_ROW    : std_logic_vector (2 downto 0);
   signal xRADDR      : std_logic_vector (15 downto 0);
   signal xRAMP       : std_logic;
   signal xRCO        : std_logic;
   signal xROVDD      : std_logic_vector (15 downto 0);
   signal xROW_S      : std_logic_vector (5 downto 0);
   signal xROW_SEL    : std_logic_vector (2 downto 0);
   signal xR_WR       : std_logic;
   signal xSCALER     : std_logic_vector (15 downto 0);
   signal xSEL        : std_logic;
   signal xSGN        : std_logic;
   signal xSLAVE_DATA : std_logic_vector (15 downto 0);
   signal xSLWR       : std_logic;
   signal xSOFT_TRIG  : std_logic;
   signal xSTART      : std_logic;
   signal xTERM       : std_logic_vector (2 downto 0);
   signal xTHRES      : std_logic_vector (11 downto 0);
   signal xTOUT       : std_logic_vector (15 downto 0);
   signal xTRIG       : std_logic;
   signal xTSA_IN     : std_logic_vector (1 downto 0);
   signal xTTSA       : std_logic_vector (3 downto 0);
   signal xWBIAS      : std_logic_vector (11 downto 0);
   component CLK_MAIN_MUSER_TOP
      port ( BCLK        : in    std_logic; 
             FCLK        : in    std_logic; 
             FCLK_N      : in    std_logic; 
             TRIG        : in    std_logic; 
             TRIG_N      : in    std_logic; 
             BCLK_N      : in    std_logic; 
             xCLK        : out   std_logic; 
             xFCLK       : out   std_logic; 
             xCLK_15MHz  : out   std_logic; 
             xTRIG       : out   std_logic; 
             xCLK_1Hz    : out   std_logic; 
             xCLK_10Hz   : out   std_logic; 
             xCLK_100Hz  : out   std_logic; 
             xCLK_1kHz   : out   std_logic; 
             xCLK_125MHz : out   std_logic);
   end component;
   
   component TARGET_IO_MUSER_TOP
      port ( TOUT     : in    std_logic_vector (15 downto 0); 
             BOUT     : in    std_logic_vector (15 downto 0); 
             xTERM    : in    std_logic_vector (2 downto 0); 
             xTTSA    : in    std_logic_vector (3 downto 0); 
             xBTSA    : in    std_logic_vector (3 downto 0); 
             xCOL_S   : in    std_logic_vector (4 downto 0); 
             xROW_S   : in    std_logic_vector (5 downto 0); 
             xNRUN    : in    std_logic; 
             xTSA_IN  : in    std_logic_vector (1 downto 0); 
             RCO      : in    std_logic; 
             xTOUT    : out   std_logic_vector (15 downto 0); 
             xBOUT    : out   std_logic_vector (15 downto 0); 
             RF_SEL   : out   std_logic_vector (2 downto 0); 
             TTSA     : out   std_logic_vector (3 downto 0); 
             BTSA     : out   std_logic_vector (3 downto 0); 
             COL_S    : out   std_logic_vector (4 downto 0); 
             ROW_S    : out   std_logic_vector (5 downto 0); 
             ALL_ROW  : out   std_logic; 
             TSA_IN   : out   std_logic_vector (1 downto 0); 
             xRCO     : out   std_logic; 
             TRG_SUM  : in    std_logic; 
             xTRG_SUM : out   std_logic; 
             MUX_RAW  : out   std_logic; 
             SGN      : out   std_logic; 
             RAMP     : out   std_logic; 
             xSGN     : in    std_logic; 
             xRAMP    : in    std_logic);
   end component;
   
   component MESS
      port ( xDSTRB        : in    std_logic; 
             xSEL          : in    std_logic; 
             xR_WR         : in    std_logic; 
             xDONE         : in    std_logic; 
             xCLR_ALL      : in    std_logic; 
             xEN_PED       : in    std_logic; 
             xSLAVE_DATA   : out   std_logic_vector (15 downto 0); 
             xRADDR        : out   std_logic_vector (15 downto 0); 
             xPED_ROW_ADDR : in    std_logic_vector (2 downto 0); 
             xPED_COL_ADDR : in    std_logic_vector (4 downto 0); 
             xADC_B        : in    std_logic_vector (15 downto 0); 
             xSCALER       : in    std_logic_vector (15 downto 0); 
             xTHRES        : in    std_logic_vector (11 downto 0); 
             xROVDD        : in    std_logic_vector (11 downto 0); 
             xROW_SEL      : in    std_logic_vector (2 downto 0); 
             xCOL_SEL      : in    std_logic_vector (4 downto 0); 
             xWBIAS        : in    std_logic_vector (11 downto 0); 
             xTERM         : in    std_logic_vector (2 downto 0); 
             xSGN          : in    std_logic; 
             xHITBIT       : in    std_logic; 
             xADC_T        : in    std_logic_vector (15 downto 0); 
             xSLWR         : out   std_logic);
   end component;
   
   component DAC_MAIN
      port ( xCLK        : in    std_logic; 
             xCLK_15MHz  : in    std_logic; 
             xCLK_100Hz  : in    std_logic; 
             xCLK_10Hz   : in    std_logic; 
             xCLK_1Hz    : in    std_logic; 
             xCLR_ALL    : in    std_logic; 
             xRCO        : in    std_logic; 
             DIN0        : out   std_logic; 
             xROVDD      : out   std_logic_vector (15 downto 0); 
             SYNC        : out   std_logic; 
             SCLK        : out   std_logic; 
             xTRIG_THRES : in    std_logic_vector (11 downto 0); 
             xWBIAS      : in    std_logic_vector (11 downto 0));
   end component;
   
   component MAIN_IO_MUSER_TOP
      port ( SEL         : in    std_logic; 
             CLR         : in    std_logic; 
             CLR_ALL     : in    std_logic; 
             xSTART      : in    std_logic; 
             R_WR        : in    std_logic; 
             DSTRB       : in    std_logic; 
             xSLAVE_DATA : in    std_logic_vector (15 downto 0); 
             AD          : inout std_logic_vector (15 downto 0); 
             INTR        : out   std_logic; 
             xMAIN_DATA  : out   std_logic_vector (15 downto 0); 
             xSEL        : out   std_logic; 
             xR_WR       : out   std_logic; 
             xDSTRB      : out   std_logic; 
             xDONE       : out   std_logic; 
             xCLR_ALL    : out   std_logic; 
             REF_CLK_P   : in    std_logic; 
             REF_CLK_N   : in    std_logic; 
             xCLK        : in    std_logic; 
             REV_P       : in    std_logic; 
             REV_N       : in    std_logic; 
             xSPA        : out   std_logic; 
             SPB_P       : out   std_logic; 
             SPB_N       : out   std_logic; 
             xREF_CLK    : out   std_logic; 
             xREV        : out   std_logic; 
             SPA_P       : in    std_logic; 
             SPA_N       : in    std_logic);
   end component;
   
   component MAIN_REG
      port ( xPED_ROW_ADDR : out   std_logic_vector (2 downto 0); 
             xPED_COL_ADDR : out   std_logic_vector (4 downto 0); 
             xTHRES        : out   std_logic_vector (11 downto 0); 
             xWBIAS        : out   std_logic_vector (11 downto 0); 
             xTERM         : out   std_logic_vector (2 downto 0); 
             xEN_PED       : out   std_logic; 
             xSGN          : out   std_logic; 
             xDSTRB        : in    std_logic; 
             xSEL          : in    std_logic; 
             xR_WR         : in    std_logic; 
             xCLR_ALL      : in    std_logic; 
             xMAIN_DATA    : in    std_logic_vector (15 downto 0));
   end component;
   
   component SCALER_TOP
      port ( xCLK_1Hz   : in    std_logic; 
             xSCALER    : out   std_logic_vector (15 downto 0); 
             xDHIT      : in    std_logic; 
             xSOFT_TRIG : in    std_logic; 
             xEXT_TRIG  : in    std_logic; 
             xRADDR     : in    std_logic_vector (4 downto 0); 
             xCLR_ALL   : in    std_logic);
   end component;
   
   component MON_HDR_MUSER_TOP
      port ( xMON0  : in    std_logic; 
             xMON1  : in    std_logic; 
             xMON2  : in    std_logic; 
             xMON3  : in    std_logic; 
             xMON4  : in    std_logic; 
             xMON5  : in    std_logic; 
             xMON6  : in    std_logic; 
             xMON7  : in    std_logic; 
             xMON8  : in    std_logic; 
             xMON9  : in    std_logic; 
             xMON10 : in    std_logic; 
             xMON11 : in    std_logic; 
             xMON12 : in    std_logic; 
             xMON13 : in    std_logic; 
             xMON14 : in    std_logic; 
             xMON15 : in    std_logic; 
             MON0   : out   std_logic; 
             MON1   : out   std_logic; 
             MON2   : out   std_logic; 
             MON3   : out   std_logic; 
             MON4   : out   std_logic; 
             MON5   : out   std_logic; 
             MON6   : out   std_logic; 
             MON7   : out   std_logic; 
             MON8   : out   std_logic; 
             MON9   : out   std_logic; 
             MON10  : out   std_logic; 
             MON11  : out   std_logic; 
             MON12  : out   std_logic; 
             MON13  : out   std_logic; 
             MON14  : out   std_logic; 
             MON15  : out   std_logic);
   end component;
   
   component BUF
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute BOX_TYPE of BUF : component is "BLACK_BOX";
   
   component GND
      port ( G : out   std_logic);
   end component;
   attribute BOX_TYPE of GND : component is "BLACK_BOX";
   
   component TARGET_TOP
      port ( xFCLK       : in    std_logic; 
             xCLK        : in    std_logic; 
             xTTSA       : out   std_logic_vector (3 downto 0); 
             xCOL_S      : out   std_logic_vector (4 downto 0); 
             xROW_S      : out   std_logic_vector (5 downto 0); 
             xMEM_LOCK   : out   std_logic; 
             xNRUN       : out   std_logic; 
             xRAMP       : out   std_logic; 
             xSTART      : out   std_logic; 
             xBTSA       : out   std_logic_vector (3 downto 0); 
             xTSA_SEL    : out   std_logic_vector (1 downto 0); 
             xROW_SEL    : out   std_logic_vector (2 downto 0); 
             xCOL_SEL    : out   std_logic_vector (4 downto 0); 
             xADC_T      : out   std_logic_vector (15 downto 0); 
             xADC_B      : out   std_logic_vector (15 downto 0); 
             xTRIG       : out   std_logic; 
             xTRACK_COL  : out   std_logic_vector (4 downto 0); 
             xLOCK_COL   : out   std_logic_vector (4 downto 0); 
             xADC_HIT    : out   std_logic; 
             xLOCK_ROW   : out   std_logic_vector (2 downto 0); 
             xCLK_125MHz : in    std_logic; 
             xCLR_ALL    : in    std_logic; 
             xDONE       : in    std_logic; 
             xSLWR       : in    std_logic; 
             xSOFT_TRIG  : in    std_logic; 
             xEXT_TRIG   : in    std_logic; 
             xDHIT       : in    std_logic; 
             xEN_PED     : in    std_logic; 
             xTOUT       : in    std_logic_vector (15 downto 0); 
             xBOUT       : in    std_logic_vector (15 downto 0); 
             xRADDR      : in    std_logic_vector (15 downto 0); 
             xPED_COL    : in    std_logic_vector (4 downto 0); 
             xPED_ROW    : in    std_logic_vector (2 downto 0); 
             xCLK_15MHz  : in    std_logic);
   end component;
   
begin
   xCLK_MAIN : CLK_MAIN_MUSER_TOP
      port map (BCLK=>BCLK,
                BCLK_N=>BCLK_N,
                FCLK=>FCLK,
                FCLK_N=>FCLK_N,
                TRIG=>TRIG,
                TRIG_N=>TRIG_N,
                xCLK=>xCLK,
                xCLK_1Hz=>xCLK_1Hz,
                xCLK_1kHz=>open,
                xCLK_10Hz=>xCLK_10Hz,
                xCLK_15MHz=>xCLK_15MHz,
                xCLK_100Hz=>xCLK_100Hz,
                xCLK_125MHz=>xCLK_125MHz,
                xFCLK=>xFCLK,
                xTRIG=>xSOFT_TRIG);
   
   XLXI_20 : TARGET_IO_MUSER_TOP
      port map (BOUT(15 downto 0)=>BOUT(15 downto 0),
                RCO=>RCO,
                TOUT(15 downto 0)=>TOUT(15 downto 0),
                TRG_SUM=>TRG_SUM,
                xBTSA(3 downto 0)=>xBTSA(3 downto 0),
                xCOL_S(4 downto 0)=>xCOL_S(4 downto 0),
                xNRUN=>xNRUN,
                xRAMP=>xRAMP,
                xROW_S(5 downto 0)=>xROW_S(5 downto 0),
                xSGN=>xSGN,
                xTERM(2 downto 0)=>xTERM(2 downto 0),
                xTSA_IN(1 downto 0)=>xTSA_IN(1 downto 0),
                xTTSA(3 downto 0)=>xTTSA(3 downto 0),
                ALL_ROW=>ALL_ROW,
                BTSA(3 downto 0)=>BTSA(3 downto 0),
                COL_S(4 downto 0)=>COL_S(4 downto 0),
                MUX_RAW=>MUX_RAW,
                RAMP=>RAMP,
                RF_SEL(2 downto 0)=>RF_SEL(2 downto 0),
                ROW_S(5 downto 0)=>ROW_S(5 downto 0),
                SGN=>SGN,
                TSA_IN(1 downto 0)=>TSA_IN(1 downto 0),
                TTSA(3 downto 0)=>TTSA(3 downto 0),
                xBOUT(15 downto 0)=>xBOUT(15 downto 0),
                xRCO=>xRCO,
                xTOUT(15 downto 0)=>xTOUT(15 downto 0),
                xTRG_SUM=>xDHIT);
   
   XLXI_2520 : MESS
      port map (xADC_B(15 downto 0)=>xADC_B(15 downto 0),
                xADC_T(15 downto 0)=>xADC_T(15 downto 0),
                xCLR_ALL=>xCLR_ALL,
                xCOL_SEL(4 downto 0)=>xCOL_SEL(4 downto 0),
                xDONE=>xDONE,
                xDSTRB=>xDSTRB,
                xEN_PED=>xEN_PED,
                xHITBIT=>xMEM_LOCK,
                xPED_COL_ADDR(4 downto 0)=>xPED_COL(4 downto 0),
                xPED_ROW_ADDR(2 downto 0)=>xPED_ROW(2 downto 0),
                xROVDD(11 downto 0)=>xROVDD(11 downto 0),
                xROW_SEL(2 downto 0)=>xROW_SEL(2 downto 0),
                xR_WR=>xR_WR,
                xSCALER(15 downto 0)=>xSCALER(15 downto 0),
                xSEL=>xSEL,
                xSGN=>xSGN,
                xTERM(2 downto 0)=>xTERM(2 downto 0),
                xTHRES(11 downto 0)=>xTHRES(11 downto 0),
                xWBIAS(11 downto 0)=>xWBIAS(11 downto 0),
                xRADDR(15 downto 0)=>xRADDR(15 downto 0),
                xSLAVE_DATA(15 downto 0)=>xSLAVE_DATA(15 downto 0),
                xSLWR=>xSLWR);
   
   XLXI_2840 : DAC_MAIN
      port map (xCLK=>xCLK,
                xCLK_1Hz=>xCLK_1Hz,
                xCLK_10Hz=>xCLK_10Hz,
                xCLK_15MHz=>xCLK_15MHz,
                xCLK_100Hz=>xCLK_100Hz,
                xCLR_ALL=>xCLR_ALL,
                xRCO=>xRCO,
                xTRIG_THRES(11 downto 0)=>xTHRES(11 downto 0),
                xWBIAS(11 downto 0)=>xWBIAS(11 downto 0),
                DIN0=>DIN0,
                SCLK=>SCLK,
                SYNC=>SYNC,
                xROVDD(15 downto 0)=>xROVDD(15 downto 0));
   
   XLXI_2933 : MAIN_IO_MUSER_TOP
      port map (CLR=>CLR,
                CLR_ALL=>CLR_ALL,
                DSTRB=>DSTRB,
                REF_CLK_N=>REF_CLK_N,
                REF_CLK_P=>REF_CLK_P,
                REV_N=>REV_N,
                REV_P=>REV_P,
                R_WR=>R_WR,
                SEL=>SEL,
                SPA_N=>SPA_N,
                SPA_P=>SPA_P,
                xCLK=>xCLK,
                xSLAVE_DATA(15 downto 0)=>xSLAVE_DATA(15 downto 0),
                xSTART=>xSTART,
                INTR=>INTR,
                SPB_N=>SPB_N,
                SPB_P=>SPB_P,
                xCLR_ALL=>xCLR_ALL,
                xDONE=>xDONE,
                xDSTRB=>xDSTRB,
                xMAIN_DATA(15 downto 0)=>xMAIN_DATA(15 downto 0),
                xREF_CLK=>open,
                xREV=>open,
                xR_WR=>xR_WR,
                xSEL=>xSEL,
                xSPA=>open,
                AD(15 downto 0)=>AD(15 downto 0));
   
   XLXI_2934 : MAIN_REG
      port map (xCLR_ALL=>xCLR_ALL,
                xDSTRB=>xDSTRB,
                xMAIN_DATA(15 downto 0)=>xMAIN_DATA(15 downto 0),
                xR_WR=>xR_WR,
                xSEL=>xSEL,
                xEN_PED=>xEN_PED,
                xPED_COL_ADDR(4 downto 0)=>xPED_COL(4 downto 0),
                xPED_ROW_ADDR(2 downto 0)=>xPED_ROW(2 downto 0),
                xSGN=>xSGN,
                xTERM(2 downto 0)=>xTERM(2 downto 0),
                xTHRES(11 downto 0)=>xTHRES(11 downto 0),
                xWBIAS(11 downto 0)=>xWBIAS(11 downto 0));
   
   XLXI_2959 : SCALER_TOP
      port map (xCLK_1Hz=>xCLK_1Hz,
                xCLR_ALL=>xCLR_ALL,
                xDHIT=>xDHIT,
                xEXT_TRIG=>xEXT_TRIG,
                xRADDR(4 downto 0)=>xRADDR(4 downto 0),
                xSOFT_TRIG=>xSOFT_TRIG,
                xSCALER(15 downto 0)=>xSCALER(15 downto 0));
   
   XLXI_2964 : MON_HDR_MUSER_TOP
      port map (xMON0=>xCLK,
                xMON1=>xTSA_IN(0),
                xMON2=>xTSA_IN(1),
                xMON3=>xTTSA(0),
                xMON4=>xTTSA(1),
                xMON5=>xTTSA(2),
                xMON6=>xTTSA(3),
                xMON7=>xBTSA(0),
                xMON8=>xBTSA(1),
                xMON9=>xBTSA(2),
                xMON10=>xBTSA(3),
                xMON11=>XLXN_897,
                xMON12=>XLXN_898,
                xMON13=>xADC_HIT,
                xMON14=>xTRIG,
                xMON15=>xDHIT,
                MON0=>MON0,
                MON1=>MON1,
                MON2=>MON2,
                MON3=>MON3,
                MON4=>MON4,
                MON5=>MON5,
                MON6=>MON6,
                MON7=>MON7,
                MON8=>MON8,
                MON9=>MON9,
                MON10=>MON10,
                MON11=>MON11,
                MON12=>MON12,
                MON13=>MON13,
                MON14=>MON14,
                MON15=>MON15);
   
   XLXI_2965 : BUF
      port map (I=>XLXN_888,
                O=>xEXT_TRIG);
   
   XLXI_2967 : GND
      port map (G=>XLXN_888);
   
   XLXI_2976 : GND
      port map (G=>XLXN_897);
   
   XLXI_2977 : GND
      port map (G=>XLXN_898);
   
   xTARGET_TOP : TARGET_TOP
      port map (xBOUT(15 downto 0)=>xBOUT(15 downto 0),
                xCLK=>xCLK,
                xCLK_15MHz=>xCLK_15MHz,
                xCLK_125MHz=>xCLK_125MHz,
                xCLR_ALL=>xCLR_ALL,
                xDHIT=>xDHIT,
                xDONE=>xDONE,
                xEN_PED=>xEN_PED,
                xEXT_TRIG=>xSOFT_TRIG,
                xFCLK=>xFCLK,
                xPED_COL(4 downto 0)=>xPED_COL(4 downto 0),
                xPED_ROW(2 downto 0)=>xPED_ROW(2 downto 0),
                xRADDR(15 downto 0)=>xRADDR(15 downto 0),
                xSLWR=>xSLWR,
                xSOFT_TRIG=>xSOFT_TRIG,
                xTOUT(15 downto 0)=>xTOUT(15 downto 0),
                xADC_B(15 downto 0)=>xADC_B(15 downto 0),
                xADC_HIT=>xADC_HIT,
                xADC_T(15 downto 0)=>xADC_T(15 downto 0),
                xBTSA(3 downto 0)=>xBTSA(3 downto 0),
                xCOL_S(4 downto 0)=>xCOL_S(4 downto 0),
                xCOL_SEL(4 downto 0)=>xCOL_SEL(4 downto 0),
                xLOCK_COL=>open,
                xLOCK_ROW=>open,
                xMEM_LOCK=>xMEM_LOCK,
                xNRUN=>xNRUN,
                xRAMP=>xRAMP,
                xROW_S(5 downto 0)=>xROW_S(5 downto 0),
                xROW_SEL(2 downto 0)=>xROW_SEL(2 downto 0),
                xSTART=>xSTART,
                xTRACK_COL=>open,
                xTRIG=>xTRIG,
                xTSA_SEL(1 downto 0)=>xTSA_IN(1 downto 0),
                xTTSA(3 downto 0)=>xTTSA(3 downto 0));
   
end BEHAVIORAL;


