VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "spartan3"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL SEL
        SIGNAL XLXN_27
        SIGNAL xSEL
        SIGNAL CLR
        SIGNAL XLXN_45
        SIGNAL xDONE
        SIGNAL CLR_ALL
        SIGNAL XLXN_48
        SIGNAL xCLR_ALL
        SIGNAL xSTART
        SIGNAL INTR
        SIGNAL R_WR
        SIGNAL XLXN_51
        SIGNAL xR_WR
        SIGNAL DSTRB
        SIGNAL XLXN_85
        SIGNAL xDSTRB
        SIGNAL AD(15:0)
        SIGNAL xMAIN_DATA(15:0)
        SIGNAL xSLAVE_DATA(15:0)
        SIGNAL XLXN_89
        SIGNAL XLXN_91
        SIGNAL XLXN_92
        SIGNAL XLXN_93
        SIGNAL XLXN_94
        SIGNAL REF_CLK_P
        SIGNAL REF_CLK_N
        SIGNAL xREF_CLK
        SIGNAL xCLK
        SIGNAL SPB_P
        SIGNAL SPB_N
        SIGNAL SPA_P
        SIGNAL SPA_N
        SIGNAL xSPA
        SIGNAL REV_P
        SIGNAL REV_N
        SIGNAL xREV
        PORT Input SEL
        PORT Output xSEL
        PORT Input CLR
        PORT Output xDONE
        PORT Input CLR_ALL
        PORT Output xCLR_ALL
        PORT Input xSTART
        PORT Output INTR
        PORT Input R_WR
        PORT Output xR_WR
        PORT Input DSTRB
        PORT Output xDSTRB
        PORT BiDirectional AD(15:0)
        PORT Output xMAIN_DATA(15:0)
        PORT Input xSLAVE_DATA(15:0)
        PORT Input REF_CLK_P
        PORT Input REF_CLK_N
        PORT Output xREF_CLK
        PORT Input xCLK
        PORT Output SPB_P
        PORT Output SPB_N
        PORT Input SPA_P
        PORT Input SPA_N
        PORT Output xSPA
        PORT Input REV_P
        PORT Input REV_N
        PORT Output xREV
        BEGIN BLOCKDEF ibuf
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 64 0 64 -64 
            LINE N 128 -32 64 0 
            LINE N 64 -64 128 -32 
            LINE N 224 -32 128 -32 
            LINE N 0 -32 64 -32 
        END BLOCKDEF
        BEGIN BLOCKDEF buf
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -32 64 -32 
            LINE N 224 -32 128 -32 
            LINE N 64 0 128 -32 
            LINE N 128 -32 64 -64 
            LINE N 64 -64 64 0 
        END BLOCKDEF
        BEGIN BLOCKDEF iobuf16
            TIMESTAMP 2008 9 2 20 12 28
            LINE N 0 -64 -64 -64 
            RECTANGLE N 0 -96 304 4 
            LINE N 0 -32 -64 -32 
            RECTANGLE N -64 -44 0 -20 
            RECTANGLE N 304 -76 368 -52 
            LINE N 304 -64 368 -64 
            LINE N 368 -32 304 -32 
            RECTANGLE N 304 -44 368 -20 
        END BLOCKDEF
        BEGIN BLOCKDEF obuf
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 64 0 64 -64 
            LINE N 128 -32 64 0 
            LINE N 64 -64 128 -32 
            LINE N 0 -32 64 -32 
            LINE N 224 -32 128 -32 
        END BLOCKDEF
        BEGIN BLOCKDEF m2_1
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 96 -64 96 -192 
            LINE N 256 -96 96 -64 
            LINE N 256 -160 256 -96 
            LINE N 96 -192 256 -160 
            LINE N 176 -32 96 -32 
            LINE N 176 -80 176 -32 
            LINE N 0 -32 96 -32 
            LINE N 320 -128 256 -128 
            LINE N 0 -96 96 -96 
            LINE N 0 -160 96 -160 
        END BLOCKDEF
        BEGIN BLOCKDEF vcc
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 64 -32 64 -64 
            LINE N 64 0 64 -32 
            LINE N 96 -64 32 -64 
        END BLOCKDEF
        BEGIN BLOCKDEF ibufgds
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 224 -32 128 -32 
            LINE N 0 -48 64 -48 
            LINE N 64 -64 128 -32 
            LINE N 128 -32 64 0 
            LINE N 64 0 64 -64 
            CIRCLE N 52 -20 52 -20 
            CIRCLE N 52 -24 52 -24 
            CIRCLE N 52 -20 64 -8 
            LINE N 0 -16 52 -16 
        END BLOCKDEF
        BEGIN BLOCKDEF bufg
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 64 -64 64 0 
            LINE N 128 -32 64 -64 
            LINE N 64 0 128 -32 
            LINE N 224 -32 128 -32 
            LINE N 0 -32 64 -32 
        END BLOCKDEF
        BEGIN BLOCKDEF obufds
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -32 64 -32 
            LINE N 224 -16 116 -16 
            LINE N 224 -48 96 -48 
            LINE N 64 -64 128 -32 
            LINE N 128 -32 64 0 
            LINE N 64 0 64 -64 
            CIRCLE N 100 -20 108 -12 
            LINE N 108 -16 116 -16 
        END BLOCKDEF
        BEGIN BLOCKDEF ibufds
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -48 64 -48 
            LINE N 64 -64 128 -32 
            LINE N 128 -32 64 0 
            LINE N 64 0 64 -64 
            LINE N 224 -32 128 -32 
            CIRCLE N 48 -24 64 -8 
            LINE N 0 -16 48 -16 
        END BLOCKDEF
        BEGIN BLOCK XLXI_109 ibuf
            PIN I SEL
            PIN O XLXN_27
        END BLOCK
        BEGIN BLOCK XLXI_110 buf
            PIN I XLXN_27
            PIN O xSEL
        END BLOCK
        BEGIN BLOCK XLXI_122 ibuf
            PIN I CLR
            PIN O XLXN_45
        END BLOCK
        BEGIN BLOCK XLXI_123 buf
            PIN I XLXN_45
            PIN O xDONE
        END BLOCK
        BEGIN BLOCK XLXI_116 obuf
            PIN I xSTART
            PIN O INTR
        END BLOCK
        BEGIN BLOCK XLXI_124 ibuf
            PIN I CLR_ALL
            PIN O XLXN_48
        END BLOCK
        BEGIN BLOCK XLXI_125 buf
            PIN I XLXN_48
            PIN O xCLR_ALL
        END BLOCK
        BEGIN BLOCK XLXI_126 ibuf
            PIN I R_WR
            PIN O XLXN_51
        END BLOCK
        BEGIN BLOCK XLXI_127 buf
            PIN I XLXN_51
            PIN O xR_WR
        END BLOCK
        BEGIN BLOCK XLXI_147 ibuf
            PIN I DSTRB
            PIN O XLXN_85
        END BLOCK
        BEGIN BLOCK XLXI_148 buf
            PIN I XLXN_85
            PIN O xDSTRB
        END BLOCK
        BEGIN BLOCK XLXI_129 iobuf16
            PIN xTOGGLE XLXN_89
            PIN FDIN(15:0) xSLAVE_DATA(15:0)
            PIN FD(15:0) AD(15:0)
            PIN FDOUT(15:0) xMAIN_DATA(15:0)
        END BLOCK
        BEGIN BLOCK XLXI_149 m2_1
            PIN D0 XLXN_91
            PIN D1 xR_WR
            PIN S0 xSEL
            PIN O XLXN_89
        END BLOCK
        BEGIN BLOCK XLXI_152 vcc
            PIN P XLXN_91
        END BLOCK
        BEGIN BLOCK XLXI_153 ibufgds
            PIN I REF_CLK_P
            PIN IB REF_CLK_N
            PIN O XLXN_92
        END BLOCK
        BEGIN BLOCK XLXI_154 bufg
            PIN I XLXN_92
            PIN O xREF_CLK
        END BLOCK
        BEGIN BLOCK XLXI_155 obufds
            PIN I xCLK
            PIN O SPB_P
            PIN OB SPB_N
        END BLOCK
        BEGIN BLOCK XLXI_156 ibufds
            PIN I SPA_P
            PIN IB SPA_N
            PIN O XLXN_93
        END BLOCK
        BEGIN BLOCK XLXI_157 buf
            PIN I XLXN_93
            PIN O xSPA
        END BLOCK
        BEGIN BLOCK XLXI_158 ibufds
            PIN I REV_P
            PIN IB REV_N
            PIN O XLXN_94
        END BLOCK
        BEGIN BLOCK XLXI_159 buf
            PIN I XLXN_94
            PIN O xREV
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 1760 1360
        BEGIN BRANCH SEL
            WIRE 624 608 656 608
        END BRANCH
        BEGIN BRANCH XLXN_27
            WIRE 880 608 912 608
        END BRANCH
        BEGIN BRANCH xSEL
            WIRE 1136 608 1168 608
        END BRANCH
        INSTANCE XLXI_109 656 640 R0
        INSTANCE XLXI_110 912 640 R0
        BEGIN BRANCH CLR
            WIRE 624 672 656 672
        END BRANCH
        BEGIN BRANCH XLXN_45
            WIRE 880 672 912 672
        END BRANCH
        BEGIN BRANCH xDONE
            WIRE 1136 672 1168 672
        END BRANCH
        INSTANCE XLXI_122 656 704 R0
        INSTANCE XLXI_123 912 704 R0
        BEGIN BRANCH CLR_ALL
            WIRE 624 736 656 736
        END BRANCH
        BEGIN BRANCH XLXN_48
            WIRE 880 736 912 736
        END BRANCH
        BEGIN BRANCH xCLR_ALL
            WIRE 1136 736 1168 736
        END BRANCH
        BEGIN BRANCH xSTART
            WIRE 880 544 912 544
        END BRANCH
        BEGIN BRANCH INTR
            WIRE 1136 544 1168 544
        END BRANCH
        INSTANCE XLXI_116 912 576 R0
        INSTANCE XLXI_124 656 768 R0
        INSTANCE XLXI_125 912 768 R0
        BEGIN BRANCH R_WR
            WIRE 624 800 656 800
        END BRANCH
        BEGIN BRANCH XLXN_51
            WIRE 880 800 912 800
        END BRANCH
        BEGIN BRANCH xR_WR
            WIRE 1136 800 1168 800
        END BRANCH
        INSTANCE XLXI_126 656 832 R0
        INSTANCE XLXI_127 912 832 R0
        BEGIN BRANCH DSTRB
            WIRE 624 864 656 864
        END BRANCH
        BEGIN BRANCH XLXN_85
            WIRE 880 864 912 864
        END BRANCH
        BEGIN BRANCH xDSTRB
            WIRE 1136 864 1168 864
        END BRANCH
        INSTANCE XLXI_147 656 896 R0
        INSTANCE XLXI_148 912 896 R0
        BEGIN INSTANCE XLXI_129 736 496 R0
        END INSTANCE
        BEGIN BRANCH AD(15:0)
            WIRE 1104 432 1136 432
        END BRANCH
        BEGIN BRANCH xMAIN_DATA(15:0)
            WIRE 1104 464 1136 464
        END BRANCH
        BEGIN BRANCH xSLAVE_DATA(15:0)
            WIRE 640 464 672 464
        END BRANCH
        IOMARKER 624 608 SEL R180 28
        IOMARKER 624 672 CLR R180 28
        IOMARKER 1168 672 xDONE R0 28
        IOMARKER 624 736 CLR_ALL R180 28
        IOMARKER 1168 736 xCLR_ALL R0 28
        IOMARKER 880 544 xSTART R180 28
        IOMARKER 1168 544 INTR R0 28
        IOMARKER 624 800 R_WR R180 28
        IOMARKER 624 864 DSTRB R180 28
        IOMARKER 1136 432 AD(15:0) R0 28
        IOMARKER 1136 464 xMAIN_DATA(15:0) R0 28
        IOMARKER 640 464 xSLAVE_DATA(15:0) R180 28
        IOMARKER 1168 800 xR_WR R0 28
        IOMARKER 1168 864 xDSTRB R0 28
        IOMARKER 1168 608 xSEL R0 28
        INSTANCE XLXI_149 736 320 R0
        BEGIN BRANCH XLXN_89
            WIRE 592 336 592 432
            WIRE 592 432 672 432
            WIRE 592 336 1136 336
            WIRE 1056 192 1136 192
            WIRE 1136 192 1136 336
        END BRANCH
        BEGIN BRANCH XLXN_91
            WIRE 704 160 736 160
        END BRANCH
        INSTANCE XLXI_152 704 224 R270
        BEGIN BRANCH xR_WR
            WIRE 704 224 736 224
            BEGIN DISPLAY 704 224 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xSEL
            WIRE 704 288 736 288
            BEGIN DISPLAY 704 288 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        INSTANCE XLXI_153 656 960 R0
        BEGIN BRANCH XLXN_92
            WIRE 880 928 912 928
        END BRANCH
        INSTANCE XLXI_154 912 960 R0
        INSTANCE XLXI_155 912 1024 R0
        INSTANCE XLXI_156 656 1088 R0
        BEGIN BRANCH XLXN_93
            WIRE 880 1056 912 1056
        END BRANCH
        INSTANCE XLXI_157 912 1088 R0
        INSTANCE XLXI_158 656 1152 R0
        BEGIN BRANCH XLXN_94
            WIRE 880 1120 912 1120
        END BRANCH
        INSTANCE XLXI_159 912 1152 R0
        BEGIN BRANCH REF_CLK_P
            WIRE 624 912 656 912
        END BRANCH
        IOMARKER 624 912 REF_CLK_P R180 28
        BEGIN BRANCH REF_CLK_N
            WIRE 624 944 656 944
        END BRANCH
        IOMARKER 624 944 REF_CLK_N R180 28
        BEGIN BRANCH xREF_CLK
            WIRE 1136 928 1168 928
        END BRANCH
        BEGIN BRANCH xCLK
            WIRE 880 992 912 992
        END BRANCH
        BEGIN BRANCH SPB_P
            WIRE 1136 976 1168 976
        END BRANCH
        IOMARKER 1168 976 SPB_P R0 28
        BEGIN BRANCH SPB_N
            WIRE 1136 1008 1168 1008
        END BRANCH
        IOMARKER 1168 1008 SPB_N R0 28
        BEGIN BRANCH SPA_P
            WIRE 624 1040 656 1040
        END BRANCH
        IOMARKER 624 1040 SPA_P R180 28
        BEGIN BRANCH SPA_N
            WIRE 624 1072 656 1072
        END BRANCH
        IOMARKER 624 1072 SPA_N R180 28
        BEGIN BRANCH xSPA
            WIRE 1136 1056 1168 1056
        END BRANCH
        BEGIN BRANCH REV_P
            WIRE 624 1104 656 1104
        END BRANCH
        IOMARKER 624 1104 REV_P R180 28
        BEGIN BRANCH REV_N
            WIRE 624 1136 656 1136
        END BRANCH
        IOMARKER 624 1136 REV_N R180 28
        BEGIN BRANCH xREV
            WIRE 1136 1120 1168 1120
        END BRANCH
        IOMARKER 880 992 xCLK R180 28
        IOMARKER 1168 928 xREF_CLK R0 28
        IOMARKER 1168 1056 xSPA R0 28
        IOMARKER 1168 1120 xREV R0 28
    END SHEET
END SCHEMATIC
