VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "spartan3"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL xTOUT(15:0)
        SIGNAL xBOUT(15:0)
        SIGNAL RF_SEL(2:0)
        SIGNAL TTSA(3:0)
        SIGNAL BTSA(3:0)
        SIGNAL TOUT(15:0)
        SIGNAL BOUT(15:0)
        SIGNAL xTERM(2:0)
        SIGNAL xTTSA(3:0)
        SIGNAL xBTSA(3:0)
        SIGNAL xCOL_S(4:0)
        SIGNAL COL_S(4:0)
        SIGNAL xROW_S(5:0)
        SIGNAL ROW_S(5:0)
        SIGNAL xNRUN
        SIGNAL ALL_ROW
        SIGNAL xTSA_IN(1:0)
        SIGNAL TSA_IN(1:0)
        SIGNAL RCO
        SIGNAL XLXN_29
        SIGNAL XLXN_19
        SIGNAL xRCO
        SIGNAL TRG_SUM
        SIGNAL MUX_RAW
        SIGNAL xSGN
        SIGNAL SGN
        SIGNAL xRAMP
        SIGNAL RAMP
        SIGNAL XLXN_26
        SIGNAL xTRG_SUM
        SIGNAL XLXN_30
        PORT Output xTOUT(15:0)
        PORT Output xBOUT(15:0)
        PORT Output RF_SEL(2:0)
        PORT Output TTSA(3:0)
        PORT Output BTSA(3:0)
        PORT Input TOUT(15:0)
        PORT Input BOUT(15:0)
        PORT Input xTERM(2:0)
        PORT Input xTTSA(3:0)
        PORT Input xBTSA(3:0)
        PORT Input xCOL_S(4:0)
        PORT Output COL_S(4:0)
        PORT Input xROW_S(5:0)
        PORT Output ROW_S(5:0)
        PORT Input xNRUN
        PORT Output ALL_ROW
        PORT Input xTSA_IN(1:0)
        PORT Output TSA_IN(1:0)
        PORT Input RCO
        PORT Output xRCO
        PORT Input TRG_SUM
        PORT Output MUX_RAW
        PORT Input xSGN
        PORT Output SGN
        PORT Input xRAMP
        PORT Output RAMP
        PORT Output xTRG_SUM
        BEGIN BLOCKDEF ibuf16
            TIMESTAMP 2007 6 24 1 23 28
            LINE N 224 -32 128 -32 
            RECTANGLE N 128 -44 224 -20 
            LINE N 64 0 64 -64 
            LINE N 128 -32 64 0 
            LINE N 64 -64 128 -32 
            LINE N 0 -32 64 -32 
            RECTANGLE N 0 -44 64 -20 
        END BLOCKDEF
        BEGIN BLOCKDEF OBUF2
            TIMESTAMP 2007 6 24 1 34 8
            LINE N 224 -32 128 -32 
            RECTANGLE N 128 -44 224 -20 
            LINE N 64 0 64 -64 
            LINE N 128 -32 64 0 
            LINE N 64 -64 128 -32 
            LINE N 0 -32 64 -32 
            RECTANGLE N 0 -44 64 -20 
        END BLOCKDEF
        BEGIN BLOCKDEF OBUF4X
            TIMESTAMP 2007 6 24 1 35 38
            LINE N 224 -32 128 -32 
            RECTANGLE N 128 -44 224 -20 
            LINE N 64 0 64 -64 
            LINE N 128 -32 64 0 
            LINE N 64 -64 128 -32 
            LINE N 0 -32 64 -32 
            RECTANGLE N 0 -44 64 -20 
        END BLOCKDEF
        BEGIN BLOCKDEF OBUF3
            TIMESTAMP 2007 6 24 1 34 48
            LINE N 224 -32 128 -32 
            RECTANGLE N 128 -44 224 -20 
            LINE N 64 0 64 -64 
            LINE N 128 -32 64 0 
            LINE N 64 -64 128 -32 
            LINE N 0 -32 64 -32 
            RECTANGLE N 0 -44 64 -20 
        END BLOCKDEF
        BEGIN BLOCKDEF OBUF5
            TIMESTAMP 2007 6 24 1 36 28
            LINE N 224 -32 128 -32 
            RECTANGLE N 128 -44 224 -20 
            LINE N 64 0 64 -64 
            LINE N 128 -32 64 0 
            LINE N 64 -64 128 -32 
            LINE N 0 -32 64 -32 
            RECTANGLE N 0 -44 64 -20 
        END BLOCKDEF
        BEGIN BLOCKDEF OBUF6
            TIMESTAMP 2007 6 24 1 37 16
            LINE N 224 -32 128 -32 
            RECTANGLE N 128 -44 224 -20 
            LINE N 64 0 64 -64 
            LINE N 128 -32 64 0 
            LINE N 64 -64 128 -32 
            LINE N 0 -32 64 -32 
            RECTANGLE N 0 -44 64 -20 
        END BLOCKDEF
        BEGIN BLOCKDEF obuf
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 64 0 64 -64 
            LINE N 128 -32 64 0 
            LINE N 64 -64 128 -32 
            LINE N 0 -32 64 -32 
            LINE N 224 -32 128 -32 
        END BLOCKDEF
        BEGIN BLOCKDEF ibuf
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 64 0 64 -64 
            LINE N 128 -32 64 0 
            LINE N 64 -64 128 -32 
            LINE N 224 -32 128 -32 
            LINE N 0 -32 64 -32 
        END BLOCKDEF
        BEGIN BLOCKDEF buf
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -32 64 -32 
            LINE N 224 -32 128 -32 
            LINE N 64 0 128 -32 
            LINE N 128 -32 64 -64 
            LINE N 64 -64 64 0 
        END BLOCKDEF
        BEGIN BLOCKDEF inv
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -32 64 -32 
            LINE N 224 -32 160 -32 
            LINE N 64 -64 128 -32 
            LINE N 128 -32 64 0 
            LINE N 64 0 64 -64 
            CIRCLE N 128 -48 160 -16 
        END BLOCKDEF
        BEGIN BLOCKDEF gnd
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 64 -64 64 -96 
            LINE N 76 -48 52 -48 
            LINE N 68 -32 60 -32 
            LINE N 88 -64 40 -64 
            LINE N 64 -64 64 -80 
            LINE N 64 -128 64 -96 
        END BLOCKDEF
        BEGIN BLOCK XLXI_1 ibuf16
            PIN I(15:0) TOUT(15:0)
            PIN O(15:0) xTOUT(15:0)
        END BLOCK
        BEGIN BLOCK XLXI_2 ibuf16
            PIN I(15:0) BOUT(15:0)
            PIN O(15:0) xBOUT(15:0)
        END BLOCK
        BEGIN BLOCK XLXI_4 OBUF4X
            PIN I(3:0) xTTSA(3:0)
            PIN O(3:0) TTSA(3:0)
        END BLOCK
        BEGIN BLOCK XLXI_5 OBUF4X
            PIN I(3:0) xBTSA(3:0)
            PIN O(3:0) BTSA(3:0)
        END BLOCK
        BEGIN BLOCK XLXI_6 OBUF3
            PIN I(2:0) xTERM(2:0)
            PIN O(2:0) RF_SEL(2:0)
        END BLOCK
        BEGIN BLOCK XLXI_7 OBUF5
            PIN I(4:0) xCOL_S(4:0)
            PIN O(4:0) COL_S(4:0)
        END BLOCK
        BEGIN BLOCK XLXI_8 OBUF6
            PIN I(5:0) xROW_S(5:0)
            PIN O(5:0) ROW_S(5:0)
        END BLOCK
        BEGIN BLOCK XLXI_9 obuf
            PIN I xNRUN
            PIN O ALL_ROW
        END BLOCK
        BEGIN BLOCK XLXI_10 OBUF2
            PIN I(1:0) xTSA_IN(1:0)
            PIN O(1:0) TSA_IN(1:0)
        END BLOCK
        BEGIN BLOCK XLXI_11 ibuf
            PIN I RCO
            PIN O XLXN_29
        END BLOCK
        BEGIN BLOCK XLXI_21 inv
            PIN I XLXN_29
            PIN O XLXN_19
        END BLOCK
        BEGIN BLOCK XLXI_12 buf
            PIN I XLXN_19
            PIN O xRCO
        END BLOCK
        BEGIN BLOCK XLXI_15 ibuf
            PIN I TRG_SUM
            PIN O XLXN_26
        END BLOCK
        BEGIN BLOCK XLXI_17 obuf
            PIN I XLXN_30
            PIN O MUX_RAW
        END BLOCK
        BEGIN BLOCK XLXI_18 obuf
            PIN I xSGN
            PIN O SGN
        END BLOCK
        BEGIN BLOCK XLXI_19 obuf
            PIN I xRAMP
            PIN O RAMP
        END BLOCK
        BEGIN BLOCK XLXI_16 buf
            PIN I XLXN_26
            PIN O xTRG_SUM
        END BLOCK
        BEGIN BLOCK XLXI_22 gnd
            PIN G XLXN_30
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 1760 1360
        INSTANCE XLXI_1 768 224 R0
        INSTANCE XLXI_2 768 288 R0
        INSTANCE XLXI_4 768 416 R0
        INSTANCE XLXI_5 768 480 R0
        BEGIN BRANCH xTOUT(15:0)
            WIRE 992 192 1024 192
        END BRANCH
        BEGIN BRANCH xBOUT(15:0)
            WIRE 992 256 1024 256
        END BRANCH
        BEGIN BRANCH RF_SEL(2:0)
            WIRE 992 320 1024 320
        END BRANCH
        BEGIN BRANCH TTSA(3:0)
            WIRE 992 384 1024 384
        END BRANCH
        BEGIN BRANCH BTSA(3:0)
            WIRE 992 448 1024 448
        END BRANCH
        BEGIN BRANCH TOUT(15:0)
            WIRE 736 192 768 192
        END BRANCH
        BEGIN BRANCH BOUT(15:0)
            WIRE 736 256 768 256
        END BRANCH
        BEGIN BRANCH xTERM(2:0)
            WIRE 736 320 768 320
        END BRANCH
        BEGIN BRANCH xTTSA(3:0)
            WIRE 736 384 768 384
        END BRANCH
        BEGIN BRANCH xBTSA(3:0)
            WIRE 736 448 768 448
        END BRANCH
        INSTANCE XLXI_6 768 352 R0
        INSTANCE XLXI_7 768 544 R0
        BEGIN BRANCH xCOL_S(4:0)
            WIRE 736 512 768 512
        END BRANCH
        BEGIN BRANCH COL_S(4:0)
            WIRE 992 512 1024 512
        END BRANCH
        INSTANCE XLXI_8 768 608 R0
        BEGIN BRANCH xROW_S(5:0)
            WIRE 736 576 768 576
        END BRANCH
        BEGIN BRANCH ROW_S(5:0)
            WIRE 992 576 1024 576
        END BRANCH
        INSTANCE XLXI_9 768 672 R0
        BEGIN BRANCH xNRUN
            WIRE 736 640 768 640
        END BRANCH
        BEGIN BRANCH ALL_ROW
            WIRE 992 640 1024 640
        END BRANCH
        INSTANCE XLXI_10 768 736 R0
        BEGIN BRANCH xTSA_IN(1:0)
            WIRE 736 704 768 704
        END BRANCH
        BEGIN BRANCH TSA_IN(1:0)
            WIRE 992 704 1024 704
        END BRANCH
        INSTANCE XLXI_11 768 800 R0
        BEGIN BRANCH RCO
            WIRE 736 768 768 768
        END BRANCH
        IOMARKER 1024 192 xTOUT(15:0) R0 28
        IOMARKER 1024 256 xBOUT(15:0) R0 28
        IOMARKER 1024 320 RF_SEL(2:0) R0 28
        IOMARKER 1024 384 TTSA(3:0) R0 28
        IOMARKER 1024 448 BTSA(3:0) R0 28
        IOMARKER 736 192 TOUT(15:0) R180 28
        IOMARKER 736 256 BOUT(15:0) R180 28
        IOMARKER 736 320 xTERM(2:0) R180 28
        IOMARKER 736 384 xTTSA(3:0) R180 28
        IOMARKER 736 448 xBTSA(3:0) R180 28
        IOMARKER 736 512 xCOL_S(4:0) R180 28
        IOMARKER 1024 512 COL_S(4:0) R0 28
        IOMARKER 736 576 xROW_S(5:0) R180 28
        IOMARKER 1024 576 ROW_S(5:0) R0 28
        IOMARKER 736 640 xNRUN R180 28
        IOMARKER 1024 640 ALL_ROW R0 28
        IOMARKER 736 704 xTSA_IN(1:0) R180 28
        IOMARKER 1024 704 TSA_IN(1:0) R0 28
        IOMARKER 736 768 RCO R180 28
        BEGIN BRANCH XLXN_29
            WIRE 992 768 1024 768
        END BRANCH
        INSTANCE XLXI_21 1024 800 R0
        BEGIN BRANCH XLXN_19
            WIRE 1248 768 1280 768
        END BRANCH
        INSTANCE XLXI_12 1280 800 R0
        BEGIN BRANCH xRCO
            WIRE 1504 768 1536 768
        END BRANCH
        IOMARKER 1536 768 xRCO R0 28
        BEGIN BRANCH TRG_SUM
            WIRE 736 832 768 832
        END BRANCH
        INSTANCE XLXI_15 768 864 R0
        BEGIN BRANCH MUX_RAW
            WIRE 992 896 1024 896
        END BRANCH
        INSTANCE XLXI_17 768 928 R0
        BEGIN BRANCH xSGN
            WIRE 736 960 768 960
        END BRANCH
        BEGIN BRANCH SGN
            WIRE 992 960 1024 960
        END BRANCH
        INSTANCE XLXI_18 768 992 R0
        BEGIN BRANCH xRAMP
            WIRE 736 1024 768 1024
        END BRANCH
        BEGIN BRANCH RAMP
            WIRE 992 1024 1024 1024
        END BRANCH
        INSTANCE XLXI_19 768 1056 R0
        BEGIN BRANCH XLXN_26
            WIRE 992 832 1024 832
        END BRANCH
        BEGIN BRANCH xTRG_SUM
            WIRE 1248 832 1280 832
        END BRANCH
        INSTANCE XLXI_16 1024 864 R0
        BEGIN BRANCH XLXN_30
            WIRE 736 896 768 896
        END BRANCH
        INSTANCE XLXI_22 608 832 R90
        IOMARKER 736 832 TRG_SUM R180 28
        IOMARKER 1024 896 MUX_RAW R0 28
        IOMARKER 736 960 xSGN R180 28
        IOMARKER 1024 960 SGN R0 28
        IOMARKER 736 1024 xRAMP R180 28
        IOMARKER 1024 1024 RAMP R0 28
        IOMARKER 1280 832 xTRG_SUM R0 28
    END SHEET
END SCHEMATIC
