VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "spartan3"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL CLR
        SIGNAL xCLK
        SIGNAL XLXN_143
        SIGNAL xNRUN
        SIGNAL TRIG_1
        SIGNAL TRIG_0
        SIGNAL xTRIG
        SIGNAL xEXT_TRIG
        SIGNAL XLXN_30
        SIGNAL xSOFT_TRIG
        SIGNAL XLXN_42
        SIGNAL xDONE
        SIGNAL xCLR_ALL
        SIGNAL XLXN_224
        SIGNAL XLXN_392
        SIGNAL XLXN_396
        SIGNAL XLXN_379
        SIGNAL XLXN_401
        SIGNAL xDHIT
        SIGNAL XLXN_403
        PORT Input xCLK
        PORT Output xNRUN
        PORT Output xTRIG
        PORT Input xEXT_TRIG
        PORT Input xSOFT_TRIG
        PORT Input xDONE
        PORT Input xCLR_ALL
        PORT Input xDHIT
        BEGIN BLOCKDEF buf
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -32 64 -32 
            LINE N 224 -32 128 -32 
            LINE N 64 0 128 -32 
            LINE N 128 -32 64 -64 
            LINE N 64 -64 64 0 
        END BLOCKDEF
        BEGIN BLOCKDEF fdc
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -128 64 -128 
            LINE N 0 -32 64 -32 
            LINE N 0 -256 64 -256 
            LINE N 384 -256 320 -256 
            RECTANGLE N 64 -320 320 -64 
            LINE N 64 -112 80 -128 
            LINE N 80 -128 64 -144 
            LINE N 192 -64 192 -32 
            LINE N 192 -32 64 -32 
        END BLOCKDEF
        BEGIN BLOCKDEF vcc
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 64 -32 64 -64 
            LINE N 64 0 64 -32 
            LINE N 96 -64 32 -64 
        END BLOCKDEF
        BEGIN BLOCKDEF or2
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -64 64 -64 
            LINE N 0 -128 64 -128 
            LINE N 256 -96 192 -96 
            ARC N 28 -224 204 -48 112 -48 192 -96 
            ARC N -40 -152 72 -40 48 -48 48 -144 
            LINE N 112 -144 48 -144 
            ARC N 28 -144 204 32 192 -96 112 -144 
            LINE N 112 -48 48 -48 
        END BLOCKDEF
        BEGIN BLOCKDEF TRIG_ONESHOT
            TIMESTAMP 2009 2 3 18 55 56
            RECTANGLE N 64 -128 320 0 
            LINE N 64 -96 0 -96 
            LINE N 64 -32 0 -32 
            LINE N 320 -96 384 -96 
        END BLOCKDEF
        BEGIN BLOCKDEF TSA_32CYCLE_ONESHOT
            TIMESTAMP 2010 4 15 3 58 21
            RECTANGLE N 64 -128 320 0 
            LINE N 64 -96 0 -96 
            LINE N 64 -32 0 -32 
            LINE N 320 -96 384 -96 
        END BLOCKDEF
        BEGIN BLOCK XLXI_66 fdc
            PIN C xCLK
            PIN CLR CLR
            PIN D XLXN_396
            PIN Q XLXN_143
        END BLOCK
        BEGIN BLOCK XLXI_74 buf
            PIN I XLXN_143
            PIN O xNRUN
        END BLOCK
        BEGIN BLOCK XLXI_115 TRIG_ONESHOT
            PIN xCLK xCLK
            PIN xIN XLXN_403
            PIN xOUT xTRIG
        END BLOCK
        BEGIN BLOCK XLXI_23 vcc
            PIN P XLXN_30
        END BLOCK
        BEGIN BLOCK XLXI_22 fdc
            PIN C xEXT_TRIG
            PIN CLR CLR
            PIN D XLXN_30
            PIN Q TRIG_0
        END BLOCK
        BEGIN BLOCK XLXI_31 vcc
            PIN P XLXN_42
        END BLOCK
        BEGIN BLOCK XLXI_30 fdc
            PIN C xSOFT_TRIG
            PIN CLR CLR
            PIN D XLXN_42
            PIN Q TRIG_1
        END BLOCK
        BEGIN BLOCK XLXI_105 buf
            PIN I XLXN_224
            PIN O CLR
        END BLOCK
        BEGIN BLOCK XLXI_108 or2
            PIN I0 xDONE
            PIN I1 xCLR_ALL
            PIN O XLXN_224
        END BLOCK
        BEGIN BLOCK XLXI_189 vcc
            PIN P XLXN_392
        END BLOCK
        BEGIN BLOCK XLXI_190 fdc
            PIN C XLXN_401
            PIN CLR CLR
            PIN D XLXN_392
            PIN Q XLXN_396
        END BLOCK
        BEGIN BLOCK XLXI_183 TSA_32CYCLE_ONESHOT
            PIN xEN XLXN_379
            PIN xCLK xCLK
            PIN xTSA_STRB XLXN_401
        END BLOCK
        BEGIN BLOCK XLXI_182 or2
            PIN I0 TRIG_1
            PIN I1 TRIG_0
            PIN O XLXN_379
        END BLOCK
        BEGIN BLOCK XLXI_195 or2
            PIN I0 TRIG_1
            PIN I1 TRIG_0
            PIN O XLXN_403
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 2720 1760
        INSTANCE XLXI_66 1664 1568 R0
        BEGIN BRANCH CLR
            WIRE 1632 1536 1664 1536
            BEGIN DISPLAY 1632 1536 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xCLK
            WIRE 1632 1440 1664 1440
            BEGIN DISPLAY 1632 1440 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH XLXN_143
            WIRE 2048 1312 2080 1312
        END BRANCH
        INSTANCE XLXI_74 2080 1344 R0
        BEGIN BRANCH xNRUN
            WIRE 2304 1312 2336 1312
        END BRANCH
        BEGIN INSTANCE XLXI_115 1232 1168 R0
        END INSTANCE
        BEGIN BRANCH xCLK
            WIRE 1200 1072 1232 1072
            BEGIN DISPLAY 1200 1072 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xTRIG
            WIRE 1616 1072 1648 1072
        END BRANCH
        INSTANCE XLXI_23 1200 480 R270
        INSTANCE XLXI_22 1232 672 R0
        BEGIN BRANCH TRIG_0
            WIRE 1616 416 1648 416
            BEGIN DISPLAY 1648 416 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH CLR
            WIRE 1200 640 1232 640
            BEGIN DISPLAY 1200 640 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xEXT_TRIG
            WIRE 1200 544 1232 544
        END BRANCH
        BEGIN BRANCH XLXN_30
            WIRE 1200 416 1232 416
        END BRANCH
        INSTANCE XLXI_31 1200 848 R270
        INSTANCE XLXI_30 1232 1040 R0
        BEGIN BRANCH CLR
            WIRE 1200 1008 1232 1008
            BEGIN DISPLAY 1200 1008 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xSOFT_TRIG
            WIRE 1200 912 1232 912
        END BRANCH
        BEGIN BRANCH XLXN_42
            WIRE 1200 784 1232 784
        END BRANCH
        BEGIN BRANCH TRIG_1
            WIRE 1616 784 1648 784
            BEGIN DISPLAY 1648 784 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xDONE
            WIRE 1168 240 1184 240
            WIRE 1184 240 1200 240
        END BRANCH
        BEGIN BRANCH xCLR_ALL
            WIRE 1168 176 1184 176
            WIRE 1184 176 1200 176
        END BRANCH
        BEGIN BRANCH XLXN_224
            WIRE 1456 208 1472 208
            WIRE 1472 208 1488 208
        END BRANCH
        INSTANCE XLXI_105 1488 240 R0
        BEGIN BRANCH CLR
            WIRE 1712 208 1744 208
            BEGIN DISPLAY 1744 208 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        INSTANCE XLXI_108 1200 304 R0
        IOMARKER 2336 1312 xNRUN R0 28
        IOMARKER 1648 1072 xTRIG R0 28
        IOMARKER 1200 544 xEXT_TRIG R180 28
        IOMARKER 1200 912 xSOFT_TRIG R180 28
        IOMARKER 1168 240 xDONE R180 28
        IOMARKER 1168 176 xCLR_ALL R180 28
        INSTANCE XLXI_189 1168 1376 R270
        BEGIN BRANCH CLR
            WIRE 1168 1536 1200 1536
            BEGIN DISPLAY 1168 1536 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH XLXN_392
            WIRE 1168 1312 1200 1312
        END BRANCH
        INSTANCE XLXI_190 1200 1568 R0
        BEGIN BRANCH XLXN_396
            WIRE 1584 1312 1664 1312
        END BRANCH
        BEGIN BRANCH xCLK
            WIRE 608 1504 640 1504
        END BRANCH
        BEGIN INSTANCE XLXI_183 640 1536 R0
        END INSTANCE
        BEGIN BRANCH XLXN_379
            WIRE 624 1440 640 1440
        END BRANCH
        INSTANCE XLXI_182 368 1536 R0
        BEGIN BRANCH TRIG_1
            WIRE 352 1472 368 1472
            BEGIN DISPLAY 352 1472 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH TRIG_0
            WIRE 352 1408 368 1408
            BEGIN DISPLAY 352 1408 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        IOMARKER 608 1504 xCLK R180 28
        BEGIN BRANCH XLXN_401
            WIRE 1024 1440 1200 1440
        END BRANCH
        BEGIN BRANCH xDHIT
            WIRE 656 1088 688 1088
        END BRANCH
        IOMARKER 656 1088 xDHIT R180 28
        BEGIN BRANCH XLXN_403
            WIRE 1216 1136 1232 1136
        END BRANCH
        BEGIN BRANCH TRIG_1
            WIRE 944 1168 960 1168
            BEGIN DISPLAY 944 1168 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH TRIG_0
            WIRE 944 1104 960 1104
            BEGIN DISPLAY 944 1104 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        INSTANCE XLXI_195 960 1232 R0
    END SHEET
END SCHEMATIC
