VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "spartan3"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL xTERM(2:0)
        SIGNAL xSLWR
        SIGNAL xCLR_ALL
        SIGNAL xSTART
        SIGNAL xDONE
        SIGNAL xRADDR(15:0)
        SIGNAL xCLK
        SIGNAL xEN_PED
        SIGNAL xCOL_SEL(4:0)
        SIGNAL xROW_SEL(2:0)
        SIGNAL xSGN
        SIGNAL xWBIAS(11:0)
        SIGNAL xDHIT
        SIGNAL xTHRES(11:0)
        SIGNAL xR_WR
        SIGNAL xSEL
        SIGNAL xDSTRB
        SIGNAL xMAIN_DATA(15:0)
        SIGNAL xADC_T(15:0)
        SIGNAL xADC_B(15:0)
        SIGNAL xMEM_LOCK
        SIGNAL xPED_COL(4:0)
        SIGNAL xPED_ROW(2:0)
        SIGNAL xSCALER(15:0)
        SIGNAL xEXT_TRIG
        SIGNAL xRAMP
        SIGNAL TRG_SUM
        SIGNAL MUX_RAW
        SIGNAL SGN
        SIGNAL RAMP
        SIGNAL xTOUT(15:0)
        SIGNAL xBOUT(15:0)
        SIGNAL RF_SEL(2:0)
        SIGNAL TTSA(3:0)
        SIGNAL BTSA(3:0)
        SIGNAL COL_S(4:0)
        SIGNAL ROW_S(5:0)
        SIGNAL ALL_ROW
        SIGNAL TSA_IN(1:0)
        SIGNAL xRCO
        SIGNAL RCO
        SIGNAL xTSA_IN(1:0)
        SIGNAL xNRUN
        SIGNAL xROW_S(5:0)
        SIGNAL xCOL_S(4:0)
        SIGNAL xBTSA(3:0)
        SIGNAL xTTSA(3:0)
        SIGNAL BOUT(15:0)
        SIGNAL TOUT(15:0)
        SIGNAL xSOFT_TRIG
        SIGNAL xFCLK
        SIGNAL xCLK_15MHz
        SIGNAL xCLK_1Hz
        SIGNAL xCLK_10Hz
        SIGNAL xCLK_100Hz
        SIGNAL xSLAVE_DATA(15:0)
        SIGNAL SPB_N
        SIGNAL SPB_P
        SIGNAL REV_N
        SIGNAL REV_P
        SIGNAL SPA_N
        SIGNAL SPA_P
        SIGNAL REF_CLK_N
        SIGNAL REF_CLK_P
        SIGNAL AD(15:0)
        SIGNAL INTR
        SIGNAL SEL
        SIGNAL CLR
        SIGNAL CLR_ALL
        SIGNAL R_WR
        SIGNAL DSTRB
        SIGNAL xROVDD(11:0)
        SIGNAL DIN0
        SIGNAL SCLK
        SIGNAL SYNC
        SIGNAL xROVDD(15:0)
        SIGNAL xRADDR(4:0)
        SIGNAL MON0
        SIGNAL MON1
        SIGNAL MON2
        SIGNAL MON3
        SIGNAL MON4
        SIGNAL MON5
        SIGNAL MON6
        SIGNAL MON7
        SIGNAL MON8
        SIGNAL MON9
        SIGNAL MON10
        SIGNAL MON11
        SIGNAL MON12
        SIGNAL MON13
        SIGNAL MON14
        SIGNAL MON15
        SIGNAL XLXN_888
        SIGNAL xTTSA(0)
        SIGNAL xTSA_IN(1)
        SIGNAL xTSA_IN(0)
        SIGNAL xTTSA(1)
        SIGNAL xTTSA(2)
        SIGNAL xTTSA(3)
        SIGNAL xBTSA(0)
        SIGNAL xBTSA(1)
        SIGNAL xBTSA(2)
        SIGNAL xBTSA(3)
        SIGNAL XLXN_897
        SIGNAL XLXN_898
        SIGNAL FCLK
        SIGNAL FCLK_N
        SIGNAL TRIG
        SIGNAL BCLK
        SIGNAL BCLK_N
        SIGNAL TRIG_N
        SIGNAL xCLK_125MHz
        SIGNAL xTRIG
        SIGNAL xADC_HIT
        PORT Input TRG_SUM
        PORT Output MUX_RAW
        PORT Output SGN
        PORT Output RAMP
        PORT Output RF_SEL(2:0)
        PORT Output TTSA(3:0)
        PORT Output BTSA(3:0)
        PORT Output COL_S(4:0)
        PORT Output ROW_S(5:0)
        PORT Output ALL_ROW
        PORT Output TSA_IN(1:0)
        PORT Input RCO
        PORT Input BOUT(15:0)
        PORT Input TOUT(15:0)
        PORT Output SPB_N
        PORT Output SPB_P
        PORT Input REV_N
        PORT Input REV_P
        PORT Input SPA_N
        PORT Input SPA_P
        PORT Input REF_CLK_N
        PORT Input REF_CLK_P
        PORT BiDirectional AD(15:0)
        PORT Output INTR
        PORT Input SEL
        PORT Input CLR
        PORT Input CLR_ALL
        PORT Input R_WR
        PORT Input DSTRB
        PORT Output DIN0
        PORT Output SCLK
        PORT Output SYNC
        PORT Output MON0
        PORT Output MON1
        PORT Output MON2
        PORT Output MON3
        PORT Output MON4
        PORT Output MON5
        PORT Output MON6
        PORT Output MON7
        PORT Output MON8
        PORT Output MON9
        PORT Output MON10
        PORT Output MON11
        PORT Output MON12
        PORT Output MON13
        PORT Output MON14
        PORT Output MON15
        PORT Input FCLK
        PORT Input FCLK_N
        PORT Input TRIG
        PORT Input BCLK
        PORT Input BCLK_N
        PORT Input TRIG_N
        BEGIN BLOCKDEF TARGET_IO
            TIMESTAMP 2009 6 15 7 58 44
            RECTANGLE N 0 -544 400 -64 
            RECTANGLE N -64 -524 0 -500 
            LINE N 0 -512 -64 -512 
            RECTANGLE N -64 -492 0 -468 
            LINE N 0 -480 -64 -480 
            RECTANGLE N -64 -460 0 -436 
            LINE N 0 -448 -64 -448 
            RECTANGLE N -64 -428 0 -404 
            LINE N 0 -416 -64 -416 
            RECTANGLE N -64 -396 0 -372 
            LINE N 0 -384 -64 -384 
            RECTANGLE N -64 -364 0 -340 
            LINE N 0 -352 -64 -352 
            RECTANGLE N -64 -332 0 -308 
            LINE N 0 -320 -64 -320 
            LINE N 0 -288 -64 -288 
            RECTANGLE N -64 -268 0 -244 
            LINE N 0 -256 -64 -256 
            LINE N 0 -224 -64 -224 
            RECTANGLE N 400 -524 464 -500 
            LINE N 400 -512 464 -512 
            RECTANGLE N 400 -492 464 -468 
            LINE N 400 -480 464 -480 
            RECTANGLE N 400 -460 464 -436 
            LINE N 400 -448 464 -448 
            RECTANGLE N 400 -428 464 -404 
            LINE N 400 -416 464 -416 
            RECTANGLE N 400 -396 464 -372 
            LINE N 400 -384 464 -384 
            RECTANGLE N 400 -364 464 -340 
            LINE N 400 -352 464 -352 
            RECTANGLE N 400 -332 464 -308 
            LINE N 400 -320 464 -320 
            LINE N 400 -288 464 -288 
            RECTANGLE N 400 -268 464 -244 
            LINE N 400 -256 464 -256 
            LINE N 400 -224 464 -224 
            LINE N 0 -192 -64 -192 
            LINE N 400 -192 464 -192 
            LINE N 400 -160 464 -160 
            LINE N 400 -128 464 -128 
            LINE N 400 -96 464 -96 
            LINE N 0 -160 -64 -160 
            LINE N 0 -128 -64 -128 
        END BLOCKDEF
        BEGIN BLOCKDEF DAC_MAIN
            TIMESTAMP 2009 6 15 7 17 7
            RECTANGLE N 0 -384 400 -64 
            LINE N 0 -352 -64 -352 
            LINE N 0 -320 -64 -320 
            LINE N 0 -288 -64 -288 
            LINE N 0 -256 -64 -256 
            LINE N 0 -224 -64 -224 
            LINE N 0 -192 -64 -192 
            LINE N 0 -160 -64 -160 
            LINE N 400 -288 464 -288 
            RECTANGLE N 400 -268 464 -244 
            LINE N 400 -256 464 -256 
            LINE N 400 -320 464 -320 
            LINE N 400 -352 464 -352 
            RECTANGLE N -64 -140 0 -116 
            LINE N 0 -128 -64 -128 
            RECTANGLE N -64 -108 0 -84 
            LINE N 0 -96 -64 -96 
        END BLOCKDEF
        BEGIN BLOCKDEF CLK_MAIN
            TIMESTAMP 2010 4 14 22 13 2
            RECTANGLE N 0 -316 400 0 
            LINE N 0 -288 -64 -288 
            LINE N 0 -224 -64 -224 
            LINE N 0 -192 -64 -192 
            LINE N 0 -160 -64 -160 
            LINE N 0 -128 -64 -128 
            LINE N 0 -256 -64 -256 
            LINE N 400 -288 464 -288 
            LINE N 400 -256 464 -256 
            LINE N 400 -192 464 -192 
            LINE N 400 -160 464 -160 
            LINE N 400 -128 464 -128 
            LINE N 400 -96 464 -96 
            LINE N 400 -64 464 -64 
            LINE N 400 -32 464 -32 
            LINE N 400 -224 464 -224 
        END BLOCKDEF
        BEGIN BLOCKDEF MAIN_REG
            TIMESTAMP 2009 6 15 7 30 55
            RECTANGLE N 0 -256 368 32 
            RECTANGLE N 368 -204 432 -180 
            LINE N 368 -192 432 -192 
            RECTANGLE N 368 -236 432 -212 
            LINE N 368 -224 432 -224 
            RECTANGLE N 368 -172 432 -148 
            LINE N 368 -160 432 -160 
            LINE N 368 -128 432 -128 
            RECTANGLE N 368 -140 432 -116 
            LINE N 368 -96 432 -96 
            RECTANGLE N 368 -108 432 -84 
            LINE N 368 -64 432 -64 
            LINE N 368 -32 432 -32 
            LINE N 0 -160 -64 -160 
            LINE N 0 -128 -64 -128 
            LINE N 0 -96 -64 -96 
            LINE N 0 -64 -64 -64 
            RECTANGLE N -64 -44 0 -20 
            LINE N 0 -32 -64 -32 
        END BLOCKDEF
        BEGIN BLOCKDEF MESS
            TIMESTAMP 2009 6 15 20 14 15
            RECTANGLE N 0 -448 368 192 
            LINE N 0 -320 -64 -320 
            LINE N 0 -288 -64 -288 
            LINE N 0 -256 -64 -256 
            LINE N 0 -416 -64 -416 
            LINE N 0 -384 -64 -384 
            LINE N 0 -352 -64 -352 
            RECTANGLE N 368 -428 432 -404 
            LINE N 368 -416 432 -416 
            RECTANGLE N 368 -396 432 -372 
            LINE N 368 -384 432 -384 
            RECTANGLE N -64 -204 0 -180 
            LINE N 0 -192 -64 -192 
            RECTANGLE N -64 -236 0 -212 
            LINE N 0 -224 -64 -224 
            RECTANGLE N -64 -140 0 -116 
            LINE N 0 -128 -64 -128 
            LINE N 0 -96 -64 -96 
            RECTANGLE N -64 -108 0 -84 
            RECTANGLE N -64 -76 0 -52 
            LINE N 0 -64 -64 -64 
            RECTANGLE N -64 -44 0 -20 
            LINE N 0 -32 -64 -32 
            RECTANGLE N -64 -12 0 12 
            LINE N 0 0 -64 0 
            RECTANGLE N -64 20 0 44 
            LINE N 0 32 -64 32 
            LINE N 0 64 -64 64 
            LINE N 0 96 -64 96 
            LINE N 0 128 -64 128 
            RECTANGLE N -64 52 0 76 
            RECTANGLE N -64 84 0 108 
            LINE N 0 160 -64 160 
            RECTANGLE N -64 -172 0 -148 
            LINE N 0 -160 -64 -160 
            LINE N 368 -352 432 -352 
        END BLOCKDEF
        BEGIN BLOCKDEF MAIN_IO
            TIMESTAMP 2009 6 15 7 47 7
            RECTANGLE N -64 -76 0 -52 
            LINE N 0 -64 -64 -64 
            LINE N 0 -96 -64 -96 
            LINE N 0 -192 -64 -192 
            LINE N 0 -160 -64 -160 
            LINE N 0 -128 -64 -128 
            LINE N 0 -256 -64 -256 
            LINE N 0 -224 -64 -224 
            RECTANGLE N 368 -268 432 -244 
            LINE N 368 -256 432 -256 
            LINE N 368 -224 432 -224 
            RECTANGLE N 368 -204 432 -180 
            LINE N 368 -192 432 -192 
            RECTANGLE N 0 -288 368 192 
            LINE N 368 -160 432 -160 
            LINE N 368 -128 432 -128 
            LINE N 368 -96 432 -96 
            LINE N 368 -64 432 -64 
            LINE N 368 -32 432 -32 
            LINE N 0 -32 -64 -32 
            LINE N 0 0 -64 0 
            LINE N 0 32 -64 32 
            LINE N 0 128 -64 128 
            LINE N 0 160 -64 160 
            LINE N 368 96 432 96 
            LINE N 368 32 432 32 
            LINE N 368 64 432 64 
            LINE N 368 0 432 0 
            LINE N 368 128 432 128 
            LINE N 0 64 -64 64 
            LINE N 0 96 -64 96 
        END BLOCKDEF
        BEGIN BLOCKDEF gnd
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 64 -64 64 -96 
            LINE N 76 -48 52 -48 
            LINE N 68 -32 60 -32 
            LINE N 88 -64 40 -64 
            LINE N 64 -64 64 -80 
            LINE N 64 -128 64 -96 
        END BLOCKDEF
        BEGIN BLOCKDEF SCALER_TOP
            TIMESTAMP 2009 6 15 20 21 8
            RECTANGLE N 64 -320 416 -96 
            LINE N 64 -288 0 -288 
            RECTANGLE N 416 -300 480 -276 
            LINE N 416 -288 480 -288 
            LINE N 64 -256 0 -256 
            LINE N 64 -224 0 -224 
            LINE N 64 -192 0 -192 
            RECTANGLE N 0 -172 64 -148 
            LINE N 64 -160 0 -160 
            LINE N 64 -128 0 -128 
        END BLOCKDEF
        BEGIN BLOCKDEF TARGET_TOP
            TIMESTAMP 2010 5 4 22 57 39
            RECTANGLE N 0 -544 400 64 
            LINE N 0 -480 -64 -480 
            LINE N 0 -512 -64 -512 
            RECTANGLE N 400 -332 464 -308 
            LINE N 400 -320 464 -320 
            RECTANGLE N 400 -364 464 -340 
            LINE N 400 -352 464 -352 
            RECTANGLE N 400 -396 464 -372 
            LINE N 400 -384 464 -384 
            LINE N 400 -416 464 -416 
            LINE N 400 -448 464 -448 
            LINE N 400 -480 464 -480 
            LINE N 400 -512 464 -512 
            RECTANGLE N 400 -300 464 -276 
            LINE N 400 -288 464 -288 
            RECTANGLE N 400 -268 464 -244 
            LINE N 400 -256 464 -256 
            RECTANGLE N 400 -236 464 -212 
            LINE N 400 -224 464 -224 
            RECTANGLE N 400 -204 464 -180 
            LINE N 400 -192 464 -192 
            RECTANGLE N 400 -172 464 -148 
            LINE N 400 -160 464 -160 
            RECTANGLE N 400 -140 464 -116 
            LINE N 400 -128 464 -128 
            LINE N 464 -96 400 -96 
            RECTANGLE N 400 -76 464 -52 
            LINE N 400 -64 464 -64 
            RECTANGLE N 400 -44 464 -20 
            LINE N 400 -32 464 -32 
            LINE N 400 0 464 0 
            RECTANGLE N 400 20 464 44 
            LINE N 400 32 464 32 
            LINE N 0 -448 -64 -448 
            LINE N 0 -384 -64 -384 
            LINE N 0 -352 -64 -352 
            LINE N 0 -320 -64 -320 
            LINE N 0 -288 -64 -288 
            LINE N 0 -256 -64 -256 
            LINE N 0 -224 -64 -224 
            LINE N 0 -192 -64 -192 
            RECTANGLE N -64 -172 0 -148 
            LINE N 0 -160 -64 -160 
            RECTANGLE N -64 -140 0 -116 
            LINE N 0 -128 -64 -128 
            RECTANGLE N -64 -108 0 -84 
            LINE N 0 -96 -64 -96 
            RECTANGLE N -64 -76 0 -52 
            LINE N 0 -64 -64 -64 
            RECTANGLE N -64 -44 0 -20 
            LINE N 0 -32 -64 -32 
            LINE N 0 -416 -64 -416 
        END BLOCKDEF
        BEGIN BLOCKDEF MON_HDR
            TIMESTAMP 2009 11 6 23 11 34
            RECTANGLE N 64 -1024 320 0 
            LINE N 64 -992 0 -992 
            LINE N 64 -928 0 -928 
            LINE N 64 -864 0 -864 
            LINE N 64 -800 0 -800 
            LINE N 64 -736 0 -736 
            LINE N 64 -672 0 -672 
            LINE N 64 -608 0 -608 
            LINE N 64 -544 0 -544 
            LINE N 64 -480 0 -480 
            LINE N 64 -416 0 -416 
            LINE N 64 -352 0 -352 
            LINE N 64 -288 0 -288 
            LINE N 64 -224 0 -224 
            LINE N 64 -160 0 -160 
            LINE N 64 -96 0 -96 
            LINE N 64 -32 0 -32 
            LINE N 320 -992 384 -992 
            LINE N 320 -928 384 -928 
            LINE N 320 -864 384 -864 
            LINE N 320 -800 384 -800 
            LINE N 320 -736 384 -736 
            LINE N 320 -672 384 -672 
            LINE N 320 -608 384 -608 
            LINE N 320 -544 384 -544 
            LINE N 320 -480 384 -480 
            LINE N 320 -416 384 -416 
            LINE N 320 -352 384 -352 
            LINE N 320 -288 384 -288 
            LINE N 320 -224 384 -224 
            LINE N 320 -160 384 -160 
            LINE N 320 -96 384 -96 
            LINE N 320 -32 384 -32 
        END BLOCKDEF
        BEGIN BLOCKDEF buf
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -32 64 -32 
            LINE N 224 -32 128 -32 
            LINE N 64 0 128 -32 
            LINE N 128 -32 64 -64 
            LINE N 64 -64 64 0 
        END BLOCKDEF
        BEGIN BLOCK XLXI_20 TARGET_IO
            PIN TOUT(15:0) TOUT(15:0)
            PIN BOUT(15:0) BOUT(15:0)
            PIN xTERM(2:0) xTERM(2:0)
            PIN xTTSA(3:0) xTTSA(3:0)
            PIN xBTSA(3:0) xBTSA(3:0)
            PIN xCOL_S(4:0) xCOL_S(4:0)
            PIN xROW_S(5:0) xROW_S(5:0)
            PIN xNRUN xNRUN
            PIN xTSA_IN(1:0) xTSA_IN(1:0)
            PIN RCO RCO
            PIN xTOUT(15:0) xTOUT(15:0)
            PIN xBOUT(15:0) xBOUT(15:0)
            PIN RF_SEL(2:0) RF_SEL(2:0)
            PIN TTSA(3:0) TTSA(3:0)
            PIN BTSA(3:0) BTSA(3:0)
            PIN COL_S(4:0) COL_S(4:0)
            PIN ROW_S(5:0) ROW_S(5:0)
            PIN ALL_ROW ALL_ROW
            PIN TSA_IN(1:0) TSA_IN(1:0)
            PIN xRCO xRCO
            PIN TRG_SUM TRG_SUM
            PIN xTRG_SUM xDHIT
            PIN MUX_RAW MUX_RAW
            PIN SGN SGN
            PIN RAMP RAMP
            PIN xSGN xSGN
            PIN xRAMP xRAMP
        END BLOCK
        BEGIN BLOCK XLXI_2520 MESS
            PIN xDSTRB xDSTRB
            PIN xSEL xSEL
            PIN xR_WR xR_WR
            PIN xDONE xDONE
            PIN xCLR_ALL xCLR_ALL
            PIN xEN_PED xEN_PED
            PIN xSLAVE_DATA(15:0) xSLAVE_DATA(15:0)
            PIN xRADDR(15:0) xRADDR(15:0)
            PIN xPED_ROW_ADDR(2:0) xPED_ROW(2:0)
            PIN xPED_COL_ADDR(4:0) xPED_COL(4:0)
            PIN xADC_B(15:0) xADC_B(15:0)
            PIN xSCALER(15:0) xSCALER(15:0)
            PIN xTHRES(11:0) xTHRES(11:0)
            PIN xROVDD(11:0) xROVDD(11:0)
            PIN xROW_SEL(2:0) xROW_SEL(2:0)
            PIN xCOL_SEL(4:0) xCOL_SEL(4:0)
            PIN xWBIAS(11:0) xWBIAS(11:0)
            PIN xTERM(2:0) xTERM(2:0)
            PIN xSGN xSGN
            PIN xHITBIT xMEM_LOCK
            PIN xADC_T(15:0) xADC_T(15:0)
            PIN xSLWR xSLWR
        END BLOCK
        BEGIN BLOCK XLXI_2933 MAIN_IO
            PIN SEL SEL
            PIN CLR CLR
            PIN CLR_ALL CLR_ALL
            PIN xSTART xSTART
            PIN R_WR R_WR
            PIN DSTRB DSTRB
            PIN xSLAVE_DATA(15:0) xSLAVE_DATA(15:0)
            PIN AD(15:0) AD(15:0)
            PIN INTR INTR
            PIN xMAIN_DATA(15:0) xMAIN_DATA(15:0)
            PIN xSEL xSEL
            PIN xR_WR xR_WR
            PIN xDSTRB xDSTRB
            PIN xDONE xDONE
            PIN xCLR_ALL xCLR_ALL
            PIN REF_CLK_P REF_CLK_P
            PIN REF_CLK_N REF_CLK_N
            PIN xCLK xCLK
            PIN REV_P REV_P
            PIN REV_N REV_N
            PIN xSPA
            PIN SPB_P SPB_P
            PIN SPB_N SPB_N
            PIN xREF_CLK
            PIN xREV
            PIN SPA_P SPA_P
            PIN SPA_N SPA_N
        END BLOCK
        BEGIN BLOCK xTARGET_TOP TARGET_TOP
            PIN xFCLK xFCLK
            PIN xCLK xCLK
            PIN xTTSA(3:0) xTTSA(3:0)
            PIN xCOL_S(4:0) xCOL_S(4:0)
            PIN xROW_S(5:0) xROW_S(5:0)
            PIN xMEM_LOCK xMEM_LOCK
            PIN xNRUN xNRUN
            PIN xRAMP xRAMP
            PIN xSTART xSTART
            PIN xBTSA(3:0) xBTSA(3:0)
            PIN xTSA_SEL(1:0) xTSA_IN(1:0)
            PIN xROW_SEL(2:0) xROW_SEL(2:0)
            PIN xCOL_SEL(4:0) xCOL_SEL(4:0)
            PIN xADC_T(15:0) xADC_T(15:0)
            PIN xADC_B(15:0) xADC_B(15:0)
            PIN xTRIG xTRIG
            PIN xTRACK_COL(4:0)
            PIN xLOCK_COL(4:0)
            PIN xADC_HIT xADC_HIT
            PIN xLOCK_ROW(2:0)
            PIN xCLK_125MHz xCLK_125MHz
            PIN xCLR_ALL xCLR_ALL
            PIN xDONE xDONE
            PIN xSLWR xSLWR
            PIN xSOFT_TRIG xSOFT_TRIG
            PIN xEXT_TRIG xSOFT_TRIG
            PIN xDHIT xDHIT
            PIN xEN_PED xEN_PED
            PIN xTOUT(15:0) xTOUT(15:0)
            PIN xBOUT(15:0) xBOUT(15:0)
            PIN xRADDR(15:0) xRADDR(15:0)
            PIN xPED_COL(4:0) xPED_COL(4:0)
            PIN xPED_ROW(2:0) xPED_ROW(2:0)
            PIN xCLK_15MHz xCLK_15MHz
        END BLOCK
        BEGIN BLOCK XLXI_2840 DAC_MAIN
            PIN xCLK xCLK
            PIN xCLK_15MHz xCLK_15MHz
            PIN xCLK_100Hz xCLK_100Hz
            PIN xCLK_10Hz xCLK_10Hz
            PIN xCLK_1Hz xCLK_1Hz
            PIN xCLR_ALL xCLR_ALL
            PIN xRCO xRCO
            PIN DIN0 DIN0
            PIN xROVDD(15:0) xROVDD(15:0)
            PIN SYNC SYNC
            PIN SCLK SCLK
            PIN xTRIG_THRES(11:0) xTHRES(11:0)
            PIN xWBIAS(11:0) xWBIAS(11:0)
        END BLOCK
        BEGIN BLOCK XLXI_2959 SCALER_TOP
            PIN xCLK_1Hz xCLK_1Hz
            PIN xSCALER(15:0) xSCALER(15:0)
            PIN xDHIT xDHIT
            PIN xSOFT_TRIG xSOFT_TRIG
            PIN xEXT_TRIG xEXT_TRIG
            PIN xRADDR(4:0) xRADDR(4:0)
            PIN xCLR_ALL xCLR_ALL
        END BLOCK
        BEGIN BLOCK XLXI_2934 MAIN_REG
            PIN xPED_ROW_ADDR(2:0) xPED_ROW(2:0)
            PIN xPED_COL_ADDR(4:0) xPED_COL(4:0)
            PIN xTHRES(11:0) xTHRES(11:0)
            PIN xWBIAS(11:0) xWBIAS(11:0)
            PIN xTERM(2:0) xTERM(2:0)
            PIN xEN_PED xEN_PED
            PIN xSGN xSGN
            PIN xDSTRB xDSTRB
            PIN xSEL xSEL
            PIN xR_WR xR_WR
            PIN xCLR_ALL xCLR_ALL
            PIN xMAIN_DATA(15:0) xMAIN_DATA(15:0)
        END BLOCK
        BEGIN BLOCK XLXI_2964 MON_HDR
            PIN xMON0 xCLK
            PIN xMON1 xTSA_IN(0)
            PIN xMON2 xTSA_IN(1)
            PIN xMON3 xTTSA(0)
            PIN xMON4 xTTSA(1)
            PIN xMON5 xTTSA(2)
            PIN xMON6 xTTSA(3)
            PIN xMON7 xBTSA(0)
            PIN xMON8 xBTSA(1)
            PIN xMON9 xBTSA(2)
            PIN xMON10 xBTSA(3)
            PIN xMON11 XLXN_897
            PIN xMON12 XLXN_898
            PIN xMON13 xADC_HIT
            PIN xMON14 xTRIG
            PIN xMON15 xDHIT
            PIN MON0 MON0
            PIN MON1 MON1
            PIN MON2 MON2
            PIN MON3 MON3
            PIN MON4 MON4
            PIN MON5 MON5
            PIN MON6 MON6
            PIN MON7 MON7
            PIN MON8 MON8
            PIN MON9 MON9
            PIN MON10 MON10
            PIN MON11 MON11
            PIN MON12 MON12
            PIN MON13 MON13
            PIN MON14 MON14
            PIN MON15 MON15
        END BLOCK
        BEGIN BLOCK XLXI_2965 buf
            PIN I XLXN_888
            PIN O xEXT_TRIG
        END BLOCK
        BEGIN BLOCK XLXI_2967 gnd
            PIN G XLXN_888
        END BLOCK
        BEGIN BLOCK XLXI_2976 gnd
            PIN G XLXN_897
        END BLOCK
        BEGIN BLOCK XLXI_2977 gnd
            PIN G XLXN_898
        END BLOCK
        BEGIN BLOCK xCLK_MAIN CLK_MAIN
            PIN BCLK BCLK
            PIN FCLK FCLK
            PIN FCLK_N FCLK_N
            PIN TRIG TRIG
            PIN TRIG_N TRIG_N
            PIN BCLK_N BCLK_N
            PIN xCLK xCLK
            PIN xFCLK xFCLK
            PIN xCLK_15MHz xCLK_15MHz
            PIN xTRIG xSOFT_TRIG
            PIN xCLK_1Hz xCLK_1Hz
            PIN xCLK_10Hz xCLK_10Hz
            PIN xCLK_100Hz xCLK_100Hz
            PIN xCLK_1kHz
            PIN xCLK_125MHz xCLK_125MHz
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 3520 2720
        BEGIN INSTANCE XLXI_20 800 1088 R0
        END INSTANCE
        BEGIN BRANCH xRAMP
            WIRE 704 960 736 960
            BEGIN DISPLAY 704 960 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xSGN
            WIRE 704 928 736 928
            BEGIN DISPLAY 704 928 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH TRG_SUM
            WIRE 704 896 736 896
        END BRANCH
        BEGIN BRANCH xDHIT
            WIRE 1264 896 1296 896
            BEGIN DISPLAY 1296 896 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH MUX_RAW
            WIRE 1264 928 1296 928
        END BRANCH
        BEGIN BRANCH SGN
            WIRE 1264 960 1296 960
        END BRANCH
        BEGIN BRANCH RAMP
            WIRE 1264 992 1296 992
        END BRANCH
        BEGIN BRANCH xTOUT(15:0)
            WIRE 1264 576 1296 576
            BEGIN DISPLAY 1296 576 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xBOUT(15:0)
            WIRE 1264 608 1296 608
            BEGIN DISPLAY 1296 608 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH RF_SEL(2:0)
            WIRE 1264 640 1296 640
        END BRANCH
        BEGIN BRANCH TTSA(3:0)
            WIRE 1264 672 1296 672
        END BRANCH
        BEGIN BRANCH BTSA(3:0)
            WIRE 1264 704 1296 704
        END BRANCH
        BEGIN BRANCH COL_S(4:0)
            WIRE 1264 736 1296 736
        END BRANCH
        BEGIN BRANCH ROW_S(5:0)
            WIRE 1264 768 1296 768
        END BRANCH
        BEGIN BRANCH ALL_ROW
            WIRE 1264 800 1296 800
        END BRANCH
        BEGIN BRANCH TSA_IN(1:0)
            WIRE 1264 832 1296 832
        END BRANCH
        BEGIN BRANCH xRCO
            WIRE 1264 864 1296 864
            BEGIN DISPLAY 1296 864 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH RCO
            WIRE 704 864 736 864
        END BRANCH
        BEGIN BRANCH xTSA_IN(1:0)
            WIRE 704 832 736 832
            BEGIN DISPLAY 704 832 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xNRUN
            WIRE 704 800 736 800
            BEGIN DISPLAY 704 800 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xROW_S(5:0)
            WIRE 704 768 736 768
            BEGIN DISPLAY 704 768 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xCOL_S(4:0)
            WIRE 704 736 736 736
            BEGIN DISPLAY 704 736 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xBTSA(3:0)
            WIRE 704 704 736 704
            BEGIN DISPLAY 704 704 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xTTSA(3:0)
            WIRE 704 672 736 672
            BEGIN DISPLAY 704 672 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xTERM(2:0)
            WIRE 704 640 736 640
            BEGIN DISPLAY 704 640 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH BOUT(15:0)
            WIRE 704 608 736 608
        END BRANCH
        BEGIN BRANCH TOUT(15:0)
            WIRE 704 576 736 576
        END BRANCH
        BEGIN BRANCH xCLK
            WIRE 704 1056 720 1056
            WIRE 720 1056 736 1056
            BEGIN DISPLAY 704 1056 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xFCLK
            WIRE 704 1088 720 1088
            WIRE 720 1088 736 1088
            BEGIN DISPLAY 704 1088 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        IOMARKER 704 896 TRG_SUM R180 28
        IOMARKER 1296 928 MUX_RAW R0 28
        IOMARKER 1296 960 SGN R0 28
        IOMARKER 1296 992 RAMP R0 28
        IOMARKER 1296 640 RF_SEL(2:0) R0 28
        IOMARKER 1296 672 TTSA(3:0) R0 28
        IOMARKER 1296 704 BTSA(3:0) R0 28
        IOMARKER 1296 736 COL_S(4:0) R0 28
        IOMARKER 1296 768 ROW_S(5:0) R0 28
        IOMARKER 1296 800 ALL_ROW R0 28
        IOMARKER 1296 832 TSA_IN(1:0) R0 28
        IOMARKER 704 864 RCO R180 28
        IOMARKER 704 608 BOUT(15:0) R180 28
        IOMARKER 704 576 TOUT(15:0) R180 28
        BEGIN INSTANCE XLXI_2520 2352 2176 R0
        END INSTANCE
        BEGIN INSTANCE XLXI_2933 2352 1536 R0
        END INSTANCE
        BEGIN BRANCH xPED_COL(4:0)
            WIRE 2256 1952 2288 1952
            BEGIN DISPLAY 2256 1952 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xPED_ROW(2:0)
            WIRE 2256 1984 2288 1984
            BEGIN DISPLAY 2256 1984 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xR_WR
            WIRE 2256 1824 2288 1824
            BEGIN DISPLAY 2256 1824 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xSEL
            WIRE 2256 1792 2288 1792
            BEGIN DISPLAY 2256 1792 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xDSTRB
            WIRE 2256 1760 2288 1760
            BEGIN DISPLAY 2256 1760 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xEN_PED
            WIRE 2256 1920 2288 1920
            BEGIN DISPLAY 2256 1920 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xCLR_ALL
            WIRE 2256 1888 2288 1888
            BEGIN DISPLAY 2256 1888 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xDONE
            WIRE 2256 1856 2288 1856
            BEGIN DISPLAY 2256 1856 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xRADDR(15:0)
            WIRE 2784 1792 2816 1792
            BEGIN DISPLAY 2816 1792 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xSLAVE_DATA(15:0)
            WIRE 2784 1760 2816 1760
            BEGIN DISPLAY 2816 1760 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH SPB_N
            WIRE 2784 1600 2816 1600
        END BRANCH
        BEGIN BRANCH SPB_P
            WIRE 2784 1568 2816 1568
        END BRANCH
        BEGIN BRANCH REV_N
            WIRE 2256 1696 2288 1696
        END BRANCH
        BEGIN BRANCH REV_P
            WIRE 2256 1664 2288 1664
        END BRANCH
        BEGIN BRANCH SPA_N
            WIRE 2256 1632 2288 1632
        END BRANCH
        BEGIN BRANCH SPA_P
            WIRE 2256 1600 2288 1600
        END BRANCH
        BEGIN BRANCH xCLK
            WIRE 2256 1568 2288 1568
            BEGIN DISPLAY 2256 1568 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH REF_CLK_N
            WIRE 2256 1536 2288 1536
        END BRANCH
        BEGIN BRANCH REF_CLK_P
            WIRE 2256 1504 2288 1504
        END BRANCH
        BEGIN BRANCH xR_WR
            WIRE 2784 1408 2816 1408
            BEGIN DISPLAY 2816 1408 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xDSTRB
            WIRE 2784 1440 2816 1440
            BEGIN DISPLAY 2816 1440 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xDONE
            WIRE 2784 1472 2816 1472
            BEGIN DISPLAY 2816 1472 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xCLR_ALL
            WIRE 2784 1504 2816 1504
            BEGIN DISPLAY 2816 1504 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH AD(15:0)
            WIRE 2784 1280 2816 1280
        END BRANCH
        BEGIN BRANCH INTR
            WIRE 2784 1312 2816 1312
        END BRANCH
        BEGIN BRANCH xMAIN_DATA(15:0)
            WIRE 2784 1344 2816 1344
            BEGIN DISPLAY 2816 1344 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xSEL
            WIRE 2784 1376 2816 1376
            BEGIN DISPLAY 2816 1376 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xSTART
            WIRE 2256 1440 2288 1440
            BEGIN DISPLAY 2256 1440 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH SEL
            WIRE 2256 1344 2288 1344
        END BRANCH
        BEGIN BRANCH CLR
            WIRE 2256 1376 2288 1376
        END BRANCH
        BEGIN BRANCH CLR_ALL
            WIRE 2256 1408 2288 1408
        END BRANCH
        BEGIN BRANCH R_WR
            WIRE 2256 1280 2288 1280
        END BRANCH
        BEGIN BRANCH DSTRB
            WIRE 2256 1312 2288 1312
        END BRANCH
        BEGIN BRANCH xSLAVE_DATA(15:0)
            WIRE 2256 1472 2288 1472
            BEGIN DISPLAY 2256 1472 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xMEM_LOCK
            WIRE 2256 2336 2288 2336
            BEGIN DISPLAY 2256 2336 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xSGN
            WIRE 2256 2304 2288 2304
            BEGIN DISPLAY 2256 2304 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xTERM(2:0)
            WIRE 2256 2272 2288 2272
            BEGIN DISPLAY 2256 2272 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xWBIAS(11:0)
            WIRE 2256 2240 2288 2240
            BEGIN DISPLAY 2256 2240 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xCOL_SEL(4:0)
            WIRE 2256 2208 2288 2208
            BEGIN DISPLAY 2256 2208 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xROW_SEL(2:0)
            WIRE 2256 2176 2288 2176
            BEGIN DISPLAY 2256 2176 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xROVDD(11:0)
            WIRE 2256 2144 2288 2144
            BEGIN DISPLAY 2256 2144 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xSCALER(15:0)
            WIRE 2256 2080 2288 2080
            BEGIN DISPLAY 2256 2080 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xTHRES(11:0)
            WIRE 2256 2112 2288 2112
            BEGIN DISPLAY 2256 2112 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xADC_B(15:0)
            WIRE 2256 2048 2288 2048
            BEGIN DISPLAY 2256 2048 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xADC_T(15:0)
            WIRE 2256 2016 2288 2016
            BEGIN DISPLAY 2256 2016 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xSLWR
            WIRE 2784 1824 2816 1824
            BEGIN DISPLAY 2816 1824 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        IOMARKER 2816 1600 SPB_N R0 28
        IOMARKER 2816 1568 SPB_P R0 28
        IOMARKER 2256 1696 REV_N R180 28
        IOMARKER 2256 1664 REV_P R180 28
        IOMARKER 2256 1632 SPA_N R180 28
        IOMARKER 2256 1600 SPA_P R180 28
        IOMARKER 2256 1536 REF_CLK_N R180 28
        IOMARKER 2256 1504 REF_CLK_P R180 28
        IOMARKER 2816 1280 AD(15:0) R0 28
        IOMARKER 2816 1312 INTR R0 28
        IOMARKER 2256 1344 SEL R180 28
        IOMARKER 2256 1376 CLR R180 28
        IOMARKER 2256 1408 CLR_ALL R180 28
        IOMARKER 2256 1280 R_WR R180 28
        IOMARKER 2256 1312 DSTRB R180 28
        BEGIN INSTANCE xTARGET_TOP 800 1568 R0
        END INSTANCE
        BEGIN BRANCH xSTART
            WIRE 1264 1056 1280 1056
            WIRE 1280 1056 1296 1056
            BEGIN DISPLAY 1296 1056 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xRAMP
            WIRE 1264 1088 1280 1088
            WIRE 1280 1088 1296 1088
            BEGIN DISPLAY 1296 1088 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xADC_T(15:0)
            WIRE 1264 1408 1280 1408
            WIRE 1280 1408 1296 1408
            BEGIN DISPLAY 1296 1408 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xADC_B(15:0)
            WIRE 1264 1440 1280 1440
            WIRE 1280 1440 1296 1440
            BEGIN DISPLAY 1296 1440 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xROW_S(5:0)
            WIRE 1264 1184 1280 1184
            WIRE 1280 1184 1296 1184
            BEGIN DISPLAY 1296 1184 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xCOL_S(4:0)
            WIRE 1264 1216 1280 1216
            WIRE 1280 1216 1296 1216
            BEGIN DISPLAY 1296 1216 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xCOL_SEL(4:0)
            WIRE 1264 1376 1280 1376
            WIRE 1280 1376 1296 1376
            BEGIN DISPLAY 1296 1376 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xROW_SEL(2:0)
            WIRE 1264 1344 1280 1344
            WIRE 1280 1344 1296 1344
            BEGIN DISPLAY 1296 1344 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xTSA_IN(1:0)
            WIRE 1264 1312 1280 1312
            WIRE 1280 1312 1296 1312
            BEGIN DISPLAY 1296 1312 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xBTSA(3:0)
            WIRE 1264 1280 1280 1280
            WIRE 1280 1280 1296 1280
            BEGIN DISPLAY 1296 1280 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xTTSA(3:0)
            WIRE 1264 1248 1280 1248
            WIRE 1280 1248 1296 1248
            BEGIN DISPLAY 1296 1248 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xMEM_LOCK
            WIRE 1264 1152 1280 1152
            WIRE 1280 1152 1296 1152
            BEGIN DISPLAY 1296 1152 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xNRUN
            WIRE 1264 1120 1280 1120
            WIRE 1280 1120 1296 1120
            BEGIN DISPLAY 1296 1120 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN INSTANCE XLXI_2840 800 2016 R0
        END INSTANCE
        BEGIN BRANCH xCLK_1Hz
            WIRE 704 1792 736 1792
            BEGIN DISPLAY 704 1792 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xCLK_10Hz
            WIRE 704 1760 736 1760
            BEGIN DISPLAY 704 1760 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xRCO
            WIRE 704 1856 736 1856
            BEGIN DISPLAY 704 1856 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xCLR_ALL
            WIRE 704 1824 736 1824
            BEGIN DISPLAY 704 1824 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xCLK
            WIRE 704 1664 736 1664
            BEGIN DISPLAY 704 1664 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xCLK_15MHz
            WIRE 704 1696 736 1696
            BEGIN DISPLAY 704 1696 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xCLK_100Hz
            WIRE 704 1728 736 1728
            BEGIN DISPLAY 704 1728 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xTHRES(11:0)
            WIRE 704 1888 736 1888
            BEGIN DISPLAY 704 1888 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xWBIAS(11:0)
            WIRE 704 1920 736 1920
            BEGIN DISPLAY 704 1920 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH DIN0
            WIRE 1264 1728 1296 1728
        END BRANCH
        BEGIN BRANCH SCLK
            WIRE 1264 1664 1296 1664
        END BRANCH
        BEGIN BRANCH SYNC
            WIRE 1264 1696 1296 1696
        END BRANCH
        BEGIN BRANCH xROVDD(15:0)
            WIRE 1264 1760 1296 1760
            BEGIN DISPLAY 1296 1760 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN INSTANCE XLXI_2959 736 2272 R0
        END INSTANCE
        BEGIN BRANCH xCLK_1Hz
            WIRE 704 1984 736 1984
            BEGIN DISPLAY 704 1984 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xSCALER(15:0)
            WIRE 1216 1984 1248 1984
            BEGIN DISPLAY 1248 1984 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xDHIT
            WIRE 704 2016 736 2016
            BEGIN DISPLAY 704 2016 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xSOFT_TRIG
            WIRE 704 2048 736 2048
            BEGIN DISPLAY 704 2048 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xEXT_TRIG
            WIRE 704 2080 736 2080
            BEGIN DISPLAY 704 2080 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xRADDR(4:0)
            WIRE 704 2112 736 2112
            BEGIN DISPLAY 704 2112 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xCLR_ALL
            WIRE 704 2144 736 2144
            BEGIN DISPLAY 704 2144 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN INSTANCE XLXI_2934 800 2432 R0
        END INSTANCE
        BEGIN BRANCH xSGN
            WIRE 1232 2400 1264 2400
            BEGIN DISPLAY 1264 2400 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xEN_PED
            WIRE 1232 2368 1264 2368
            BEGIN DISPLAY 1264 2368 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xTERM(2:0)
            WIRE 1232 2336 1264 2336
            BEGIN DISPLAY 1264 2336 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xWBIAS(11:0)
            WIRE 1232 2304 1264 2304
            BEGIN DISPLAY 1264 2304 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xTHRES(11:0)
            WIRE 1232 2272 1264 2272
            BEGIN DISPLAY 1264 2272 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xPED_COL(4:0)
            WIRE 1232 2208 1264 2208
            BEGIN DISPLAY 1264 2208 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xPED_ROW(2:0)
            WIRE 1232 2240 1264 2240
            BEGIN DISPLAY 1264 2240 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xMAIN_DATA(15:0)
            WIRE 704 2400 736 2400
            BEGIN DISPLAY 704 2400 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xCLR_ALL
            WIRE 704 2368 736 2368
            BEGIN DISPLAY 704 2368 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xR_WR
            WIRE 704 2336 736 2336
            BEGIN DISPLAY 704 2336 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xSEL
            WIRE 704 2304 736 2304
            BEGIN DISPLAY 704 2304 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xDSTRB
            WIRE 704 2272 736 2272
            BEGIN DISPLAY 704 2272 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        IOMARKER 1296 1728 DIN0 R0 28
        IOMARKER 1296 1664 SCLK R0 28
        IOMARKER 1296 1696 SYNC R0 28
        BEGIN INSTANCE XLXI_2964 2336 1232 R0
        END INSTANCE
        BEGIN BRANCH xEXT_TRIG
            WIRE 3120 112 3152 112
            BEGIN DISPLAY 3152 112 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH MON0
            WIRE 2720 240 2752 240
        END BRANCH
        IOMARKER 2752 240 MON0 R0 28
        BEGIN BRANCH MON1
            WIRE 2720 304 2752 304
        END BRANCH
        IOMARKER 2752 304 MON1 R0 28
        BEGIN BRANCH MON2
            WIRE 2720 368 2752 368
        END BRANCH
        IOMARKER 2752 368 MON2 R0 28
        BEGIN BRANCH MON3
            WIRE 2720 432 2752 432
        END BRANCH
        IOMARKER 2752 432 MON3 R0 28
        BEGIN BRANCH MON4
            WIRE 2720 496 2752 496
        END BRANCH
        IOMARKER 2752 496 MON4 R0 28
        BEGIN BRANCH MON5
            WIRE 2720 560 2752 560
        END BRANCH
        IOMARKER 2752 560 MON5 R0 28
        BEGIN BRANCH MON6
            WIRE 2720 624 2752 624
        END BRANCH
        IOMARKER 2752 624 MON6 R0 28
        BEGIN BRANCH MON7
            WIRE 2720 688 2752 688
        END BRANCH
        IOMARKER 2752 688 MON7 R0 28
        BEGIN BRANCH MON8
            WIRE 2720 752 2752 752
        END BRANCH
        IOMARKER 2752 752 MON8 R0 28
        BEGIN BRANCH MON9
            WIRE 2720 816 2752 816
        END BRANCH
        IOMARKER 2752 816 MON9 R0 28
        BEGIN BRANCH MON10
            WIRE 2720 880 2752 880
        END BRANCH
        IOMARKER 2752 880 MON10 R0 28
        BEGIN BRANCH MON11
            WIRE 2720 944 2752 944
        END BRANCH
        IOMARKER 2752 944 MON11 R0 28
        BEGIN BRANCH MON12
            WIRE 2720 1008 2752 1008
        END BRANCH
        IOMARKER 2752 1008 MON12 R0 28
        BEGIN BRANCH MON13
            WIRE 2720 1072 2752 1072
        END BRANCH
        IOMARKER 2752 1072 MON13 R0 28
        BEGIN BRANCH MON14
            WIRE 2720 1136 2752 1136
        END BRANCH
        IOMARKER 2752 1136 MON14 R0 28
        BEGIN BRANCH MON15
            WIRE 2720 1200 2752 1200
        END BRANCH
        IOMARKER 2752 1200 MON15 R0 28
        INSTANCE XLXI_2965 2896 144 R0
        BEGIN BRANCH XLXN_888
            WIRE 2864 112 2896 112
        END BRANCH
        INSTANCE XLXI_2967 2736 48 R90
        BEGIN BRANCH xTTSA(0)
            WIRE 2304 432 2336 432
            BEGIN DISPLAY 2304 432 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xTSA_IN(1)
            WIRE 2304 368 2336 368
            BEGIN DISPLAY 2304 368 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xTSA_IN(0)
            WIRE 2304 304 2336 304
            BEGIN DISPLAY 2304 304 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xTTSA(1)
            WIRE 2304 496 2336 496
            BEGIN DISPLAY 2304 496 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xTTSA(2)
            WIRE 2304 560 2336 560
            BEGIN DISPLAY 2304 560 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xTTSA(3)
            WIRE 2304 624 2336 624
            BEGIN DISPLAY 2304 624 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xBTSA(0)
            WIRE 2304 688 2336 688
            BEGIN DISPLAY 2304 688 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xBTSA(1)
            WIRE 2304 752 2336 752
            BEGIN DISPLAY 2304 752 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xBTSA(2)
            WIRE 2304 816 2336 816
            BEGIN DISPLAY 2304 816 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xBTSA(3)
            WIRE 2304 880 2336 880
            BEGIN DISPLAY 2304 880 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH XLXN_897
            WIRE 2304 944 2336 944
        END BRANCH
        BEGIN BRANCH XLXN_898
            WIRE 2304 1008 2336 1008
        END BRANCH
        BEGIN BRANCH xADC_HIT
            WIRE 2304 1072 2336 1072
            BEGIN DISPLAY 2304 1072 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xTRIG
            WIRE 2304 1136 2336 1136
            BEGIN DISPLAY 2304 1136 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xDHIT
            WIRE 2304 1200 2336 1200
            BEGIN DISPLAY 2304 1200 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xCLK
            WIRE 2304 240 2336 240
            BEGIN DISPLAY 2304 240 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        INSTANCE XLXI_2976 2176 880 R90
        INSTANCE XLXI_2977 2176 944 R90
        BEGIN BRANCH FCLK
            WIRE 704 320 736 320
        END BRANCH
        BEGIN BRANCH FCLK_N
            WIRE 704 352 736 352
        END BRANCH
        BEGIN BRANCH TRIG
            WIRE 704 384 736 384
        END BRANCH
        BEGIN BRANCH BCLK
            WIRE 704 256 736 256
        END BRANCH
        BEGIN BRANCH BCLK_N
            WIRE 704 288 736 288
        END BRANCH
        BEGIN BRANCH TRIG_N
            WIRE 704 416 736 416
        END BRANCH
        BEGIN INSTANCE xCLK_MAIN 800 544 R0
        END INSTANCE
        BEGIN BRANCH xFCLK
            WIRE 1264 256 1296 256
            BEGIN DISPLAY 1296 256 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xCLK
            WIRE 1264 288 1296 288
            BEGIN DISPLAY 1296 288 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        IOMARKER 704 320 FCLK R180 28
        IOMARKER 704 352 FCLK_N R180 28
        IOMARKER 704 384 TRIG R180 28
        IOMARKER 704 256 BCLK R180 28
        IOMARKER 704 288 BCLK_N R180 28
        IOMARKER 704 416 TRIG_N R180 28
        BEGIN BRANCH xSOFT_TRIG
            WIRE 1264 384 1296 384
            BEGIN DISPLAY 1296 384 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xCLK_15MHz
            WIRE 1264 352 1280 352
            WIRE 1280 352 1296 352
            BEGIN DISPLAY 1296 352 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xCLK_1Hz
            WIRE 1264 416 1296 416
            BEGIN DISPLAY 1296 416 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xCLK_10Hz
            WIRE 1264 448 1296 448
            BEGIN DISPLAY 1296 448 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xCLK_100Hz
            WIRE 1264 480 1296 480
            BEGIN DISPLAY 1296 480 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xCLK_125MHz
            WIRE 1264 320 1296 320
            BEGIN DISPLAY 1296 320 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xCLK_125MHz
            WIRE 704 1120 720 1120
            WIRE 720 1120 736 1120
            BEGIN DISPLAY 704 1120 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xTRIG
            WIRE 1264 1472 1296 1472
            BEGIN DISPLAY 1296 1472 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xADC_HIT
            WIRE 1264 1568 1296 1568
            BEGIN DISPLAY 1296 1568 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xCLR_ALL
            WIRE 704 1184 720 1184
            WIRE 720 1184 736 1184
            BEGIN DISPLAY 704 1184 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xDONE
            WIRE 704 1216 720 1216
            WIRE 720 1216 736 1216
            BEGIN DISPLAY 704 1216 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xSLWR
            WIRE 704 1248 720 1248
            WIRE 720 1248 736 1248
            BEGIN DISPLAY 704 1248 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xSOFT_TRIG
            WIRE 704 1280 720 1280
            WIRE 720 1280 736 1280
            BEGIN DISPLAY 704 1280 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xDHIT
            WIRE 704 1344 720 1344
            WIRE 720 1344 736 1344
            BEGIN DISPLAY 704 1344 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xTOUT(15:0)
            WIRE 704 1408 720 1408
            WIRE 720 1408 736 1408
            BEGIN DISPLAY 704 1408 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xBOUT(15:0)
            WIRE 704 1440 720 1440
            WIRE 720 1440 736 1440
            BEGIN DISPLAY 704 1440 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xRADDR(15:0)
            WIRE 704 1472 720 1472
            WIRE 720 1472 736 1472
            BEGIN DISPLAY 704 1472 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xEN_PED
            WIRE 704 1376 736 1376
            BEGIN DISPLAY 704 1376 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xPED_COL(4:0)
            WIRE 704 1504 736 1504
            BEGIN DISPLAY 704 1504 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xPED_ROW(2:0)
            WIRE 704 1536 736 1536
            BEGIN DISPLAY 704 1536 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xSOFT_TRIG
            WIRE 704 1312 720 1312
            WIRE 720 1312 736 1312
            BEGIN DISPLAY 704 1312 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xCLK_15MHz
            WIRE 704 1152 720 1152
            WIRE 720 1152 736 1152
            BEGIN DISPLAY 704 1152 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
    END SHEET
END SCHEMATIC
