VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "spartan3"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL XLXN_74
        SIGNAL xCLK
        SIGNAL xCLR
        SIGNAL xOUT
        SIGNAL XLXN_142
        SIGNAL xIN
        SIGNAL XLXN_158
        SIGNAL XLXN_165
        SIGNAL XLXN_73
        SIGNAL XLXN_172
        SIGNAL XLXN_159
        PORT Input xCLK
        PORT Output xOUT
        PORT Input xIN
        BEGIN BLOCKDEF fdc
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -128 64 -128 
            LINE N 0 -32 64 -32 
            LINE N 0 -256 64 -256 
            LINE N 384 -256 320 -256 
            RECTANGLE N 64 -320 320 -64 
            LINE N 64 -112 80 -128 
            LINE N 80 -128 64 -144 
            LINE N 192 -64 192 -32 
            LINE N 192 -32 64 -32 
        END BLOCKDEF
        BEGIN BLOCKDEF vcc
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 64 -32 64 -64 
            LINE N 64 0 64 -32 
            LINE N 96 -64 32 -64 
        END BLOCKDEF
        BEGIN BLOCKDEF fd
            TIMESTAMP 2000 1 1 10 10 10
            RECTANGLE N 64 -320 320 -64 
            LINE N 0 -128 64 -128 
            LINE N 0 -256 64 -256 
            LINE N 384 -256 320 -256 
            LINE N 80 -128 64 -144 
            LINE N 64 -112 80 -128 
        END BLOCKDEF
        BEGIN BLOCKDEF fdc_1
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -128 40 -128 
            CIRCLE N 40 -140 64 -116 
            LINE N 64 -112 80 -128 
            LINE N 80 -128 64 -144 
            LINE N 384 -256 320 -256 
            LINE N 0 -256 64 -256 
            LINE N 0 -32 64 -32 
            RECTANGLE N 64 -320 320 -64 
            LINE N 192 -64 192 -32 
            LINE N 192 -32 64 -32 
        END BLOCKDEF
        BEGIN BLOCKDEF buf
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -32 64 -32 
            LINE N 224 -32 128 -32 
            LINE N 64 0 128 -32 
            LINE N 128 -32 64 -64 
            LINE N 64 -64 64 0 
        END BLOCKDEF
        BEGIN BLOCK XLXI_20 fdc
            PIN C xCLK
            PIN CLR xCLR
            PIN D xOUT
            PIN Q XLXN_74
        END BLOCK
        BEGIN BLOCK XLXI_1 fdc
            PIN C xIN
            PIN CLR xCLR
            PIN D XLXN_142
            PIN Q XLXN_158
        END BLOCK
        BEGIN BLOCK XLXI_76 vcc
            PIN P XLXN_142
        END BLOCK
        BEGIN BLOCK XLXI_77 fdc_1
            PIN C xCLK
            PIN CLR xCLR
            PIN D XLXN_74
            PIN Q XLXN_172
        END BLOCK
        BEGIN BLOCK XLXI_83 buf
            PIN I XLXN_158
            PIN O xOUT
        END BLOCK
        BEGIN BLOCK XLXI_87 fdc
            PIN C xCLK
            PIN CLR xCLR
            PIN D XLXN_172
            PIN Q XLXN_165
        END BLOCK
        BEGIN BLOCK XLXI_88 fdc_1
            PIN C xCLK
            PIN CLR xCLR
            PIN D XLXN_165
            PIN Q XLXN_73
        END BLOCK
        BEGIN BLOCK XLXI_84 buf
            PIN I XLXN_159
            PIN O xCLR
        END BLOCK
        BEGIN BLOCK XLXI_4 fd
            PIN C xCLK
            PIN D XLXN_73
            PIN Q XLXN_159
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 2720 1760
        BEGIN BRANCH XLXN_74
            WIRE 528 704 560 704
            WIRE 560 704 576 704
        END BRANCH
        BEGIN BRANCH xCLK
            WIRE 544 832 576 832
            BEGIN DISPLAY 544 832 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xCLR
            WIRE 544 928 576 928
            BEGIN DISPLAY 544 928 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        INSTANCE XLXI_20 144 960 R0
        BEGIN BRANCH xCLK
            WIRE 112 832 144 832
        END BRANCH
        BEGIN BRANCH xCLR
            WIRE 112 928 144 928
            BEGIN DISPLAY 112 928 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xOUT
            WIRE 112 704 144 704
            BEGIN DISPLAY 112 704 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        INSTANCE XLXI_1 576 592 R0
        BEGIN BRANCH xCLR
            WIRE 544 560 576 560
            BEGIN DISPLAY 544 560 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH XLXN_142
            WIRE 544 336 576 336
        END BRANCH
        INSTANCE XLXI_76 544 400 R270
        BEGIN BRANCH xIN
            WIRE 544 464 576 464
        END BRANCH
        INSTANCE XLXI_77 576 960 R0
        BEGIN BRANCH XLXN_158
            WIRE 960 336 992 336
        END BRANCH
        INSTANCE XLXI_83 992 368 R0
        BEGIN BRANCH xOUT
            WIRE 1216 336 1248 336
        END BRANCH
        IOMARKER 112 832 xCLK R180 28
        IOMARKER 544 464 xIN R180 28
        IOMARKER 1248 336 xOUT R0 28
        BEGIN BRANCH XLXN_165
            WIRE 1472 704 1504 704
            WIRE 1504 704 1520 704
        END BRANCH
        BEGIN BRANCH xCLK
            WIRE 1488 832 1520 832
            BEGIN DISPLAY 1488 832 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xCLR
            WIRE 1488 928 1520 928
            BEGIN DISPLAY 1488 928 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xCLK
            WIRE 1056 832 1088 832
            BEGIN DISPLAY 1056 832 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xCLR
            WIRE 1056 928 1088 928
            BEGIN DISPLAY 1056 928 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        INSTANCE XLXI_88 1520 960 R0
        BEGIN BRANCH XLXN_73
            WIRE 1904 704 1920 704
            WIRE 1920 704 1952 704
            WIRE 1952 704 1968 704
            WIRE 1968 704 2000 704
        END BRANCH
        INSTANCE XLXI_87 1088 960 R0
        BEGIN BRANCH XLXN_172
            WIRE 960 704 1088 704
        END BRANCH
        BEGIN BRANCH xCLK
            WIRE 1968 832 2000 832
            BEGIN DISPLAY 1968 832 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH XLXN_159
            WIRE 2384 704 2416 704
        END BRANCH
        INSTANCE XLXI_84 2416 736 R0
        BEGIN BRANCH xCLR
            WIRE 2640 704 2672 704
            BEGIN DISPLAY 2672 704 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        INSTANCE XLXI_4 2000 960 R0
    END SHEET
END SCHEMATIC
