--------------------------------------------------------------------------------
-- Copyright (c) 1995-2008 Xilinx, Inc.  All rights reserved.
--------------------------------------------------------------------------------
--   ____  ____ 
--  /   /\/   / 
-- /___/  \  /    Vendor: Xilinx 
-- \   \   \/     Version : 10.1.03
--  \   \         Application : sch2vhdl
--  /   /         Filename : TARGET_IO.vhf
-- /___/   /\     Timestamp : 05/04/2010 13:07:11
-- \   \  /  \ 
--  \___\/\___\ 
--
--Command: C:\Xilinx\10.1\ISE\bin\nt\unwrapped\sch2vhdl.exe -intstyle ise -family spartan3 -flat -suppress -w C:/Xilinx/10.1/ISE/FIRMWAREprojects/CREAM/MCP_TARGET/MCP_TARGETv03/src/TARGET_IO.sch TARGET_IO.vhf
--Design Name: TARGET_IO
--Device: spartan3
--Purpose:
--    This vhdl netlist is translated from an ECS schematic. It can be 
--    synthesis and simulted, but it should not be modified. 
--

library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
library UNISIM;
use UNISIM.Vcomponents.ALL;

entity IBUF16_MXILINX_TARGET_IO is
   port ( I : in    std_logic_vector (15 downto 0); 
          O : out   std_logic_vector (15 downto 0));
end IBUF16_MXILINX_TARGET_IO;

architecture BEHAVIORAL of IBUF16_MXILINX_TARGET_IO is
   attribute IOSTANDARD : string ;
   attribute BOX_TYPE   : string ;
   component IBUF
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute IOSTANDARD of IBUF : component is "DEFAULT";
   attribute BOX_TYPE of IBUF : component is "BLACK_BOX";
   
begin
   I_36_30 : IBUF
      port map (I=>I(8),
                O=>O(8));
   
   I_36_31 : IBUF
      port map (I=>I(9),
                O=>O(9));
   
   I_36_32 : IBUF
      port map (I=>I(10),
                O=>O(10));
   
   I_36_33 : IBUF
      port map (I=>I(11),
                O=>O(11));
   
   I_36_34 : IBUF
      port map (I=>I(15),
                O=>O(15));
   
   I_36_35 : IBUF
      port map (I=>I(14),
                O=>O(14));
   
   I_36_36 : IBUF
      port map (I=>I(13),
                O=>O(13));
   
   I_36_37 : IBUF
      port map (I=>I(12),
                O=>O(12));
   
   I_36_38 : IBUF
      port map (I=>I(4),
                O=>O(4));
   
   I_36_39 : IBUF
      port map (I=>I(5),
                O=>O(5));
   
   I_36_40 : IBUF
      port map (I=>I(6),
                O=>O(6));
   
   I_36_41 : IBUF
      port map (I=>I(7),
                O=>O(7));
   
   I_36_42 : IBUF
      port map (I=>I(3),
                O=>O(3));
   
   I_36_43 : IBUF
      port map (I=>I(2),
                O=>O(2));
   
   I_36_44 : IBUF
      port map (I=>I(1),
                O=>O(1));
   
   I_36_45 : IBUF
      port map (I=>I(0),
                O=>O(0));
   
end BEHAVIORAL;



library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
library UNISIM;
use UNISIM.Vcomponents.ALL;

entity TARGET_IO is
   port ( BOUT     : in    std_logic_vector (15 downto 0); 
          RCO      : in    std_logic; 
          TOUT     : in    std_logic_vector (15 downto 0); 
          TRG_SUM  : in    std_logic; 
          xBTSA    : in    std_logic_vector (3 downto 0); 
          xCOL_S   : in    std_logic_vector (4 downto 0); 
          xNRUN    : in    std_logic; 
          xRAMP    : in    std_logic; 
          xROW_S   : in    std_logic_vector (5 downto 0); 
          xSGN     : in    std_logic; 
          xTERM    : in    std_logic_vector (2 downto 0); 
          xTSA_IN  : in    std_logic_vector (1 downto 0); 
          xTTSA    : in    std_logic_vector (3 downto 0); 
          ALL_ROW  : out   std_logic; 
          BTSA     : out   std_logic_vector (3 downto 0); 
          COL_S    : out   std_logic_vector (4 downto 0); 
          MUX_RAW  : out   std_logic; 
          RAMP     : out   std_logic; 
          RF_SEL   : out   std_logic_vector (2 downto 0); 
          ROW_S    : out   std_logic_vector (5 downto 0); 
          SGN      : out   std_logic; 
          TSA_IN   : out   std_logic_vector (1 downto 0); 
          TTSA     : out   std_logic_vector (3 downto 0); 
          xBOUT    : out   std_logic_vector (15 downto 0); 
          xRCO     : out   std_logic; 
          xTOUT    : out   std_logic_vector (15 downto 0); 
          xTRG_SUM : out   std_logic);
end TARGET_IO;

architecture BEHAVIORAL of TARGET_IO is
   attribute HU_SET     : string ;
   attribute IOSTANDARD : string ;
   attribute SLEW       : string ;
   attribute DRIVE      : string ;
   attribute BOX_TYPE   : string ;
   signal XLXN_19  : std_logic;
   signal XLXN_26  : std_logic;
   signal XLXN_29  : std_logic;
   signal XLXN_30  : std_logic;
   component IBUF16_MXILINX_TARGET_IO
      port ( I : in    std_logic_vector (15 downto 0); 
             O : out   std_logic_vector (15 downto 0));
   end component;
   
   component OBUF4X
      port ( I : in    std_logic_vector (3 downto 0); 
             O : out   std_logic_vector (3 downto 0));
   end component;
   
   component OBUF3
      port ( I : in    std_logic_vector (2 downto 0); 
             O : out   std_logic_vector (2 downto 0));
   end component;
   
   component OBUF5
      port ( I : in    std_logic_vector (4 downto 0); 
             O : out   std_logic_vector (4 downto 0));
   end component;
   
   component OBUF6
      port ( I : in    std_logic_vector (5 downto 0); 
             O : out   std_logic_vector (5 downto 0));
   end component;
   
   component OBUF
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute IOSTANDARD of OBUF : component is "DEFAULT";
   attribute SLEW of OBUF : component is "SLOW";
   attribute DRIVE of OBUF : component is "12";
   attribute BOX_TYPE of OBUF : component is "BLACK_BOX";
   
   component OBUF2
      port ( I : in    std_logic_vector (1 downto 0); 
             O : out   std_logic_vector (1 downto 0));
   end component;
   
   component IBUF
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute IOSTANDARD of IBUF : component is "DEFAULT";
   attribute BOX_TYPE of IBUF : component is "BLACK_BOX";
   
   component BUF
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute BOX_TYPE of BUF : component is "BLACK_BOX";
   
   component INV
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute BOX_TYPE of INV : component is "BLACK_BOX";
   
   component GND
      port ( G : out   std_logic);
   end component;
   attribute BOX_TYPE of GND : component is "BLACK_BOX";
   
   attribute HU_SET of XLXI_1 : label is "XLXI_1_0";
   attribute HU_SET of XLXI_2 : label is "XLXI_2_1";
begin
   XLXI_1 : IBUF16_MXILINX_TARGET_IO
      port map (I(15 downto 0)=>TOUT(15 downto 0),
                O(15 downto 0)=>xTOUT(15 downto 0));
   
   XLXI_2 : IBUF16_MXILINX_TARGET_IO
      port map (I(15 downto 0)=>BOUT(15 downto 0),
                O(15 downto 0)=>xBOUT(15 downto 0));
   
   XLXI_4 : OBUF4X
      port map (I(3 downto 0)=>xTTSA(3 downto 0),
                O(3 downto 0)=>TTSA(3 downto 0));
   
   XLXI_5 : OBUF4X
      port map (I(3 downto 0)=>xBTSA(3 downto 0),
                O(3 downto 0)=>BTSA(3 downto 0));
   
   XLXI_6 : OBUF3
      port map (I(2 downto 0)=>xTERM(2 downto 0),
                O(2 downto 0)=>RF_SEL(2 downto 0));
   
   XLXI_7 : OBUF5
      port map (I(4 downto 0)=>xCOL_S(4 downto 0),
                O(4 downto 0)=>COL_S(4 downto 0));
   
   XLXI_8 : OBUF6
      port map (I(5 downto 0)=>xROW_S(5 downto 0),
                O(5 downto 0)=>ROW_S(5 downto 0));
   
   XLXI_9 : OBUF
      port map (I=>xNRUN,
                O=>ALL_ROW);
   
   XLXI_10 : OBUF2
      port map (I(1 downto 0)=>xTSA_IN(1 downto 0),
                O(1 downto 0)=>TSA_IN(1 downto 0));
   
   XLXI_11 : IBUF
      port map (I=>RCO,
                O=>XLXN_29);
   
   XLXI_12 : BUF
      port map (I=>XLXN_19,
                O=>xRCO);
   
   XLXI_15 : IBUF
      port map (I=>TRG_SUM,
                O=>XLXN_26);
   
   XLXI_16 : BUF
      port map (I=>XLXN_26,
                O=>xTRG_SUM);
   
   XLXI_17 : OBUF
      port map (I=>XLXN_30,
                O=>MUX_RAW);
   
   XLXI_18 : OBUF
      port map (I=>xSGN,
                O=>SGN);
   
   XLXI_19 : OBUF
      port map (I=>xRAMP,
                O=>RAMP);
   
   XLXI_21 : INV
      port map (I=>XLXN_29,
                O=>XLXN_19);
   
   XLXI_22 : GND
      port map (G=>XLXN_30);
   
end BEHAVIORAL;


