--------------------------------------------------------------------------------
-- Copyright (c) 1995-2008 Xilinx, Inc.  All rights reserved.
--------------------------------------------------------------------------------
--   ____  ____ 
--  /   /\/   / 
-- /___/  \  /    Vendor: Xilinx 
-- \   \   \/     Version : 10.1.03
--  \   \         Application : sch2vhdl
--  /   /         Filename : TOP.vhf
-- /___/   /\     Timestamp : 05/04/2010 13:07:12
-- \   \  /  \ 
--  \___\/\___\ 
--
--Command: C:\Xilinx\10.1\ISE\bin\nt\unwrapped\sch2vhdl.exe -intstyle ise -family spartan3 -flat -suppress -w C:/Xilinx/10.1/ISE/FIRMWAREprojects/CREAM/MCP_TARGET/MCP_TARGETv03/src/TOP.sch TOP.vhf
--Design Name: TOP
--Device: spartan3
--Purpose:
--    This vhdl netlist is translated from an ECS schematic. It can be 
--    synthesis and simulted, but it should not be modified. 
--

library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
library UNISIM;
use UNISIM.Vcomponents.ALL;

entity TOP is
   port ( BCLK      : in    std_logic; 
          BCLK_N    : in    std_logic; 
          BOUT      : in    std_logic_vector (15 downto 0); 
          CLR       : in    std_logic; 
          CLR_ALL   : in    std_logic; 
          DSTRB     : in    std_logic; 
          FCLK      : in    std_logic; 
          FCLK_N    : in    std_logic; 
          RCO       : in    std_logic; 
          REF_CLK_N : in    std_logic; 
          REF_CLK_P : in    std_logic; 
          REV_N     : in    std_logic; 
          REV_P     : in    std_logic; 
          R_WR      : in    std_logic; 
          SEL       : in    std_logic; 
          SPA_N     : in    std_logic; 
          SPA_P     : in    std_logic; 
          TOUT      : in    std_logic_vector (15 downto 0); 
          TRG_SUM   : in    std_logic; 
          TRIG      : in    std_logic; 
          TRIG_N    : in    std_logic; 
          ALL_ROW   : out   std_logic; 
          BTSA      : out   std_logic_vector (3 downto 0); 
          COL_S     : out   std_logic_vector (4 downto 0); 
          DIN0      : out   std_logic; 
          INTR      : out   std_logic; 
          MON0      : out   std_logic; 
          MON1      : out   std_logic; 
          MON2      : out   std_logic; 
          MON3      : out   std_logic; 
          MON4      : out   std_logic; 
          MON5      : out   std_logic; 
          MON6      : out   std_logic; 
          MON7      : out   std_logic; 
          MON8      : out   std_logic; 
          MON9      : out   std_logic; 
          MON10     : out   std_logic; 
          MON11     : out   std_logic; 
          MON12     : out   std_logic; 
          MON13     : out   std_logic; 
          MON14     : out   std_logic; 
          MON15     : out   std_logic; 
          MUX_RAW   : out   std_logic; 
          RAMP      : out   std_logic; 
          RF_SEL    : out   std_logic_vector (2 downto 0); 
          ROW_S     : out   std_logic_vector (5 downto 0); 
          SCLK      : out   std_logic; 
          SGN       : out   std_logic; 
          SPB_N     : out   std_logic; 
          SPB_P     : out   std_logic; 
          SYNC      : out   std_logic; 
          TSA_IN    : out   std_logic_vector (1 downto 0); 
          TTSA      : out   std_logic_vector (3 downto 0); 
          AD        : inout std_logic_vector (15 downto 0));
end TOP;

architecture BEHAVIORAL of TOP is
   attribute BOX_TYPE   : string ;
   signal xADC_B      : std_logic_vector (15 downto 0);
   signal xADC_HIT    : std_logic;
   signal xADC_T      : std_logic_vector (15 downto 0);
   signal xBOUT       : std_logic_vector (15 downto 0);
   signal xBTSA       : std_logic_vector (3 downto 0);
   signal xCLK        : std_logic;
   signal xCLK_1Hz    : std_logic;
   signal xCLK_10Hz   : std_logic;
   signal xCLK_15MHz  : std_logic;
   signal xCLK_100Hz  : std_logic;
   signal xCLK_125MHz : std_logic;
   signal xCLR_ALL    : std_logic;
   signal xCOL_S      : std_logic_vector (4 downto 0);
   signal xCOL_SEL    : std_logic_vector (4 downto 0);
   signal xDHIT       : std_logic;
   signal xDONE       : std_logic;
   signal xDSTRB      : std_logic;
   signal xEN_PED     : std_logic;
   signal xEXT_TRIG   : std_logic;
   signal xFCLK       : std_logic;
   signal XLXN_888    : std_logic;
   signal XLXN_897    : std_logic;
   signal XLXN_898    : std_logic;
   signal xMAIN_DATA  : std_logic_vector (15 downto 0);
   signal xMEM_LOCK   : std_logic;
   signal xNRUN       : std_logic;
   signal xPED_COL    : std_logic_vector (4 downto 0);
   signal xPED_ROW    : std_logic_vector (2 downto 0);
   signal xRADDR      : std_logic_vector (15 downto 0);
   signal xRAMP       : std_logic;
   signal xRCO        : std_logic;
   signal xROVDD      : std_logic_vector (15 downto 0);
   signal xROW_S      : std_logic_vector (5 downto 0);
   signal xROW_SEL    : std_logic_vector (2 downto 0);
   signal xR_WR       : std_logic;
   signal xSCALER     : std_logic_vector (15 downto 0);
   signal xSEL        : std_logic;
   signal xSGN        : std_logic;
   signal xSLAVE_DATA : std_logic_vector (15 downto 0);
   signal xSLWR       : std_logic;
   signal xSOFT_TRIG  : std_logic;
   signal xSTART      : std_logic;
   signal xTERM       : std_logic_vector (2 downto 0);
   signal xTHRES      : std_logic_vector (11 downto 0);
   signal xTOUT       : std_logic_vector (15 downto 0);
   signal xTRIG       : std_logic;
   signal xTSA_IN     : std_logic_vector (1 downto 0);
   signal xTTSA       : std_logic_vector (3 downto 0);
   signal xWBIAS      : std_logic_vector (11 downto 0);
   component CLK_MAIN
      port ( BCLK        : in    std_logic; 
             FCLK        : in    std_logic; 
             FCLK_N      : in    std_logic; 
             TRIG        : in    std_logic; 
             TRIG_N      : in    std_logic; 
             BCLK_N      : in    std_logic; 
             xCLK        : out   std_logic; 
             xFCLK       : out   std_logic; 
             xCLK_15MHz  : out   std_logic; 
             xTRIG       : out   std_logic; 
             xCLK_1Hz    : out   std_logic; 
             xCLK_10Hz   : out   std_logic; 
             xCLK_100Hz  : out   std_logic; 
             xCLK_1kHz   : out   std_logic; 
             xCLK_125MHz : out   std_logic);
   end component;
   
   component TARGET_IO
      port ( TOUT     : in    std_logic_vector (15 downto 0); 
             BOUT     : in    std_logic_vector (15 downto 0); 
             xTERM    : in    std_logic_vector (2 downto 0); 
             xTTSA    : in    std_logic_vector (3 downto 0); 
             xBTSA    : in    std_logic_vector (3 downto 0); 
             xCOL_S   : in    std_logic_vector (4 downto 0); 
             xROW_S   : in    std_logic_vector (5 downto 0); 
             xNRUN    : in    std_logic; 
             xTSA_IN  : in    std_logic_vector (1 downto 0); 
             RCO      : in    std_logic; 
             xTOUT    : out   std_logic_vector (15 downto 0); 
             xBOUT    : out   std_logic_vector (15 downto 0); 
             RF_SEL   : out   std_logic_vector (2 downto 0); 
             TTSA     : out   std_logic_vector (3 downto 0); 
             BTSA     : out   std_logic_vector (3 downto 0); 
             COL_S    : out   std_logic_vector (4 downto 0); 
             ROW_S    : out   std_logic_vector (5 downto 0); 
             ALL_ROW  : out   std_logic; 
             TSA_IN   : out   std_logic_vector (1 downto 0); 
             xRCO     : out   std_logic; 
             TRG_SUM  : in    std_logic; 
             xTRG_SUM : out   std_logic; 
             MUX_RAW  : out   std_logic; 
             SGN      : out   std_logic; 
             RAMP     : out   std_logic; 
             xSGN     : in    std_logic; 
             xRAMP    : in    std_logic);
   end component;
   
   component MESS
      port ( xDSTRB        : in    std_logic; 
             xSEL          : in    std_logic; 
             xR_WR         : in    std_logic; 
             xDONE         : in    std_logic; 
             xCLR_ALL      : in    std_logic; 
             xEN_PED       : in    std_logic; 
             xSLAVE_DATA   : out   std_logic_vector (15 downto 0); 
             xRADDR        : out   std_logic_vector (15 downto 0); 
             xPED_ROW_ADDR : in    std_logic_vector (2 downto 0); 
             xPED_COL_ADDR : in    std_logic_vector (4 downto 0); 
             xADC_B        : in    std_logic_vector (15 downto 0); 
             xSCALER       : in    std_logic_vector (15 downto 0); 
             xTHRES        : in    std_logic_vector (11 downto 0); 
             xROVDD        : in    std_logic_vector (11 downto 0); 
             xROW_SEL      : in    std_logic_vector (2 downto 0); 
             xCOL_SEL      : in    std_logic_vector (4 downto 0); 
             xWBIAS        : in    std_logic_vector (11 downto 0); 
             xTERM         : in    std_logic_vector (2 downto 0); 
             xSGN          : in    std_logic; 
             xHITBIT       : in    std_logic; 
             xADC_T        : in    std_logic_vector (15 downto 0); 
             xSLWR         : out   std_logic);
   end component;
   
   component DAC_MAIN
      port ( xCLK        : in    std_logic; 
             xCLK_15MHz  : in    std_logic; 
             xCLK_100Hz  : in    std_logic; 
             xCLK_10Hz   : in    std_logic; 
             xCLK_1Hz    : in    std_logic; 
             xCLR_ALL    : in    std_logic; 
             xRCO        : in    std_logic; 
             DIN0        : out   std_logic; 
             xROVDD      : out   std_logic_vector (15 downto 0); 
             SYNC        : out   std_logic; 
             SCLK        : out   std_logic; 
             xTRIG_THRES : in    std_logic_vector (11 downto 0); 
             xWBIAS      : in    std_logic_vector (11 downto 0));
   end component;
   
   component MAIN_IO
      port ( SEL         : in    std_logic; 
             CLR         : in    std_logic; 
             CLR_ALL     : in    std_logic; 
             xSTART      : in    std_logic; 
             R_WR        : in    std_logic; 
             DSTRB       : in    std_logic; 
             xSLAVE_DATA : in    std_logic_vector (15 downto 0); 
             AD          : inout std_logic_vector (15 downto 0); 
             INTR        : out   std_logic; 
             xMAIN_DATA  : out   std_logic_vector (15 downto 0); 
             xSEL        : out   std_logic; 
             xR_WR       : out   std_logic; 
             xDSTRB      : out   std_logic; 
             xDONE       : out   std_logic; 
             xCLR_ALL    : out   std_logic; 
             REF_CLK_P   : in    std_logic; 
             REF_CLK_N   : in    std_logic; 
             xCLK        : in    std_logic; 
             REV_P       : in    std_logic; 
             REV_N       : in    std_logic; 
             xSPA        : out   std_logic; 
             SPB_P       : out   std_logic; 
             SPB_N       : out   std_logic; 
             xREF_CLK    : out   std_logic; 
             xREV        : out   std_logic; 
             SPA_P       : in    std_logic; 
             SPA_N       : in    std_logic);
   end component;
   
   component MAIN_REG
      port ( xPED_ROW_ADDR : out   std_logic_vector (2 downto 0); 
             xPED_COL_ADDR : out   std_logic_vector (4 downto 0); 
             xTHRES        : out   std_logic_vector (11 downto 0); 
             xWBIAS        : out   std_logic_vector (11 downto 0); 
             xTERM         : out   std_logic_vector (2 downto 0); 
             xEN_PED       : out   std_logic; 
             xSGN          : out   std_logic; 
             xDSTRB        : in    std_logic; 
             xSEL          : in    std_logic; 
             xR_WR         : in    std_logic; 
             xCLR_ALL      : in    std_logic; 
             xMAIN_DATA    : in    std_logic_vector (15 downto 0));
   end component;
   
   component SCALER_TOP
      port ( xCLK_1Hz   : in    std_logic; 
             xSCALER    : out   std_logic_vector (15 downto 0); 
             xDHIT      : in    std_logic; 
             xSOFT_TRIG : in    std_logic; 
             xEXT_TRIG  : in    std_logic; 
             xRADDR     : in    std_logic_vector (4 downto 0); 
             xCLR_ALL   : in    std_logic);
   end component;
   
   component MON_HDR
      port ( xMON0  : in    std_logic; 
             xMON1  : in    std_logic; 
             xMON2  : in    std_logic; 
             xMON3  : in    std_logic; 
             xMON4  : in    std_logic; 
             xMON5  : in    std_logic; 
             xMON6  : in    std_logic; 
             xMON7  : in    std_logic; 
             xMON8  : in    std_logic; 
             xMON9  : in    std_logic; 
             xMON10 : in    std_logic; 
             xMON11 : in    std_logic; 
             xMON12 : in    std_logic; 
             xMON13 : in    std_logic; 
             xMON14 : in    std_logic; 
             xMON15 : in    std_logic; 
             MON0   : out   std_logic; 
             MON1   : out   std_logic; 
             MON2   : out   std_logic; 
             MON3   : out   std_logic; 
             MON4   : out   std_logic; 
             MON5   : out   std_logic; 
             MON6   : out   std_logic; 
             MON7   : out   std_logic; 
             MON8   : out   std_logic; 
             MON9   : out   std_logic; 
             MON10  : out   std_logic; 
             MON11  : out   std_logic; 
             MON12  : out   std_logic; 
             MON13  : out   std_logic; 
             MON14  : out   std_logic; 
             MON15  : out   std_logic);
   end component;
   
   component BUF
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute BOX_TYPE of BUF : component is "BLACK_BOX";
   
   component GND
      port ( G : out   std_logic);
   end component;
   attribute BOX_TYPE of GND : component is "BLACK_BOX";
   
   component TARGET_TOP
      port ( xFCLK       : in    std_logic; 
             xCLK        : in    std_logic; 
             xTTSA       : out   std_logic_vector (3 downto 0); 
             xCOL_S      : out   std_logic_vector (4 downto 0); 
             xROW_S      : out   std_logic_vector (5 downto 0); 
             xMEM_LOCK   : out   std_logic; 
             xNRUN       : out   std_logic; 
             xRAMP       : out   std_logic; 
             xSTART      : out   std_logic; 
             xBTSA       : out   std_logic_vector (3 downto 0); 
             xTSA_SEL    : out   std_logic_vector (1 downto 0); 
             xROW_SEL    : out   std_logic_vector (2 downto 0); 
             xCOL_SEL    : out   std_logic_vector (4 downto 0); 
             xADC_T      : out   std_logic_vector (15 downto 0); 
             xADC_B      : out   std_logic_vector (15 downto 0); 
             xTRIG       : out   std_logic; 
             xTRACK_COL  : out   std_logic_vector (4 downto 0); 
             xLOCK_COL   : out   std_logic_vector (4 downto 0); 
             xADC_HIT    : out   std_logic; 
             xLOCK_ROW   : out   std_logic_vector (2 downto 0); 
             xCLK_125MHz : in    std_logic; 
             xCLR_ALL    : in    std_logic; 
             xDONE       : in    std_logic; 
             xSLWR       : in    std_logic; 
             xSOFT_TRIG  : in    std_logic; 
             xEXT_TRIG   : in    std_logic; 
             xDHIT       : in    std_logic; 
             xEN_PED     : in    std_logic; 
             xTOUT       : in    std_logic_vector (15 downto 0); 
             xBOUT       : in    std_logic_vector (15 downto 0); 
             xRADDR      : in    std_logic_vector (15 downto 0); 
             xPED_COL    : in    std_logic_vector (4 downto 0); 
             xPED_ROW    : in    std_logic_vector (2 downto 0); 
             xCLK_15MHz  : in    std_logic);
   end component;
   
begin
   xCLK_MAIN : CLK_MAIN
      port map (BCLK=>BCLK,
                BCLK_N=>BCLK_N,
                FCLK=>FCLK,
                FCLK_N=>FCLK_N,
                TRIG=>TRIG,
                TRIG_N=>TRIG_N,
                xCLK=>xCLK,
                xCLK_1Hz=>xCLK_1Hz,
                xCLK_1kHz=>open,
                xCLK_10Hz=>xCLK_10Hz,
                xCLK_15MHz=>xCLK_15MHz,
                xCLK_100Hz=>xCLK_100Hz,
                xCLK_125MHz=>xCLK_125MHz,
                xFCLK=>xFCLK,
                xTRIG=>xSOFT_TRIG);
   
   XLXI_20 : TARGET_IO
      port map (BOUT(15 downto 0)=>BOUT(15 downto 0),
                RCO=>RCO,
                TOUT(15 downto 0)=>TOUT(15 downto 0),
                TRG_SUM=>TRG_SUM,
                xBTSA(3 downto 0)=>xBTSA(3 downto 0),
                xCOL_S(4 downto 0)=>xCOL_S(4 downto 0),
                xNRUN=>xNRUN,
                xRAMP=>xRAMP,
                xROW_S(5 downto 0)=>xROW_S(5 downto 0),
                xSGN=>xSGN,
                xTERM(2 downto 0)=>xTERM(2 downto 0),
                xTSA_IN(1 downto 0)=>xTSA_IN(1 downto 0),
                xTTSA(3 downto 0)=>xTTSA(3 downto 0),
                ALL_ROW=>ALL_ROW,
                BTSA(3 downto 0)=>BTSA(3 downto 0),
                COL_S(4 downto 0)=>COL_S(4 downto 0),
                MUX_RAW=>MUX_RAW,
                RAMP=>RAMP,
                RF_SEL(2 downto 0)=>RF_SEL(2 downto 0),
                ROW_S(5 downto 0)=>ROW_S(5 downto 0),
                SGN=>SGN,
                TSA_IN(1 downto 0)=>TSA_IN(1 downto 0),
                TTSA(3 downto 0)=>TTSA(3 downto 0),
                xBOUT(15 downto 0)=>xBOUT(15 downto 0),
                xRCO=>xRCO,
                xTOUT(15 downto 0)=>xTOUT(15 downto 0),
                xTRG_SUM=>xDHIT);
   
   XLXI_2520 : MESS
      port map (xADC_B(15 downto 0)=>xADC_B(15 downto 0),
                xADC_T(15 downto 0)=>xADC_T(15 downto 0),
                xCLR_ALL=>xCLR_ALL,
                xCOL_SEL(4 downto 0)=>xCOL_SEL(4 downto 0),
                xDONE=>xDONE,
                xDSTRB=>xDSTRB,
                xEN_PED=>xEN_PED,
                xHITBIT=>xMEM_LOCK,
                xPED_COL_ADDR(4 downto 0)=>xPED_COL(4 downto 0),
                xPED_ROW_ADDR(2 downto 0)=>xPED_ROW(2 downto 0),
                xROVDD(11 downto 0)=>xROVDD(11 downto 0),
                xROW_SEL(2 downto 0)=>xROW_SEL(2 downto 0),
                xR_WR=>xR_WR,
                xSCALER(15 downto 0)=>xSCALER(15 downto 0),
                xSEL=>xSEL,
                xSGN=>xSGN,
                xTERM(2 downto 0)=>xTERM(2 downto 0),
                xTHRES(11 downto 0)=>xTHRES(11 downto 0),
                xWBIAS(11 downto 0)=>xWBIAS(11 downto 0),
                xRADDR(15 downto 0)=>xRADDR(15 downto 0),
                xSLAVE_DATA(15 downto 0)=>xSLAVE_DATA(15 downto 0),
                xSLWR=>xSLWR);
   
   XLXI_2840 : DAC_MAIN
      port map (xCLK=>xCLK,
                xCLK_1Hz=>xCLK_1Hz,
                xCLK_10Hz=>xCLK_10Hz,
                xCLK_15MHz=>xCLK_15MHz,
                xCLK_100Hz=>xCLK_100Hz,
                xCLR_ALL=>xCLR_ALL,
                xRCO=>xRCO,
                xTRIG_THRES(11 downto 0)=>xTHRES(11 downto 0),
                xWBIAS(11 downto 0)=>xWBIAS(11 downto 0),
                DIN0=>DIN0,
                SCLK=>SCLK,
                SYNC=>SYNC,
                xROVDD(15 downto 0)=>xROVDD(15 downto 0));
   
   XLXI_2933 : MAIN_IO
      port map (CLR=>CLR,
                CLR_ALL=>CLR_ALL,
                DSTRB=>DSTRB,
                REF_CLK_N=>REF_CLK_N,
                REF_CLK_P=>REF_CLK_P,
                REV_N=>REV_N,
                REV_P=>REV_P,
                R_WR=>R_WR,
                SEL=>SEL,
                SPA_N=>SPA_N,
                SPA_P=>SPA_P,
                xCLK=>xCLK,
                xSLAVE_DATA(15 downto 0)=>xSLAVE_DATA(15 downto 0),
                xSTART=>xSTART,
                INTR=>INTR,
                SPB_N=>SPB_N,
                SPB_P=>SPB_P,
                xCLR_ALL=>xCLR_ALL,
                xDONE=>xDONE,
                xDSTRB=>xDSTRB,
                xMAIN_DATA(15 downto 0)=>xMAIN_DATA(15 downto 0),
                xREF_CLK=>open,
                xREV=>open,
                xR_WR=>xR_WR,
                xSEL=>xSEL,
                xSPA=>open,
                AD(15 downto 0)=>AD(15 downto 0));
   
   XLXI_2934 : MAIN_REG
      port map (xCLR_ALL=>xCLR_ALL,
                xDSTRB=>xDSTRB,
                xMAIN_DATA(15 downto 0)=>xMAIN_DATA(15 downto 0),
                xR_WR=>xR_WR,
                xSEL=>xSEL,
                xEN_PED=>xEN_PED,
                xPED_COL_ADDR(4 downto 0)=>xPED_COL(4 downto 0),
                xPED_ROW_ADDR(2 downto 0)=>xPED_ROW(2 downto 0),
                xSGN=>xSGN,
                xTERM(2 downto 0)=>xTERM(2 downto 0),
                xTHRES(11 downto 0)=>xTHRES(11 downto 0),
                xWBIAS(11 downto 0)=>xWBIAS(11 downto 0));
   
   XLXI_2959 : SCALER_TOP
      port map (xCLK_1Hz=>xCLK_1Hz,
                xCLR_ALL=>xCLR_ALL,
                xDHIT=>xDHIT,
                xEXT_TRIG=>xEXT_TRIG,
                xRADDR(4 downto 0)=>xRADDR(4 downto 0),
                xSOFT_TRIG=>xSOFT_TRIG,
                xSCALER(15 downto 0)=>xSCALER(15 downto 0));
   
   XLXI_2964 : MON_HDR
      port map (xMON0=>xCLK,
                xMON1=>xTSA_IN(0),
                xMON2=>xTSA_IN(1),
                xMON3=>xTTSA(0),
                xMON4=>xTTSA(1),
                xMON5=>xTTSA(2),
                xMON6=>xTTSA(3),
                xMON7=>xBTSA(0),
                xMON8=>xBTSA(1),
                xMON9=>xBTSA(2),
                xMON10=>xBTSA(3),
                xMON11=>XLXN_897,
                xMON12=>XLXN_898,
                xMON13=>xADC_HIT,
                xMON14=>xTRIG,
                xMON15=>xDHIT,
                MON0=>MON0,
                MON1=>MON1,
                MON2=>MON2,
                MON3=>MON3,
                MON4=>MON4,
                MON5=>MON5,
                MON6=>MON6,
                MON7=>MON7,
                MON8=>MON8,
                MON9=>MON9,
                MON10=>MON10,
                MON11=>MON11,
                MON12=>MON12,
                MON13=>MON13,
                MON14=>MON14,
                MON15=>MON15);
   
   XLXI_2965 : BUF
      port map (I=>XLXN_888,
                O=>xEXT_TRIG);
   
   XLXI_2967 : GND
      port map (G=>XLXN_888);
   
   XLXI_2976 : GND
      port map (G=>XLXN_897);
   
   XLXI_2977 : GND
      port map (G=>XLXN_898);
   
   xTARGET_TOP : TARGET_TOP
      port map (xBOUT(15 downto 0)=>xBOUT(15 downto 0),
                xCLK=>xCLK,
                xCLK_15MHz=>xCLK_15MHz,
                xCLK_125MHz=>xCLK_125MHz,
                xCLR_ALL=>xCLR_ALL,
                xDHIT=>xDHIT,
                xDONE=>xDONE,
                xEN_PED=>xEN_PED,
                xEXT_TRIG=>xSOFT_TRIG,
                xFCLK=>xFCLK,
                xPED_COL(4 downto 0)=>xPED_COL(4 downto 0),
                xPED_ROW(2 downto 0)=>xPED_ROW(2 downto 0),
                xRADDR(15 downto 0)=>xRADDR(15 downto 0),
                xSLWR=>xSLWR,
                xSOFT_TRIG=>xSOFT_TRIG,
                xTOUT(15 downto 0)=>xTOUT(15 downto 0),
                xADC_B(15 downto 0)=>xADC_B(15 downto 0),
                xADC_HIT=>xADC_HIT,
                xADC_T(15 downto 0)=>xADC_T(15 downto 0),
                xBTSA(3 downto 0)=>xBTSA(3 downto 0),
                xCOL_S(4 downto 0)=>xCOL_S(4 downto 0),
                xCOL_SEL(4 downto 0)=>xCOL_SEL(4 downto 0),
                xLOCK_COL=>open,
                xLOCK_ROW=>open,
                xMEM_LOCK=>xMEM_LOCK,
                xNRUN=>xNRUN,
                xRAMP=>xRAMP,
                xROW_S(5 downto 0)=>xROW_S(5 downto 0),
                xROW_SEL(2 downto 0)=>xROW_SEL(2 downto 0),
                xSTART=>xSTART,
                xTRACK_COL=>open,
                xTRIG=>xTRIG,
                xTSA_SEL(1 downto 0)=>xTSA_IN(1 downto 0),
                xTTSA(3 downto 0)=>xTTSA(3 downto 0));
   
end BEHAVIORAL;


