VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "spartan3"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL xCLK_15MHz
        SIGNAL xCLK
        SIGNAL XLXN_167
        SIGNAL XLXN_168
        SIGNAL XLXN_169
        BEGIN SIGNAL xCLK_30MHz
        END SIGNAL
        SIGNAL XLXN_157
        SIGNAL XLXN_158
        SIGNAL XLXN_160
        SIGNAL xCLK_1Hz
        SIGNAL XLXN_185
        SIGNAL xCLK_10Hz
        SIGNAL xCLK_100Hz
        SIGNAL xCLK_1kHz
        SIGNAL XLXN_27
        SIGNAL XLXN_162
        SIGNAL xFCLK
        SIGNAL FCLK
        SIGNAL FCLK_N
        SIGNAL XLXN_183
        SIGNAL xTRIG
        SIGNAL BCLK
        SIGNAL TRIG
        SIGNAL TRIG_N
        SIGNAL BCLK_N
        SIGNAL XLXN_224
        SIGNAL XLXN_225
        SIGNAL XLXN_226
        SIGNAL xCLK_125MHz
        PORT Output xCLK_15MHz
        PORT Output xCLK
        PORT Output xCLK_1Hz
        PORT Output xCLK_10Hz
        PORT Output xCLK_100Hz
        PORT Output xCLK_1kHz
        PORT Output xFCLK
        PORT Input FCLK
        PORT Input FCLK_N
        PORT Output xTRIG
        PORT Input BCLK
        PORT Input TRIG
        PORT Input TRIG_N
        PORT Input BCLK_N
        PORT Output xCLK_125MHz
        BEGIN BLOCKDEF gnd
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 64 -64 64 -96 
            LINE N 76 -48 52 -48 
            LINE N 68 -32 60 -32 
            LINE N 88 -64 40 -64 
            LINE N 64 -64 64 -80 
            LINE N 64 -128 64 -96 
        END BLOCKDEF
        BEGIN BLOCKDEF bufg
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 64 -64 64 0 
            LINE N 128 -32 64 -64 
            LINE N 64 0 128 -32 
            LINE N 224 -32 128 -32 
            LINE N 0 -32 64 -32 
        END BLOCKDEF
        BEGIN BLOCKDEF ftc
            TIMESTAMP 2000 1 1 10 10 10
            RECTANGLE N 64 -320 320 -64 
            LINE N 192 -32 64 -32 
            LINE N 192 -64 192 -32 
            LINE N 80 -128 64 -144 
            LINE N 64 -112 80 -128 
            LINE N 384 -256 320 -256 
            LINE N 0 -256 64 -256 
            LINE N 0 -32 64 -32 
            LINE N 0 -128 64 -128 
        END BLOCKDEF
        BEGIN BLOCKDEF vcc
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 64 -32 64 -64 
            LINE N 64 0 64 -32 
            LINE N 96 -64 32 -64 
        END BLOCKDEF
        BEGIN BLOCKDEF ibufds
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -48 64 -48 
            LINE N 64 -64 128 -32 
            LINE N 128 -32 64 0 
            LINE N 64 0 64 -64 
            LINE N 224 -32 128 -32 
            CIRCLE N 48 -24 64 -8 
            LINE N 0 -16 48 -16 
        END BLOCKDEF
        BEGIN BLOCKDEF HK_CLK
            TIMESTAMP 2008 11 8 20 14 11
            LINE N 0 -128 -64 -128 
            LINE N 304 -128 368 -128 
            LINE N 304 -96 368 -96 
            LINE N 304 -64 368 -64 
            LINE N 304 -32 368 -32 
            RECTANGLE N 0 -160 304 0 
            LINE N 0 -32 -64 -32 
        END BLOCKDEF
        BEGIN BLOCKDEF buf
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -32 64 -32 
            LINE N 224 -32 128 -32 
            LINE N 64 0 128 -32 
            LINE N 128 -32 64 -64 
            LINE N 64 -64 64 0 
        END BLOCKDEF
        BEGIN BLOCK XLXI_1554 ftc
            PIN C xCLK
            PIN CLR XLXN_167
            PIN T XLXN_168
            PIN Q XLXN_169
        END BLOCK
        BEGIN BLOCK XLXI_1555 gnd
            PIN G XLXN_167
        END BLOCK
        BEGIN BLOCK XLXI_1556 vcc
            PIN P XLXN_168
        END BLOCK
        BEGIN BLOCK XLXI_21 ftc
            PIN C xCLK_30MHz
            PIN CLR XLXN_157
            PIN T XLXN_158
            PIN Q XLXN_160
        END BLOCK
        BEGIN BLOCK XLXI_44 gnd
            PIN G XLXN_157
        END BLOCK
        BEGIN BLOCK XLXI_45 vcc
            PIN P XLXN_158
        END BLOCK
        BEGIN BLOCK XLXI_46 bufg
            PIN I XLXN_160
            PIN O xCLK_15MHz
        END BLOCK
        BEGIN BLOCK XLXI_1581 gnd
            PIN G XLXN_185
        END BLOCK
        BEGIN BLOCK XLXI_1572 HK_CLK
            PIN xCLK_15MHz xCLK_15MHz
            PIN xCLK_1Hz xCLK_1Hz
            PIN xCLK_10Hz xCLK_10Hz
            PIN xCLK_100Hz xCLK_100Hz
            PIN xCLK_1kHz xCLK_1kHz
            PIN xCLR_ALL XLXN_185
        END BLOCK
        BEGIN BLOCK XLXI_108 bufg
            PIN I XLXN_27
            PIN O xCLK
        END BLOCK
        BEGIN BLOCK XLXI_1548 ibufds
            PIN I FCLK
            PIN IB FCLK_N
            PIN O XLXN_162
        END BLOCK
        BEGIN BLOCK XLXI_1549 bufg
            PIN I XLXN_162
            PIN O xFCLK
        END BLOCK
        BEGIN BLOCK XLXI_1579 buf
            PIN I XLXN_183
            PIN O xTRIG
        END BLOCK
        BEGIN BLOCK XLXI_2604 ibufds
            PIN I BCLK
            PIN IB BCLK_N
            PIN O XLXN_27
        END BLOCK
        BEGIN BLOCK XLXI_2605 ibufds
            PIN I TRIG
            PIN IB TRIG_N
            PIN O XLXN_183
        END BLOCK
        BEGIN BLOCK XLXI_2631 ftc
            PIN C xFCLK
            PIN CLR XLXN_224
            PIN T XLXN_225
            PIN Q XLXN_226
        END BLOCK
        BEGIN BLOCK XLXI_2632 gnd
            PIN G XLXN_224
        END BLOCK
        BEGIN BLOCK XLXI_2633 vcc
            PIN P XLXN_225
        END BLOCK
        BEGIN BLOCK XLXI_2634 bufg
            PIN I XLXN_226
            PIN O xCLK_125MHz
        END BLOCK
        BEGIN BLOCK XLXI_2635 buf
            PIN I XLXN_169
            PIN O xCLK_30MHz
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 2720 1760
        INSTANCE XLXI_1554 1728 1168 R0
        BEGIN BRANCH XLXN_167
            WIRE 1696 1136 1728 1136
        END BRANCH
        INSTANCE XLXI_1555 1568 1072 R90
        BEGIN BRANCH XLXN_168
            WIRE 1696 912 1728 912
        END BRANCH
        INSTANCE XLXI_1556 1696 976 R270
        BEGIN BRANCH XLXN_169
            WIRE 2112 912 2144 912
        END BRANCH
        BEGIN BRANCH xCLK_30MHz
            WIRE 2368 912 2400 912
            BEGIN DISPLAY 2400 912 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        INSTANCE XLXI_21 1728 1536 R0
        BEGIN BRANCH XLXN_157
            WIRE 1696 1504 1728 1504
        END BRANCH
        INSTANCE XLXI_44 1568 1440 R90
        BEGIN BRANCH XLXN_158
            WIRE 1696 1280 1728 1280
        END BRANCH
        INSTANCE XLXI_45 1696 1344 R270
        BEGIN BRANCH XLXN_160
            WIRE 2112 1280 2144 1280
        END BRANCH
        INSTANCE XLXI_46 2144 1312 R0
        BEGIN BRANCH xCLK_15MHz
            WIRE 2368 1280 2400 1280
        END BRANCH
        BEGIN BRANCH xCLK
            WIRE 1712 1040 1728 1040
            BEGIN DISPLAY 1712 1040 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xCLK_30MHz
            WIRE 1712 1408 1728 1408
            BEGIN DISPLAY 1712 1408 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        IOMARKER 2400 1280 xCLK_15MHz R0 28
        BEGIN BRANCH xCLK_15MHz
            WIRE 400 864 432 864
            BEGIN DISPLAY 400 864 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xCLK_1Hz
            WIRE 864 864 896 864
        END BRANCH
        BEGIN BRANCH XLXN_185
            WIRE 400 960 432 960
        END BRANCH
        INSTANCE XLXI_1581 272 896 R90
        BEGIN BRANCH xCLK_10Hz
            WIRE 864 896 896 896
        END BRANCH
        BEGIN BRANCH xCLK_100Hz
            WIRE 864 928 896 928
        END BRANCH
        BEGIN BRANCH xCLK_1kHz
            WIRE 864 960 896 960
        END BRANCH
        BEGIN INSTANCE XLXI_1572 496 992 R0
        END INSTANCE
        IOMARKER 896 864 xCLK_1Hz R0 28
        IOMARKER 896 896 xCLK_10Hz R0 28
        IOMARKER 896 928 xCLK_100Hz R0 28
        IOMARKER 896 960 xCLK_1kHz R0 28
        BEGIN BRANCH XLXN_27
            WIRE 704 480 736 480
        END BRANCH
        INSTANCE XLXI_108 736 512 R0
        BEGIN BRANCH xCLK
            WIRE 960 480 992 480
        END BRANCH
        INSTANCE XLXI_1548 480 448 R0
        BEGIN BRANCH XLXN_162
            WIRE 704 416 736 416
        END BRANCH
        INSTANCE XLXI_1549 736 448 R0
        BEGIN BRANCH xFCLK
            WIRE 960 416 992 416
        END BRANCH
        BEGIN BRANCH FCLK
            WIRE 448 400 480 400
        END BRANCH
        BEGIN BRANCH FCLK_N
            WIRE 448 432 480 432
        END BRANCH
        BEGIN BRANCH XLXN_183
            WIRE 704 544 736 544
        END BRANCH
        INSTANCE XLXI_1579 736 576 R0
        BEGIN BRANCH xTRIG
            WIRE 960 544 992 544
        END BRANCH
        INSTANCE XLXI_2604 480 512 R0
        INSTANCE XLXI_2605 480 576 R0
        BEGIN BRANCH BCLK
            WIRE 448 464 480 464
        END BRANCH
        BEGIN BRANCH TRIG
            WIRE 448 528 480 528
        END BRANCH
        BEGIN BRANCH TRIG_N
            WIRE 448 560 480 560
        END BRANCH
        BEGIN BRANCH BCLK_N
            WIRE 448 496 480 496
        END BRANCH
        IOMARKER 992 480 xCLK R0 28
        IOMARKER 992 416 xFCLK R0 28
        IOMARKER 448 400 FCLK R180 28
        IOMARKER 448 432 FCLK_N R180 28
        IOMARKER 992 544 xTRIG R0 28
        IOMARKER 448 464 BCLK R180 28
        IOMARKER 448 528 TRIG R180 28
        IOMARKER 448 560 TRIG_N R180 28
        IOMARKER 448 496 BCLK_N R180 28
        INSTANCE XLXI_2631 1728 800 R0
        BEGIN BRANCH XLXN_224
            WIRE 1696 768 1728 768
        END BRANCH
        INSTANCE XLXI_2632 1568 704 R90
        BEGIN BRANCH XLXN_225
            WIRE 1696 544 1728 544
        END BRANCH
        INSTANCE XLXI_2633 1696 608 R270
        BEGIN BRANCH XLXN_226
            WIRE 2112 544 2144 544
        END BRANCH
        BEGIN BRANCH xCLK_125MHz
            WIRE 2368 544 2400 544
        END BRANCH
        BEGIN BRANCH xFCLK
            WIRE 1712 672 1728 672
            BEGIN DISPLAY 1712 672 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        INSTANCE XLXI_2634 2144 576 R0
        IOMARKER 2400 544 xCLK_125MHz R0 28
        INSTANCE XLXI_2635 2144 944 R0
    END SHEET
END SCHEMATIC
