--------------------------------------------------------------------------------
-- Copyright (c) 1995-2009 Xilinx, Inc.  All rights reserved.
--------------------------------------------------------------------------------
--   ____  ____ 
--  /   /\/   / 
-- /___/  \  /    Vendor: Xilinx 
-- \   \   \/     Version : 11.4
--  \   \         Application : sch2hdl
--  /   /         Filename : CLK_MAIN.vhf
-- /___/   /\     Timestamp : 05/05/2010 14:39:47
-- \   \  /  \ 
--  \___\/\___\ 
--
--Command: sch2hdl -intstyle ise -family spartan3 -flat -suppress -vhdl /home/rjn/firmware/MCP_TARGETv03/CLK_MAIN.vhf -w /home/rjn/firmware/MCP_TARGETv03/src/CLK_MAIN.sch
--Design Name: CLK_MAIN
--Device: spartan3
--Purpose:
--    This vhdl netlist is translated from an ECS schematic. It can be 
--    synthesized and simulated, but it should not be modified. 
--

library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
library UNISIM;
use UNISIM.Vcomponents.ALL;

entity FTC_MXILINX_CLK_MAIN is
   generic( INIT : bit :=  '0');
   port ( C   : in    std_logic; 
          CLR : in    std_logic; 
          T   : in    std_logic; 
          Q   : out   std_logic);
end FTC_MXILINX_CLK_MAIN;

architecture BEHAVIORAL of FTC_MXILINX_CLK_MAIN is
   attribute BOX_TYPE   : string ;
   attribute RLOC       : string ;
   signal TQ      : std_logic;
   signal Q_DUMMY : std_logic;
   component XOR2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of XOR2 : component is "BLACK_BOX";
   
   component FDC
      generic( INIT : bit :=  '0');
      port ( C   : in    std_logic; 
             CLR : in    std_logic; 
             D   : in    std_logic; 
             Q   : out   std_logic);
   end component;
   attribute BOX_TYPE of FDC : component is "BLACK_BOX";
   
   attribute RLOC of I_36_35 : label is "X0Y0";
begin
   Q <= Q_DUMMY;
   I_36_32 : XOR2
      port map (I0=>T,
                I1=>Q_DUMMY,
                O=>TQ);
   
   I_36_35 : FDC
   generic map( INIT => INIT)
      port map (C=>C,
                CLR=>CLR,
                D=>TQ,
                Q=>Q_DUMMY);
   
end BEHAVIORAL;



library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
library UNISIM;
use UNISIM.Vcomponents.ALL;

entity CLK_MAIN is
   port ( BCLK        : in    std_logic; 
          BCLK_N      : in    std_logic; 
          FCLK        : in    std_logic; 
          FCLK_N      : in    std_logic; 
          TRIG        : in    std_logic; 
          TRIG_N      : in    std_logic; 
          xCLK        : out   std_logic; 
          xCLK_1Hz    : out   std_logic; 
          xCLK_1kHz   : out   std_logic; 
          xCLK_10Hz   : out   std_logic; 
          xCLK_15MHz  : out   std_logic; 
          xCLK_100Hz  : out   std_logic; 
          xCLK_125MHz : out   std_logic; 
          xFCLK       : out   std_logic; 
          xTRIG       : out   std_logic);
end CLK_MAIN;

architecture BEHAVIORAL of CLK_MAIN is
   attribute HU_SET     : string ;
   attribute BOX_TYPE   : string ;
   attribute IOSTANDARD : string ;
   signal xCLK_30MHz       : std_logic;
   signal XLXN_27          : std_logic;
   signal XLXN_157         : std_logic;
   signal XLXN_158         : std_logic;
   signal XLXN_160         : std_logic;
   signal XLXN_162         : std_logic;
   signal XLXN_167         : std_logic;
   signal XLXN_168         : std_logic;
   signal XLXN_169         : std_logic;
   signal XLXN_183         : std_logic;
   signal XLXN_185         : std_logic;
   signal XLXN_224         : std_logic;
   signal XLXN_225         : std_logic;
   signal XLXN_226         : std_logic;
   signal xFCLK_DUMMY      : std_logic;
   signal xCLK_15MHz_DUMMY : std_logic;
   signal xCLK_DUMMY       : std_logic;
   component FTC_MXILINX_CLK_MAIN
      generic( INIT : bit :=  '0');
      port ( C   : in    std_logic; 
             CLR : in    std_logic; 
             T   : in    std_logic; 
             Q   : out   std_logic);
   end component;
   
   component GND
      port ( G : out   std_logic);
   end component;
   attribute BOX_TYPE of GND : component is "BLACK_BOX";
   
   component VCC
      port ( P : out   std_logic);
   end component;
   attribute BOX_TYPE of VCC : component is "BLACK_BOX";
   
   component BUFG
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute BOX_TYPE of BUFG : component is "BLACK_BOX";
   
   component IBUFDS
      port ( I  : in    std_logic; 
             IB : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute IOSTANDARD of IBUFDS : component is "DEFAULT";
   attribute BOX_TYPE of IBUFDS : component is "BLACK_BOX";
   
   component HK_CLK
      port ( xCLK_15MHz : in    std_logic; 
             xCLK_1Hz   : out   std_logic; 
             xCLK_10Hz  : out   std_logic; 
             xCLK_100Hz : out   std_logic; 
             xCLK_1kHz  : out   std_logic; 
             xCLR_ALL   : in    std_logic);
   end component;
   
   component BUF
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute BOX_TYPE of BUF : component is "BLACK_BOX";
   
   attribute HU_SET of XLXI_21 : label is "XLXI_21_4";
   attribute HU_SET of XLXI_1554 : label is "XLXI_1554_3";
   attribute HU_SET of XLXI_2631 : label is "XLXI_2631_5";
begin
   xCLK <= xCLK_DUMMY;
   xCLK_15MHz <= xCLK_15MHz_DUMMY;
   xFCLK <= xFCLK_DUMMY;
   XLXI_21 : FTC_MXILINX_CLK_MAIN
      port map (C=>xCLK_30MHz,
                CLR=>XLXN_157,
                T=>XLXN_158,
                Q=>XLXN_160);
   
   XLXI_44 : GND
      port map (G=>XLXN_157);
   
   XLXI_45 : VCC
      port map (P=>XLXN_158);
   
   XLXI_46 : BUFG
      port map (I=>XLXN_160,
                O=>xCLK_15MHz_DUMMY);
   
   XLXI_108 : BUFG
      port map (I=>XLXN_27,
                O=>xCLK_DUMMY);
   
   XLXI_1548 : IBUFDS
      port map (I=>FCLK,
                IB=>FCLK_N,
                O=>XLXN_162);
   
   XLXI_1549 : BUFG
      port map (I=>XLXN_162,
                O=>xFCLK_DUMMY);
   
   XLXI_1554 : FTC_MXILINX_CLK_MAIN
      port map (C=>xCLK_DUMMY,
                CLR=>XLXN_167,
                T=>XLXN_168,
                Q=>XLXN_169);
   
   XLXI_1555 : GND
      port map (G=>XLXN_167);
   
   XLXI_1556 : VCC
      port map (P=>XLXN_168);
   
   XLXI_1572 : HK_CLK
      port map (xCLK_15MHz=>xCLK_15MHz_DUMMY,
                xCLR_ALL=>XLXN_185,
                xCLK_1Hz=>xCLK_1Hz,
                xCLK_1kHz=>xCLK_1kHz,
                xCLK_10Hz=>xCLK_10Hz,
                xCLK_100Hz=>xCLK_100Hz);
   
   XLXI_1579 : BUF
      port map (I=>XLXN_183,
                O=>xTRIG);
   
   XLXI_1581 : GND
      port map (G=>XLXN_185);
   
   XLXI_2604 : IBUFDS
      port map (I=>BCLK,
                IB=>BCLK_N,
                O=>XLXN_27);
   
   XLXI_2605 : IBUFDS
      port map (I=>TRIG,
                IB=>TRIG_N,
                O=>XLXN_183);
   
   XLXI_2631 : FTC_MXILINX_CLK_MAIN
      port map (C=>xFCLK_DUMMY,
                CLR=>XLXN_224,
                T=>XLXN_225,
                Q=>XLXN_226);
   
   XLXI_2632 : GND
      port map (G=>XLXN_224);
   
   XLXI_2633 : VCC
      port map (P=>XLXN_225);
   
   XLXI_2634 : BUFG
      port map (I=>XLXN_226,
                O=>xCLK_125MHz);
   
   XLXI_2635 : BUF
      port map (I=>XLXN_169,
                O=>xCLK_30MHz);
   
end BEHAVIORAL;


