--------------------------------------------------------------------------------
--------------------------------------------------------------------------------
--								University of Hawaii at Manoa						         --
--						Instrumentation Development Lab / GARY S. VARNER				--
--   								Watanabe Hall Room 214								      --
--  								  2505 Correa Road										   --
--  								 Honolulu, HI 96822											--
--  								Lab: (808) 956-2920											--
--	 								Fax: (808) 956-2930										   --
--  						E-mail: idlab@phys.hawaii.edu									   --
--------------------------------------------------------------------------------
--------------------------------------------------------------------------------	
-- Design by: Larry L. Ruckman Jr.															--
-- DATE : 26 JUNE 2007																			--
-- Project name: ICRR firmware																--
--	Module name: GND_16			  																--
--	Description : 																					--
-- 	GND_BUS 16 bits wide																		--
--		  											    												--
--------------------------------------------------------------------------------
--------------------------------------------------------------------------------

library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

entity GND_16 is
   port (G		: out   std_logic_vector (15 downto 0));
end GND_16;

architecture Behavioral of GND_16 is
--------------------------------------------------------------------------------
--   								components     		   						         --
--------------------------------------------------------------------------------
   component BUF
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
--------------------------------------------------------------------------------
begin
--------------------------------------------------------------------------------		
	xBUF_0 : BUF 
	port map (
		I  => '0',
		O  => G(0));
--------------------------------------------------------------------------------		
	xBUF_1 : BUF 
	port map (
		I  => '0',
		O  => G(1));
--------------------------------------------------------------------------------		
	xBUF_2 : BUF 
	port map (
		I  => '0',
		O  => G(2));
--------------------------------------------------------------------------------		
	xBUF_3 : BUF 
	port map (
		I  => '0',
		O  => G(3));
--------------------------------------------------------------------------------		
	xBUF_4 : BUF 
	port map (
		I  => '0',
		O  => G(4));
--------------------------------------------------------------------------------		
	xBUF_5 : BUF 
	port map (
		I  => '0',
		O  => G(5));
--------------------------------------------------------------------------------		
	xBUF_6 : BUF 
	port map (
		I  => '0',
		O  => G(6));
--------------------------------------------------------------------------------		
	xBUF_7 : BUF 
	port map (
		I  => '0',
		O  => G(7));
--------------------------------------------------------------------------------		
	xBUF_8 : BUF 
	port map (
		I  => '0',
		O  => G(8));
--------------------------------------------------------------------------------		
	xBUF_9 : BUF 
	port map (
		I  => '0',
		O  => G(9));
--------------------------------------------------------------------------------		
	xBUF_10 : BUF 
	port map (
		I  => '0',
		O  => G(10));
--------------------------------------------------------------------------------		
	xBUF_11 : BUF 
	port map (
		I  => '0',
		O  => G(11));
--------------------------------------------------------------------------------		
	xBUF_12 : BUF 
	port map (
		I  => '0',
		O  => G(12));
--------------------------------------------------------------------------------		
	xBUF_13 : BUF 
	port map (
		I  => '0',
		O  => G(13));
--------------------------------------------------------------------------------		
	xBUF_14 : BUF 
	port map (
		I  => '0',
		O  => G(14));
--------------------------------------------------------------------------------		
	xBUF_15 : BUF 
	port map (
		I  => '0',
		O  => G(15));
--------------------------------------------------------------------------------		
end Behavioral;