--------------------------------------------------------------------------------
-- Copyright (c) 1995-2008 Xilinx, Inc.  All rights reserved.
--------------------------------------------------------------------------------
--   ____  ____ 
--  /   /\/   / 
-- /___/  \  /    Vendor: Xilinx 
-- \   \   \/     Version : 10.1.03
--  \   \         Application : sch2vhdl
--  /   /         Filename : TARGET_TRIG.vhf
-- /___/   /\     Timestamp : 05/04/2010 13:16:54
-- \   \  /  \ 
--  \___\/\___\ 
--
--Command: C:\Xilinx\10.1\ISE\bin\nt\unwrapped\sch2vhdl.exe -intstyle ise -family spartan3 -flat -suppress -w C:/Xilinx/10.1/ISE/FIRMWAREprojects/CREAM/MCP_TARGET/MCP_TARGETv03/src/TARGET_TRIG.sch TARGET_TRIG.vhf
--Design Name: TARGET_TRIG
--Device: spartan3
--Purpose:
--    This vhdl netlist is translated from an ECS schematic. It can be 
--    synthesis and simulted, but it should not be modified. 
--

library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
library UNISIM;
use UNISIM.Vcomponents.ALL;

entity TARGET_TRIG is
   port ( xCLK       : in    std_logic; 
          xCLR_ALL   : in    std_logic; 
          xDHIT      : in    std_logic; 
          xDONE      : in    std_logic; 
          xEXT_TRIG  : in    std_logic; 
          xSOFT_TRIG : in    std_logic; 
          xNRUN      : out   std_logic; 
          xTRIG      : out   std_logic);
end TARGET_TRIG;

architecture BEHAVIORAL of TARGET_TRIG is
   attribute INIT       : string ;
   attribute BOX_TYPE   : string ;
   signal CLR        : std_logic;
   signal TRIG_0     : std_logic;
   signal TRIG_1     : std_logic;
   signal XLXN_30    : std_logic;
   signal XLXN_42    : std_logic;
   signal XLXN_143   : std_logic;
   signal XLXN_224   : std_logic;
   signal XLXN_379   : std_logic;
   signal XLXN_392   : std_logic;
   signal XLXN_396   : std_logic;
   signal XLXN_401   : std_logic;
   signal XLXN_403   : std_logic;
   component FDC
      -- synopsys translate_off
      generic( INIT : bit :=  '0');
      -- synopsys translate_on
      port ( C   : in    std_logic; 
             CLR : in    std_logic; 
             D   : in    std_logic; 
             Q   : out   std_logic);
   end component;
   attribute INIT of FDC : component is "0";
   attribute BOX_TYPE of FDC : component is "BLACK_BOX";
   
   component VCC
      port ( P : out   std_logic);
   end component;
   attribute BOX_TYPE of VCC : component is "BLACK_BOX";
   
   component BUF
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute BOX_TYPE of BUF : component is "BLACK_BOX";
   
   component OR2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of OR2 : component is "BLACK_BOX";
   
   component TRIG_ONESHOT
      port ( xCLK : in    std_logic; 
             xIN  : in    std_logic; 
             xOUT : out   std_logic);
   end component;
   
   component TSA_32CYCLE_ONESHOT
      port ( xEN       : in    std_logic; 
             xCLK      : in    std_logic; 
             xTSA_STRB : out   std_logic);
   end component;
   
begin
   XLXI_22 : FDC
      port map (C=>xEXT_TRIG,
                CLR=>CLR,
                D=>XLXN_30,
                Q=>TRIG_0);
   
   XLXI_23 : VCC
      port map (P=>XLXN_30);
   
   XLXI_30 : FDC
      port map (C=>xSOFT_TRIG,
                CLR=>CLR,
                D=>XLXN_42,
                Q=>TRIG_1);
   
   XLXI_31 : VCC
      port map (P=>XLXN_42);
   
   XLXI_66 : FDC
      port map (C=>xCLK,
                CLR=>CLR,
                D=>XLXN_396,
                Q=>XLXN_143);
   
   XLXI_74 : BUF
      port map (I=>XLXN_143,
                O=>xNRUN);
   
   XLXI_105 : BUF
      port map (I=>XLXN_224,
                O=>CLR);
   
   XLXI_108 : OR2
      port map (I0=>xDONE,
                I1=>xCLR_ALL,
                O=>XLXN_224);
   
   XLXI_115 : TRIG_ONESHOT
      port map (xCLK=>xCLK,
                xIN=>XLXN_403,
                xOUT=>xTRIG);
   
   XLXI_182 : OR2
      port map (I0=>TRIG_1,
                I1=>TRIG_0,
                O=>XLXN_379);
   
   XLXI_183 : TSA_32CYCLE_ONESHOT
      port map (xCLK=>xCLK,
                xEN=>XLXN_379,
                xTSA_STRB=>XLXN_401);
   
   XLXI_189 : VCC
      port map (P=>XLXN_392);
   
   XLXI_190 : FDC
      port map (C=>XLXN_401,
                CLR=>CLR,
                D=>XLXN_392,
                Q=>XLXN_396);
   
   XLXI_195 : OR2
      port map (I0=>TRIG_1,
                I1=>TRIG_0,
                O=>XLXN_403);
   
end BEHAVIORAL;


